***************************************************************************
   TestLink  Change-log
***************************************************************************

http://www.testlink.org
http://forum.testlink.org
https://twitter.com/TLOpenSource

TestLink - 1.9.20 Raijing (2020 Q1) (Released 2020 Week 03) 
===================================================

- 0008843: [Requirement Management] TL 1.9.20 (dev): PHP Fatal error: Uncaught Error on "Copy Requirements" 
- 0008697: [General] Last used test project not persisted for next login 
- 0008837: [User Interface General] By default show 'first' project 
- 0008838: [Test Execute] Provide message to ask tester to read test suite contents when executing test cases 
- 0008836: [Installer] Error installing - Creating default object from empty value in 
- 0008629: [Database General] Multiple testlink instances configured to the same DB 
- 0008728: [Test Plan (builds, milestones, test assign)] Build - add attributes specific for Versioning Systems 
- 0008745: [Security - General] IDOR - Upload Files with Guest Privileges 
- 0008746: [Security - General] IDOR - Upload Files with Guest Privileges 
- 0008747: [Security - General] IDOR - Delete Project’s Attached Files with Guest Privileges 
- 0008748: [Security - General] IDOR - Modify any Test Case of any projects with Guest Privileges 
- 0008750: [Security - SQL Injection] SQL Injection at /lib/requirements/reqSearch.php 
- 0008752: [Security - SQL Injection] SQL Injection at Assign Test Case Execution 
- 0008749: [Security - General] IDOR - Modify any Test Suite of any projects with Guest Privileges 
- 0008744: [Security - XSS] Stored XSS via File Upload 
- 0008751: [Security - XSS] Stored XSS via Test Plan name 
- 0008773: [Database MySQL] DB Access Error 
- 0008779: [Security - General] User password storage method (MD5) is weak 
- 0008832: [Users and Rights] Users/Roles menu not working 
- 0008786: [Requirement Attachments] Import / export Requirements attachments in xml does not work 
- 0008792: [Req Overview] Tl 1.9.20 (dev) >> Requirement overview >> Custom field content displayed in wrong column 
- 0008693: [Database Postgres] postgresql db installation reports syntax error in testlink_create_udf0.sql - none standard comment sign 
- 0008692: [Internal issue] (github code) - corrupt platform sql queries blocks gui with DB Access Error 
- 0008835: [Security - General] Change password encryption method for DB managed password 
- 0008808: [Security - XSS] TestLink v1.9.19.1 - Bypass security fix for XSS at index.php 
- 0008829: [Security - SQL Injection] Multiple SQL Injection 
- 0008670: [0 - User too Lazy to analize defined categories] Full text search - DB Access Error - Data too long for column 'Dirty' 
- 0008834: [Event Signals] events for requirements missing 
- 0008785: [Test Specification - Move/Copy Test Cases] PHP Fatal error: Uncaught ArgumentCountError: Too few arguments to function moveTestCases() 
- 0008791: [Test Execute] Fatal error: Uncaught Error: Call to undefined method testcase::get_scripts_for_testcase() in C:\xampp\htdocs\testlink\lib\execu 
- 0008761: [Req Overview] PRIVATE TICKET - Latencies when loading the page "Requirement Overview" 
- 0008757: [API - XMLRPC] API - XMLRPC -Unable to update test case name with long UTF-8 string 
- 0008754: [Event Signals] Warning in event "E_NOTICE Undefined variable: whereAdd" 
- 0008741: [Bug Tracking System - JIRA Integration] Not able to add Bug from Testlink to JIRA 
- 0008739: [Filters] Test Specification - Filter by Keyword - malfunction with parentheses 
- 0008655: [Roles] new right to allow add/remove keywords from executed test case versions 
- 0008667: [Test Execute] Possibility to use several different logic to compute test case exec status counters (present on tree) 
- 0008556: [Test Spec / Test Suite HTML Report] ''DB Access Error'', when clicked on "Test Suite Document (HTML) on New Window'' 
- 0008727: [Test Execute] Test Case Execution - config option for default value for Assign Task checkbox 
- 0008502: [Test Cases Assigned to Me] Delete testcase version 
- 0008696: [Localization] Fix a typo in the portuguese translation 
- 0008694: [Localization] Wrong string concatenation operator 
- 0008678: [Test Project Management] ERROR ON exec_query() when creating new test project from existing test project 
- 0008676: [Test Specification] Possibility to use platforms during test case specification phase. 
- 0008675: [Export/Import] Testsuite Operations Export does not export Requirements 
- 0008681: [Requirement Management] [tlInlineImage] ghost string not working in requirement display 
- 0008677: [Test Project Management] Keywords links not updated when creating new test project from existing one 
- 0008674: [General] Configuration option to exclude use of UDFStripHTMLTags() 
- 0008660: [API - XMLRPC] API-XMLRPC - PHP Fatal error, when calling getTestCaseAttachments with unknown testcaseid 
- 0008673: [User Authentication Methods] https google oauth fails to login due to mismatch in redirect_uri 
- 0008665: [Test Execute] Get Warning about the existence of a newer version (Version > N) when trying to execute Version N 
- 0008645: [Bug Tracking System - Redmine Integration] I want to automatically insert summary, precondition, step, expected result contents into Bug Description 
- 0008555: [Test Spec / Test Suite Pseudo Word Report] Error while Saving a Edited Test Suite 
- 0008640: [Test Spec. - Keywords] Huge SQL expression used to filter test cases without keywords 
- 0008642: [General] ajax support - gettprojectnodes.php refactoring to avoid object creation 
- 0008649: [Bug Tracking Systems Integration] Dynamic Value on issue description while creating issue - link to execution with test case details 
 - 0008651: [Bug Tracking Systems Integration] add Option when creating issue - link to execution with test case details 
- 0008634: [Database Postgres] Syntax error on field type 
- 0008635: [Test Spec. - Keywords] DB error when searching for Test Cases without keywords 
- 0008614: [Test Plan - Add/Remove Test Cases] When I want to add a testcase, click the requirement - db access error is shown 
- 0008606: [Test Specification Import] Test Suite Import - skip test case if name is empty 
- 0008602: [Test Execute] Test Case Version Relations not displayed on Test Case Version Execution Feature 
- 0008599: [Test Execute] Allow file attachment at same time exec result is saved 
- 0008480: [Installer] Tables Prefix throws an SQL exception at installation 
- 0008594: [Test Execute] Possibility to add a link to existent ISSUE to latest execution (Any Build) 
- 0008586: [GUI] Save button not visible 
- 0008574: [Security - SQL Injection] SQL Injection via dragdroprequirementnodes.php 
- 0008573: [Security - XSS] XSS via dragdroprequirementnodes 
- 0008575: [Reports] test report - attachment image 
- 0008571: [Reports] Keywords missing in TestSpec Document (HTML and PseudoWord) 
- 0008562: [Database MySQL] MySQL 8 Syntax Changes blocks installation 
- 0008714: [Installer] At table creation for testlink database, an sql error is returned (For 1.9.20) (fman) - closed.
- 0008611: [Test Execute] [For partial Test execution] Execution status of test steps is not retained on changing menu/logout (fman) - closed.



TestLink - 1.9.19 (2019 Q1) (Released 2019 Week 04) 
===================================================
- 0008545: [Reports - Test Report on Build] Absence of relations in "Test Report on build " (as well as in "Test Plan Report", "Test Report") 
- 0008540: [Reports - Test Report on Build] No information about attached files in "Test Plan Report", "Test Report" and "Test Report on build " 
- 0008489: [Requirement Version Compare] Unable to load template file displayReqCoverageRO.inc.tpl 
- 0008524: [Test Specification] Postgres - crash due to FK when removing step from executed testcase 
- 0008509: [Reports] No keywords in Test Plan Report under some conditions 
- 0008518: [Test Plan - Add/Remove Test Cases] database error when removing testcase from testplan 
- 0008473: [Test Specification Import] HTTP 500 error displayed on importing xml 
- 0008523: [General] Change default configuration to display test case version on reports 
- 0008522: [Reports] Test Plan Report, Test Report, Test Report on build - Requirements not displayed 
- 0008521: [Requirement to Test Case Assignment] User Feedback Improvement when Requirements Version can not be assigned test case versions 
- 0008514: [General] Wrong display of version number 
- 0008440: [Database MySQL] After the upgrade from 1.9.14 to 1.9.18 updating a Testcase is extremly slow 
- 0008511: [Keyword Assignment] the link between test cases and keywords has disappeared after the update from 1.9.17 to 1.9.18 
- 0008512: [Requirement to Test Case Assignment] the link between test cases and requirements has disappeared after the update from 1.9.17 to 1.9.18 
- 0008508: [Localization] Incorrect date components separator for Russian localization 
- 0008490: [Req Overview] in TestLink 1.9.18 database error occurs when overviewing requirements 
- 0008472: [Test Spec. - Test Case relations] Configuration Option - Allow Add Test Case Version Relation ONLY on latest Test Case Version 
- 0008502: [Test Cases Assigned to Me] Delete testcase version 
- 0008499: [Database MySQL] DB Access Error at refresh of "Test result matrix" in case more than 6 builds are active 
- 0008503: [Reports] Wrong url for Test reports: LOCALIZE: link_report_test_flat_custom 
- 0008500: [Installer] Postgresql installation script fails 
- 0008493: [User Interface General] "Test Cases created per User" button does not repond to mouse clicks 
- 0008494: [Requirement Management] Copy Requirement displays a SQL Statement 
- 0008486: [Test Case Attachments] Testcase attachments not visible in Test Execution 
- 0008477: [General] TestLink are not setting headers because of problem with translation loading 
- 0008487: [Test Spec. - Test Case relations] Debug Code message on the Relations area 
- 0008479: [API - REST] Test Case Execution - provide simple way to get parameters for REST API create execution call 
- 0008478: [Requirement to Test Case Assignment] Allow add for Latest Req version to test case version link when REQ Version is FROZEN 
- 0008474: [Requirement Management] Req Coverage enabled ONLY on latest req version 
- 0008466: [Test Spec. - Test Case relations] Configuration Option - Close/Freeze Test case version relations when creating a new test case version 
- 0008465: [Keywords] Delete Keyword - Configuration options related to Executed Test Case Versions 
- 0008464: [Keywords] Delete Keyword - Configuration options related to frozen Test Case Versions 
- 0008417: [API - XMLRPC] Cannot download attachments to test cases 
- 0008437: [API - XMLRPC] Not actual params used for methods in xmlrpc.class.php - getTestCaseKeywords() 
- 0008450: [User Interface General] Search Requirements Displays SQL Statements 
- 0008446: [Test Spec. - Keywords] Test suite Keywords - Add also to children (Test Suites) Feature - on Test Suite View Screen 
- 0008443: [Test Spec. - Keywords] Test suite Keywords - Add management on Test Suite View Screen 
- 0008444: [Test Spec. - Keywords] Test suite Keywords - Add unique key to avoid duplicate entries 
- 0008445: [Keywords] Keywords - add unique index to avoid duplicates inside test project 
- 0008423: [Requirement to Test Case Assignment] Cannot assign requirement to test case 
- 0008439: [Requirement to Test Case Assignment] check boxes disabled 
- 0008436: [Requirement Management] Create New Requirement Version - add configuration option to disable FREEZE of old version 
- 0008434: [Test Specification] Create New Test Case Version - add configuration option to disable FREEZE of old version 
- 0008421: [Database Postgres] POSTGRES - Upgrade database script issue from 1.9.17 to 1.9.18 
- 0008395: [Users and Rights] User email adress ending with .group 
- 0008400: [Test Specification] Data Management inside Test Case STEPS, using some sort of place holder, getting value from test case summary/preconditions 
- 0008398: [Keyword Assignment] Test Case View - add keywords without edit whole test case 
- 0008396: [Data Management] Display Attachment image INLINE in test case summary, precond, ecc accessing image by TITLE 
- 0008491: [Reports] No Pseudo-MS-Word format of report
- 0008461: [Requirement Management] "Remove test case link" missing from version no.2 once version no.1 was executed
- 0008470: [Requirement to Test Case Assignment] Requirement linked to executed Test Case is frozen
- 0008460: [GUI] UI bug: message "DEBUG-TCV=no" between relations and attachments
- 0008433: [Test Spec. - Test Case Table View] Test Case version remains frozen in case another version was created
- 0008430: [Requirement Management] Cannot link Requirement with the Test Case from the Test Case level
- 0008413: [Users and Rights] Role Inheritance Modification (0008302) - role it's still inherited from the Project to the Test Plan
- 0008429: [Test Specification - Move/Copy Test Cases] Copy the Test case through Move/Copy option will not copy the Requirements nor the Keywords
- 0008422: [Test Plan - Add/Remove Test Cases] "Add to Test Plans" it's missing at the Test Case level

[57 issues]


TestLink - 1.9.18 (2018 Q3) (Released 2018-10-06) 
=================================================
 - 0008276: [Reports - Test report matrix] Change Name to Config Options Show*LatestExecuted 
 - 0008279: [GUI] Strange behaviour when changing current test plan on the home page 
 - 0008260: [Bug Tracking System - JIRA Integration] "Add Link in Issue Tracker" checkbox doesn't work anymore 
 - 0008259: [API - XMLRPC] new 1.9.17 xmlrpc.class function getAllExecutionsResults not callable via XMLRPC api 
 - 0008218: [API - XMLRPC] Add new method getAllExecutionsResults 
 - 0008349: [Roles] Option to configure Test Plan Roles Inheritance Mode 
 - 0008371: [Test Specification Import] Test Case Import - new action on duplicate - skip/don't import test case 
 - 0008377: [Installer] Installation on AWS Postgres RDS Database fails 
 - 0008385: [Bug Tracking System - JIRA Integration] Cannot create a new bug in Jira from testlink: 500 error 
 - 0006322: [Reports] Images in a Reports 
 - 0008391: [Database General] ADODB Upgrade to 5.20.12 
 - 0008392: [Data Management] Test suite Keywords - use keywords with special prefix to make simpler test case reuse 
 - 0008347: [Custom fields] Can't save data in 'Data created' and Date last modify' CUSTOM FIELDS 
 - 0008331: [API - XMLRPC] add a new method to allow user to set the step result of a step in a test case using the xmlrpc api 
 - 0008193: [Reports] Test report generated as Pseudo MS Word does not contain pictures 
 - 0008281: [Test Specification] Generate Test Case Name, using some sort of place holder, getting value from test case summary 
 - 0008312: [Test Plan - Assign Test Case Execution] Click "Remove assignments button" causes a SQL-Error 
 - 0008394: [Test Specification] Generate Test Case Name, using some sort of place holder, getting value from test case PRECONDITIONS 
 - 0008246: [User Interface General] Spelling error in TestLink error message 
- 0008268: [Internal issue] Latest Github Code - On recover password - Fatal Error PHPMailer 
- 0008262: [GUI] Main Page shows blank page after successfully login and displayed Error line. 
- 0008263: [Export/Import] TestCases Attachments are duplicated if internalid is not provided in XML file, even if External ID is selected as identifier 
- 0008275: [Reports - Test report matrix] Refactor to create GOOD Configuration Options for show*LastExecuted 
- 0008280: [Installer] Installation script fails (MS SQL used) 
- 0008301: [Security - SQL Injection] SQL Injection gettestcasesummary.php 
- 0008283: [Requirement Management] Errors in log when filtering generates an empty requirement spec 
- 0007680: [Installer] Bug in MSSQL/testlink_create_tables.sql while creating plugins table 
- 0007743: [Database MS-SQL] Unable to deploy on MSSQL 2008 R2 
- 0008202: [Reports - Test report matrix] Show Latest Created Build Execution Note in `Test Result Matrix` 
- 0008242: [GUI] Move TestLink Version to page bottom 
- 0008297: [Reports - Test report matrix] Test Result Matrix report - latest execution notes - when more that one tc exists notes are always the same for all tc 
- 0008383: [Database Postgres] Test Project Management not working 
- 0008349: [Roles] Option to configure Test Plan Roles Inheritance Mode 
- 0008387: [Test Specification] Test Case Summary & Preconditions - On execution context - Replace PlaceHolders with Custom Field value 
- 0008325: [Test Execute] Global Admin cannot execute TestCases 
- 0008363: [Test Specification] Cannot Copy Test Suites in Test Specification - TEST SUITE NAME exceed 100 chars 
- 0008319: [API - XMLRPC] calling getAllExecutionsResults through xmlrpc reuturns an error that the method doesn't exist 



TestLink - 1.9.17 - Alan Turing (Released 2018-04-14)
=====================================================
- 0007873: [New Feature] Search on multiple entities (Test Case,Test Suites,Req. Spec,Req) on one shot
- 0007999: [Bug Tracking Systems Integration] Creating Issue from Test Steps cannot be directly Linked in Issue Tracker
- 0008209: [Security - General] Remote Code Execution
- 0008211: [Bug Tracking Systems Integration] Issue on test case - Issue summary configuration
- 0008184: [Bug Tracking Systems Integration] Issue on test case STEP - Issue summary configuration
- 0008183: [Test Execute] Link to execution report http://testlink/testlink-code/lnl.php?type=exec&id=61 [^] doesn't work
- 0008180: [Bug Tracking System - Redmine Integration] Support dynamic values in the custom fields for Redmine for issue creation
- 0008192: [Bug Tracking System - Redmine Integration] Notes are not added to Redmine because user impersonation fails when TestLink user is not a Redmine user (reporter)
- 0008051: [Test Execute - 'Save and move to next'] Firefox 55 : All the "click set to" and "click set to x and move to next" buttons fails
- 0008205: [Bug Tracking System - JIRA Integration] Error while checking TestLink connection with JIRA using REST interface.
- 0008196: [GUI] In 1.9.17 GUI Inventory is missing
- 0008202: [Reports - Test report matrix] Show Last Build Note in `Test Result Matrix`
- 0008188: [Assign Test Case Execution] Allow Bulk Test Case unassignment specifying users in the same way is done on bulk assignment
- 0008189: [Test Specification] Rework Testcase freeze comportment
- 0008191: [Bug Tracking System - Redmine Integration] warning because $issue variables not found in redminerestInterface.class.php exception handlers
- 0008157: [Reports] Test report shows results from inactive builds
- 0008181: [Bug Tracking Systems Integration] IssueTracker config changes are not always taken by the same browser instance
- 0008172: [Users and Rights] Use existant right 'mgt_unfreeze_req'
- 0008160: [Users and Rights] Access to Requirement Monitoring functions
- 0008164: [Users and Rights] Use existant right 'req_tcase_link_management'
- 0008170: [Users and Rights] Use existant right 'keyword_assignment'
- 0008141: [Custom fields] Custom field value dosen't show in Test Case edit mode
- 0007864: [GUI] Execute test status icons do not work with FIREFOX
- 0008126: [Test Plan Management] plan view - Add control button on page top and bottom
- 0008125: [Build Management] build view - Add control button on page top and bottom
- 0008112: [GUI] Creating a new build is not possible in latest Google Chrome due to security reasons and not closed HTML tag
- 0008121: [Export/Import] Handle attachments in Req - Req Specs - TestSuites - TestCases XML export / import
- 0008111: [Database MySQL] Not able to create the "UDFStringHTMLTags" function when upgrading my MySQL database
- 0008117: [Users and Rights] Not able to create a new user from the login page due to wrong variable
- 0006437: [Users and Rights] Right "Requirement view (read only access)" doesn't allow to see the requirement specifications
- 0008101: [Test Spec. - Search Test Cases] GitHub version : default value for custom field of type list in test specification filter menu
- 0008105: [Filters - Test Specification] Test Specification Filter by Custom Field - REQUIRED ISSUE
- 0008090: [Assign Test Case Execution] Test execution generate blank page when TestCase is selected
- 0008087: [Test Spec. - Test Case Steps] GITHUB version : unable to delete a testcase step in French Version
- 0008034: [Localization] New locale version for FR_fr
- 0007995: [Custom fields] Custom Fields Checkbox Changes not Saved
- 0008018: [GUI] GITHUB version : debug info is displayed when deleting requirement version
- 0008085: [Security - General] Add AUDIT log for TestCases and Execution Save/Deletion + Improve AUDIT info
- 0008080: [GUI] Search Test Cases displays query
- 0008065: [Users and Rights] user rights at project level should be also considered
- 0007607: [Bug Tracking System - JIRA Integration] Resolved bug in Jira is not reported in TestLink (REST Integration)
- 0008015: [Test Plan - Assign Test Case Execution] Unable to execute test cases (PHP 7.1.x issue)
- 0007967: [Bug Tracking System - Redmine Integration] Custom fields redmine
- 0008060: [Reports - Test Report on Build] Can I output the build description to the Testlink report?
- 0008061: [Test Spec. - Search Test Cases] After the edit of a testcase, the whole content of it is not visible any more
- 0008036: [Test Execute - Issue at Step Level] When trying to execute a test plan the steps are not displayed and no radio buttons (PHP 7.1.x version issue)
- 0008057: [Bug Tracking System - Redmine Integration] Check Connection with configuration containing Custom Field - Crash asXML()
- 0008021: [Charts] Warnings on every opening of Charts report: "E_WARNING imagettftext(): Could not find/open font..." for pChart.class
- 0007987: [Test Execute] Execute test: cannot open test item, it shows as blank. (PHP 7.1.x ISSUE)
- 0007964: [Assign Test Case Execution] issue in the way error handling is performed under "Assign Test case execution"
- 0008020: [Test Specification - Move/Copy Test Cases] Error when Move/copy testcases
- 0007983: [Localization] Dev Version : error during pt_BR strings.txt file
- 0007959: [Localization] en_GB\strings.txt file cleanup
- 0007985: [Reports - Failed/Blocked Test Cases] Failed Test Cases : linked bugs are not listed in Excel export
- 0008001: [GUI] Wrong sting used as title in testplan design report
- 0008000: [Localization] Not found string in en_GB file + unused Strings in login-model-marcobiedermann.tpl
- 0007984: [GUI] DEV version : step exec status label is not used in execution view
- 0008005: [API - XMLRPC] closeBuild() Method
- 0007976: [GUI] Custom field of type list always displayed expanded in tree filters
- 0007978: [Test Specification] Make step status available in test specification execution history
- 0007941: [Users and Rights] New user redirect not working in firstlogin.php
- 0007973: [GUI] Possibility of configuring bigger execution icons
- 0007946: [Test Execute - Filters] Filters With KeyWords : Operator And/Or same result
- 0007968: [Req Overview] Last GitHub Version : Requirement Overview access is broken
- 0007950: [Bug Tracking System - JIRA Integration] The Jira issues updated with Jira integration User name instead of the actual testlink user name
- 0007944: [User Interface Layout] this is actually on 1.9.17....large blank space
- 0007955: [Test Project Management] when enabling/disabling requirement feautes Unknown column 'testprojects.id' in 'where clause
- 0007929: [Bug Tracking System - JIRA Integration] Create issue from testlink use wrong username: integration user instead current user
- 0007948: [Documentation (Install, User Manual, help)] Read Me does not seem to have relavent information related to LDAP configurations
- 0007931: [Custom fields] How to increase the size of custom field values of type multiselection from 255 to higher like 1024
- 0007910: [Test Specification] Direct Link to testcase doesn't work ON FIREFOX
- 0007925: [Custom fields] Don´t show the custom fields date format. - CUSTOM FIELD FOR BUILD
- 0007930: [Test Plan - Assign Test Case Execution] Bulk user assignment does not work
- 0007912: [Communication via mail] Link provided by "email Assignments" function doesn't work
- 0007919: [Test Execute] Cannot use string offset as an array
- 0007911: [Test Execute] direct link to testcase execution doesn't work
- 0007922: [Test Specification] Add option to update execution type on ALL test case steps, when changing on Test Case
- 0007915: [Security - General] User APIKEY shoudn't be exposed in Direct Link
- 0007903: [Code alignment] cke_pastebin - missing changes for udpdate operations
- 0007902: [API - XMLRPC] (github code) API-XMLRPC - getRequirements raise PHP Fatal error
- 0007905: [Database MySQL] use latest 1.9.16 hot-fixes cause DB Access Error
- 0007643: [Test Specification] Some testcases in edit mode appear blank and can´t edit (reason: <body id="cke_pastebin")
- 0007904: [Users and Rights] Manage user expiration date
- 0007900: [API - XMLRPC] (github code) API-XMLRPC - getExecutionSet raise database error
- 0007885: [New Feature] Option to set Execution Type in bulk mode in test cases table view feature
- 0007802: [API - XMLRPC] Need an API to move test case between test suites
- 0007891: [Test Plan - Add/Remove Test Cases] Display Testcase Status in Add/remove Testcase page
- 0007886: [Test Execute] Mandatory custom fields do not work with execution icons
- 0007887: [Security - General] Access to exec page from Test Specification for user without execution rights
- 0007889: [Users and Rights] Right to allow user to view execution data (access execution feature in Read Only Mode)
- 0007401: [Localization] French translation issues on the TC execution screen
- 0007827: [API - XMLRPC] Extend API to get ALL runs on a certain build - new function getExecutionResult
- 0007875: [API - XMLRPC] new method setTestCaseTestSuite
- 0007866: [Code alignment] Typing error in code: breack instead of break
- 0007862: [Export/Import] Extra character in Requirement description
- 0007863: [User Interface Layout] An extra character 0x20 is added in text area when editor = none
- 0007840: [User Interface General] Firefox 50: onClick error on "Test Results on Build...."
- 0007859: [Reports] General Test Plan Metrics - send by mail refactoring
- 0007835: [User Interface General] HTML definition is not correct - effect on IE11
- 0007844: [Reports - Test report matrix] Statut don't appear in email version
- 0007847: [Test Execute] Tests are not listed with PHP 7.1
- 0007798: [General] Debug code left: file_put_contents(/development/var/tracer.log)
- 0007843: [Export/Import] Unable to export Matrix Results in excel format with PHP7
- 0007830: [User Interface Customization] 'Show [$num] entries' value chosen by user should be rememebered for given view
- 0007825: [LDAP authentication] ldap mail configuration for mail, firstname and surname do not follow standard for multiple LDAP Servers cfg
- 0007936: [Charts] Unable to display Charts - PHP 7.1
- 0008213: [GUI] New Desktop : plugins are not well displayed
- 0008169: [Migration/Upgrade Testlink] problems with 1.9.17 sql migration scripts (github)
- 0008159: [GUI] Wrong information displayed in TestLink GUI
- 0008054: [Bug Tracking System - Redmine Integration] Issue tracking management (PHP Version 7.1.x Issue)
- 0008088: [Documentation (Install, User Manual, help)] GITHUB: Porting README into Markdown and fixing typos
- 0008017: [GUI] GITHUB version : sql request is displayed in search TestCases view
- 0007986: [Users and Rights] Personal API key not visible anymore
- 0007962: [Test Plan - Add/Remove Test Cases] No Test Case available exception shows while filtering the cases by importance for add/remove cases.
- 0007935: [Bug Tracking System - JIRA Integration] Integrated testlink with Jira and the reporter name is same user updated in the issue tracker and create issue is not happening
- 0007916: [Test Plan - Add/Remove Test Cases] Search by Custom Field value, left tree has right result, while right pane show more results (Both CF has SAME VALUE)
- 0007917: [Requirement Management] Error clicking the button "Bulk Monitoring", located in Requirement Operations.
- 0007899: [Test Plan - Assign Test Case Execution] Search by Custom Field value, left tree has right result, while right pane show less results
- 0007872: [API - XMLRPC] Get All test execution by build
- 0007656: [API - XMLRPC] tl.updateTestCase updates executed testcase allthough user does not have permission

[120 issues]



TestLink - 1.9.16 - Moka Pot (Released 2017-01-21)
==================================================
- 7814: [User Authentication Methods] Unable to Reset Passwords For Users with DB Authentication In System Using Mixed LDAP/DB Authentication
- 7701: [API - XMLRPC] XMLRPC API returns "XML-RPC server accepts POST requests only" for any request
- 7676: [GUI] Password reset does not work
- 2842: [Integration with Other Systems] Mutliple LDAP authentication
- 7278: [Bug Tracking System - Redmine Integration] Customise Testlink Username to Equal Redmine Username
- 7799: [Bug Tracking System - Redmine Integration] Request for Redmine Integration : Redmine API Key for each user
- 7757: [Bug Tracking System - JIRA Integration] Jira issues updated with Jira integration user instead of the actual testlink user
- 7765: [Test Project Management] deleting test projects with execution step results raise fatale db error
- 7761: [Bug Tracking System - JIRA Integration] Issue add failure versions FIELD
- 7813: [Test Execute - Step notes & result] New config option to set as default latest exec result on each step
- 7812: [Bug Tracking System - JIRA Integration] Lack of "save execution" button
- 7805: [Database Postgres] upgrade to 1.9.15 failed with errror: DB Access Error
- 7806: [Database General] Upgrade ADODB to 5.20.LATEST (@20170106)
- 7801: [Third party components] CKeditor upgrade to 4.6
- 7803: [Third party components] PHPmailer security update
- 7800: [Database General] Execution Bug will be contain step id info
- 7773: [User Interface Customization] The new login page doesn't display login_info from custom_config.inc.php
- 5817: [Requirement Revisioning] Changes made in requirements aren't saved
- 7737: [Requirement Revisioning] DB Access Error - debug_print_backtrace() OUTPUT START - creating req revision
- 7774: [User Interface General] Kint Dump information is displayed in stable release
- 7794: [Database MySQL] Critical error while editing a requirement.
- 7786: [General] source map file not sent along with jquery
- 7793: [Test Specification] Pressing 'Sort alphabetically' button generates errors in log
- 7656: [API - XMLRPC] tl.updateTestCase updates executed testcase allthough user does not have permission
- 7719: [GUI] Class Details are shown on screen, when test execution page is accessed
- 7756: [Bug Tracking System - Redmine Integration] Unable to link created/existing issue from Redmine to TestLink
- 7746: [Available Fixes] Notification mails sent to inactive users (globalRole)
- 7772: [Test Execute] Attachements are not deleted if related build isremoved.
- 7777: [Build Management] Fatal error when aborting creation of new build
- 7709: [Custom fields] The system is not accepting the imposed customizations in custom_config.inc.php file.
- 7738: [Test Spec. - Search Test Cases] Missing test cases while applying a filter on a test suite created as another test suite copy
- 7750: [Event viewer] unknown warnings after update in event viewer
- 7706: [Test Specification Import] Fail to Import a XML files to update a Testcase executed in a older version
- 7725: [Test Specification] Renaming test suite fails
- 7708: [Localization] PHP Fatal error: Call to undefined function plugin_get_current() in /var/www/testlink/lib/functions/lang_api.php on line 67
- 7710: [General] Customization "$tlCfg->user_self_signup" does not work
- 7696: [Test Specification Import] testsuite.class.php has incorrect code on importing whole testsuite specification
- 7688: [Database Postgres] Multiple errors in Postgres SQL scripts
- 7687: [Export/Import] Testcases Import : testcases too long, warning in summary always encoded in HTML format
- 7685: [Test Specification] Fatal error on uploading/deleting an attachment to the Top Level Project
- 7638: [Test Plan - Assign Test Case Execution] No mail notification when removing test case assignment
- 7675: [Test Plan - Assign Test Case Execution] Urgency is shown in Priority column on Assign Test Case Execution page
- 7683: [Installer] Error 500 after license agreement
- 6055: [LDAP authentication] Regarding Multiple LDAP confiiguration in TestLink
- 6383: [Test Project Management] The 'Create a new project' page crahes after clicking 'Cancel' button
- 7714: [Bug Tracking System - Redmine Integration] failure to report issue
- 7667: [Plugins] Fatal error after Testlink upgrade to 1.9.15 - missing plugin_get_current()

[47 issues]

TestLink - 1.9.15 - Tauriel (Released 2016-09-08)
=================================================

- 7313: [API - XMLRPC] API XMLRPC - possibility to set the step-test result.
- 7655: [Reports] Crome rendering problems after applying commit/b3e0cb4c.
- 7455: [Localization] Missing French translations for print.inc.php on test case execution.
- 7637: [Test Cases Assigned to Me] The tree in the left frame remains empty, after applying the security patch of ticket 7402.
- 7649: [Reports] invalid HTML generated by reports.
- 7645: [Localization] Typo in GUI description file - strings.txt under \locale\en_GB.
- 7402: [Security - SQL Injection] TestLink Security Vulnerability Notification.
- 7633: [API - XMLRPC] API-XMLRPC - Updating testSuite Method.
- 7625: [Assign Test Case Execution] Email notification sent to User does not contain Platform and Build.
- 7609: [Export/Import] Unable to update existant testcase data from XML file if detection is done with External ID containing prefix.
- 7599: [Plugins] Support internationalized strings for plugins.
- 7452: [Import results XML format] Import XML results : Import steps results and notes provided in XML file.
- 7560: [GUI] Report and Metrics - Display multilined text content according to text editor configuration.
- 7563: [GUI] TestCases Version comparator - Display multilined text content according to text editor configuration.
- 7559: [GUI] Test Execution View - Display multilined text content according to text editor configuration.
- 7552: [API - XMLRPC] getTestCasesForTestPlan parameter 'getstepsinfo' doesn't work.
- 7621: [Export/Import] LATEST GITHUB CODE - Testcase/Testsuite Export: exporting keywords is broken.
- 7398: [Test Specification] Filter for Status - combine more than one (Advanced Filters).
- 7519: [Test Specification Import] Import TestCases activation and frozen status from XML content.
- 7610: [Event viewer] many warnings in event log while test execution.
- 7543: [GUI] Display multilined text content according to text editor configuration.
- 7605: [Test Execute] Display of lastest run ANY BUILD execution notes at the test execution.
- 7565: [GUI] TestCases Edition - Display multilined text content according to text editor configuration.
- 7561: [GUI] Assign Requirements - Display multilined text content according to text editor configuration.
- 7562: [GUI] Search TestCases - Display multilined text content according to text editor configuration.
- 7564: [GUI] Req Version Comparator - Display multilined text content according to text editor configuration.
- 7569: [Reports - Test report matrix] Direct link does not display the report correctly.
- 7551: [Assign Test Case Execution] TL 1.9.15: Cannot assign TestCases.
- 7462: [API - XMLRPC] FEATURE REQUEST: Add API call to update linked Test Case Versions.
- 7558: [GUI] Test Specification View - Display multilined text content according to text editor configuration.
- 7557: [GUI] Requirement Specifications View - Display multilined text content according to text editor configuration.
- 7554: [Test Project Management] Display multilined text content according to text editor configuration.
- 7555: [GUI] Platform View - Display multilined text content according to text editor configuration.
- 7556: [GUI] TestPlan View - Display multilined text content according to text editor configuration.
- 7550: [Roles] Roles View - Display multilined text content according to text editor configuration.
- 7544: [Build Management] BUILD View - Display multilined text content according to text editor configuration.
- 7545: [Requirement Monitoring] Requirement Monitoring - Bulk Operations (from Req Spec View Screen).
- 7523: [Requirement Management] Req. Spec - EDIT - custom field (date or datetime) value is not saved.
- 7527: [Reports - Test Report on Build] Hyperlink to Test Suite in Table of Content doesn't work.
- 7528: [Database MySQL] Missing creationsof two new tables for MySQL in alter_tables.
- 7478: [Test Execute] Test Case Execution - Option to add LINK TO TestLink on notes on Issue Tracker System.
- 7508: [Test Plan - Assign Test Case Execution] Test cases can be assigned to an inactive or closed build.
- 7521: [Assign Test Case Execution] Add ruler to make work simpler.
- 7509: [Export/Import] Exporting testcases : add options to exclude from export: Summary,Preconditions,Steps.
- 6676: [API - XMLRPC] API CALL - create build add option with "Copy tester assignments".
- 5542: [API - XMLRPC] Add option "Copy tester assignments" to createBuild.
- 7520: [Assign Test Case Execution] Possibility to copy test execution assignment from other build.
- 7518: [GUI] New login page : image seems to be hardcoded.
- 7516: [Test Specification Export] Export TestCases activation status in XML content.
- 7517: [Test Specification Export] Export TestCases frozen status in XML content.
- 7497: [API - XMLRPC] create / update Testcase do not support to set the TestCaseStatus.
- 7498: [API - XMLRPC] createTestCase() - add support for estimated execution duration.
- 7491: [Test Execute - 'Save and move to next'] No warning if exec is not saved when using 'Save and move to next'.
- 7489: [User Interface General] Username field too short on login screen.
- 7488: [Test Execute] Test Exec - inline image rendering on Summary is not working.
- 7485: [Test Specification] Test Case Summary & Preconditions - Replace PlaceHolders with Custom Field value.
- 7481: [API - XMLRPC] xml-rpc createBuild method cannot set the date.
- 7483: [API - XMLRPC] XMLRPC - createBuild() - add active,open & release date as parameters for the call.
- 7477: [Test Specification] Test Spec Filters - Configure Default values for filter on status (workflow status).
- 7476: [Test Specification] Test Spec Filters - Adding CHOSEN Select + Always advanced mode.
- 7466: [API - XMLRPC] Different test cases may have the same external test case ID.
- 7418: [Requirements Import - TL XML format] Import req with a too long doc-id results in a data inconsistency.
- 7463: [Bug Tracking System - JIRA Integration] Testlink integration with JIRA using jira (Interface: db).
- 7454: [Users and Rights] User rights : A non admin user can grant admin access to itself and/or to others via Roles management.
- 7458: [User Interface General] User management: alphabetic sorting of the users by login doesnt work.
- 7449: [API - REST] User rights are NOT checked in createTestProject.
- 6423: [API - XMLRPC] Enable to link a project with an ITS when creating a test project using the XML-RPC API.
- 7426: [Installer] PHP7 - install KO with msg "Checking MySQL Database Failed! MySQL Database cannot be used. ".
- 7444: [Test Spec. - Keywords] Cannot open Keyword View from Test Spec..
- 7435: [Requirement Management] Tree view don´t show requeriment in tree view after copy.
- 7424: [Reports - Test Report on Build] Test report on build is incomplete. Test suites and test cases are missing..
- 7430: [API - REST] Unable to configure proxy using JiraRest integration.
- 7428: [User Authentication Methods] Definition of password management on authentication methods should be get from config.
- 7429: [GUI] The link 'Lost Password?' on the login screen cannot be hidden.
- 7399: [API - XMLRPC] Issue in permission check when creating a test suite via the XMLRPC API.
- 7393: [Bug Tracking System - JIRA Integration] Issue Tracker JIRA REST check connexion twice.
- 7390: [Bug Tracking System - JIRA Integration] Issue Tracker JIRA REST check connection fails when jirauser have readonly power only.
- 7384: [API - XMLRPC] Insufficient permission message on attempt to modify keywords using XMLRPC API.
- 7381: [General] Export Custom Fields - Mac OS issues due to tmp dir used by ADODB-XML.
- 7354: [Test Execute] Test Case Execution - just move to next.
- 7353: [Test Execute] Test Case Execution - save & move to next Improvements.
- 7250: [Requirement Management] Requirement View (Read only access) given you user doesnt work as expected.
- 7312: [Test Execute] File cannot be attached to execution of Test Case if empty title forbidden in config.
- 7326: [API - XMLRPC] API - getTestSuiteByName => getTestSuite().
- 7330: [Reports] Report - Test Results Flat - Add Test Case Version execution type indication.
- 7329: [Reports] Report - Test Results Flat - Test Case Version indication is not present.
- 7324: [Reports - Test Report on Build] $tlCfg->exec_cfg->features->exec_duration->enabled => USED ON REPORT.
- 7279: [Localization] Wrong french label for text counter feedback.
- 7306: [Test Plan Management] Sorting by name works incorrectly at Test Plans management page.
- 7301: [Installer] Add php-curl extension check => blocks REST integration with issue tracker.
- 7292: [Test Project Management] Sorting by Name does not work.
- 7282: [API - XMLRPC] API -XMLRPC - updateTestSuiteCustomFieldDesignValue raise database error.
- 7272: [Bug Tracking System - Redmine Integration] Debug Error Message : Test link Connection with Redmine Via Proxy.
- 7256: [Bug Tracking System - Redmine Integration] Testlink Connection Failure : Unable to connect to Redmine Hosted in Cloud Via Proxy Configuration.
 - 7257: [Bug Tracking System - Redmine Integration] Add PROXY config on issuetracker integration via REST API.
- 7093: [GUI] gui->direct_link is empty after editing and saving a test case.
- 6708: [Issue Tracker management] Raising issue at step level 
- 7337: [Assign Test Case Execution] Include direct link URL to test in test asssignment email sent to testers 
- 7299: [Test Specification] Test Case - right to freeze/unfreeze test case version 


TestLink - 1.9.14 (2015 Q3) (Released on 2015-09-20)
====================================================================
- 7261: [Test Execute] Multiple file upload for EXECUTION 
- 7258: [Requirement to Test Case Assignment] Spelling error of 'maximum' in 'Assign Requirement' 
- 7255: [Users and Rights] Unable to create a platform with XMLRPC request if user has not "admin" role 
- 7254: [Users and Rights] Unable to create a testplan with XMLRPC request without "Test Project management" right 
- 7160: [Security - XSS] Stored XSS in User Managment (View Users) 
- 7241: [API - XMLRPC] reportTCResult - optional parameter to provide timestamp 
- 7248: [API - XMLRPC] API to update testSuite Custom field design value. 
- 7224: [Assign Test Case Execution] GITHUB CODE - Mail not sent in test case assignment when BULK MODE IS USED 
- 7222: [GUI] GITHUB - Wrong Alt message on attachment 
- 7053: [Reports] Possibility to get reports in xls format via wget 
- 7227: [Test Spec. - Test Case Steps] Reordering Steps results in error message 
- 7228: [Bug Tracking System - Redmine Integration] Issue creation with custom fields in Redmine is not working 
- 7089: [Assign Test Case Execution] Bulk TESTER assignment does not work for all test cases when the first level test suite with many child suite is selected 
- 7214: [Test Execute] GITHUB CODE - could not delete attachment in text execution results 
- 7202: [API - XMLRPC] Method "tl.getTestCaseCustomFieldExecutionValue" not working as expected 
- 7209: [API - XMLRPC] reportTCResult - optional parameter to provide execution duration 
- 7195: [Third party components] E_WARNINGs on Windows from unlink() within Smarty 
- 7193: [Third party components] Invalid HTML in test case version comparison (diff) 
- 7194: [Reports] E_NOTICE when viewing test execution history 
- 7155: [Performance] Test Plan usage - Edit test cases - access to test case data is very slow when test plan links > 30 
- 7192: [LDAP authentication] E_NOTICE during successful LDAP login 
- 7187: [Test Specification Import] TestLink installation unusable after importing a test case 
- 7183: [Test Execute] Test Execute - config options to hide/show input for execution duration 
- 7184: [Test Execute - Step notes & result] Test Execute - config options to hide/show input for file upload FOR TEST STEP 
- 7173: [Reports - Test report matrix] Test report matrix - export to spreadsheet stopped working 
- 7177: [Test Specification Import] LATEST GITHUB CODE - Already executed test case can't be edit by import a modified xml-file 
- 6915: [Test Plan - Add/Remove Test Cases] Searching by keywork is not working in Add/Remove Test case option 
- 4214: [Export/Import] Already executed test cases versions can be edited by importing an XML test case file 
- 7174: [Users and Rights] Users assinged "guest" for a particular Test Project have rights to assign user roles even with rights disabled 
- 7168: [Assign Test Case Execution] Tester can set test cases on Test Case Assignement Overview page without permission 
- 7171: [General] Pagination via JQuery DataTables - added pagination length config option 
- 7170: [Test Plan Management] Test plan table - add pagination 
- 7127: [Reports] Possibility to include only assigned testcases in "Test report on build" 
- 7130: [Reports - Test report matrix] In a certain test campaign, test report matrix ends up in a php error. 
- 7145: [New Feature] direct link to test execution results page 
- 7146: [Test Execute] Possibility to access Specific Execution Information in Print (Read Only) Mode 
- 7159: [Database General] Projects disappeared 
- 7025: [Database MySQL] Execution history is slow because of attachments comparison 
- 7152: [Test Spec. - Search Test Cases] Test case search accessed by magnifying glass - Search gives no result 
- 7150: [Test Plan (builds, milestones, test assign)] Copying builds without release date fails (POSTGRES) 
- 7142: [Requirement Management] Requirement relations are missing when creating new testproject based on existent one 
- 7148: [Test Specification] TestLink doesn't show Execution History for test cases if those are the part of inactive test plans 
- 7131: [Reports] Test Results Flat (ONLY Spreadsheet format) - to allow further processing by user 
- 7126: [Reports] Test report on SPECIFIC build displays wrong execution time 
- 4669: [Test Project Management] Requirement / TestCase relationship broken when a new project is created from an existing one (1.9.3) 
- 7123: [Build Management] User with build management able to delete builds (and thus test case execution) without Delete execution rights 
- 7084: [Test Plan (builds, milestones, test assign)] While creating a new build in a Test Plan, only 'Not Run' test cases of the previous build should be associated with this build 
- 7106: [Export/Import] Import TestPlan has to follow same logic than GUI (OBSOLETE STATUS issue) 
- 1893: [API - XMLRPC] Admin should be able to e-mail users their API key 
- 1422: [API - XMLRPC] Generate user API Key by admin 
- 7112: [Test Execute] Test Case with multiple users assigned is not able to be executed.BY USERS WITH TESTER ROLE 
- 7110: [Filters - Test Specification] Test specification - Filter Status shows test cases whose status is different than the selected 
- 7111: [Test Spec. - Search Test Cases] Test Specification Filter for "Status" and "Importance" is broken 
- 7085: [Reports] "Results by Tester per Build" - "Execution time" becomes 00:00 when total time exceed 1000 minutes 
- 7096: [Bug Tracking System - Redmine Integration] Issue creation in Redmine is not working 
- 2664: [General] FEATURE DEACTIVATE ALL VERSIONS (It should not be possible to add older versions of inactive testcases to testplan) 
- 7107: [Reports] Report - Test Case Assignment Overview - when exec status <> not run display info about who has executed 
- 7104: [Reports - Not RunTest Cases] Report - Not Run Test Cases - Assigned to column population needs to be refactored for multiple user exec assignment 
- 7086: [Assign Test Case Execution] Feature for assigning test cases to multiple users 
- 7097: [LDAP authentication] Can't login to TestLink when using strong passwords (len > 32) in LDAP 
- 6938: [Build Management] Create Build from existent one - copy tester assignment filtering by execution status 
- 7082: [Bug Tracking System - JIRA Integration] Jira Rest - Connection check - added get project data as MANDATORY CONDITION 
- 7081: [Bug Tracking System - JIRA Integration] Jira Rest Integration - Better check on mandatory config parameter (projectKey) 
- 7079: [Test Specification] Test suite document shows Last Result as not run for test cases witch has been executed 
- 7072: [Assign Test Case Execution] Allow multiselect testers in the bulk testcase assignment dropdown list 
- 7073: [Assign Test Case Execution] Assign Test Case Exec - tester combo multiselect 
- 7067: [Test Plan - Add/Remove Test Cases] Add/Remove Test Cases - Advanced Filters do nothing 
- 7060: [Test Plan - Add/Remove Test Cases] Add / Remove Test Cases - Multiselection of Importance 
- 6996: [Test Specification - Move/Copy Test Cases] Copy Test Suite: can't keep Assigned Requirement 
- 6997: [Test Specification - Move/Copy Test Cases] Copy TestSuite: add a checkbox to copy or not assigned requirement 
- 7056: [Bug Tracking System - JIRA Integration] JIRA REST API - No bug is created after clicking on Save button. 
- 6943: [Bug Tracking System - JIRA Integration] No message showing issue is created successfully or not when clicking "save" in "create issue" page 
- 7050: [Bug Tracking System - JIRA Integration] JIRA REST - Possibility to specify custom fields on XML configuration 
- 6955: [Roles] affecting a role on a project make you lose your own role (Pagination enabled) 
- 7022: [Test Execute - Navigator] Test execution navigator tree doesn't show angle brackets and content in angle brackets for test case name. 
- 5095: [Export/Import] Testcases with the same name after import from xml file 
- 7038: [Roles] an user with a global "admin" role, can loose his rights on a project 
- 7032: [Test Specification] Test Case - possibility to update attributes on ALL versions 
- 7039: [Roles] Global Admin role will not be demoted/changed on test project or test plan 
- 6980: [Database MS-SQL] Problem database MSSQL Update from 1.9.9.0 to 1.9.13.0: 
- 7034: [Test Spec. - Test Case Table View] Bulk value assignment on Custom fields for Test Case set 
- 7023: [Test Execute] Test execution mode shows "File i Browse... " bar under every test step - unable to disable with $tlCfg->exec_cfg->steps_exec 
- 7006: [Test Spec. - Test Case Steps] Step is created twice assign a requirement jsut after the test creation 
- 7004: [Bug Tracking System - JIRA Integration] (Proxy problem)Testlink 1.9.13 cannot connect to JIRA 6.2 using jira interface (SOAP/REST) 
- 7014: [Test Specification] Create/Change test case with custom execution type, custom value is ignored 
- 7020: [API - XMLRPC] API - XMLRPC - creatTestPlan() interface improvement 
- 7019: [API - XMLRPC] API - XMLRPC - deleteTestProject() Method 
- 7016: [API - XMLRPC] A project leader cannot create a test plan via the XMLRPC API 
- 6982: [Bug Tracking System - JIRA Integration] Possibility to upload screenshot attachment from Testlink to Jira 
- 6994: [GUI] Database search queries are displayed in GUI 
- 6960: [GUI] Setup parameter for height and width of execution notes editor (AFTER EXEC NOTES HAS BEEN CREATED) 
- 6964: [Test Plan - Assign Test Case Execution] Filter by platform on tree has no effect on right side pane 
- 6957: [Test Execute] Test report does not show a test summary and duration 
- 6962: [Communication via mail] Users not receiving password reset emails 
- 6954: [Communication via mail] "Forgotten password" - email not send 
- 6944: [Test Plan - Assign Test Case Execution] Test case was assign to "None" user or one user multiple times? 
- 6934: [API - XMLRPC] Set keywords for a test case or a test case set 
- 6907: [API - XMLRPC] XML-RPC API - Remove keywords from a test case set 
- 6942: [Test Execute] Unable to "Copy issues from latest exec" 
- 6852: [Test Specification] Invisible text after ghost links in TC description (WHEN Version is EMPTY on GHOST) 
- 6931: [API - XMLRPC] Get keywords changed to support test case set as input 
- 7234: [Database General] Test Projects disappear from Testlink UI but remain in the database 
- 7230: [Test Plan (builds, milestones, test assign)] github - 20150804 - Cannot create milestone. 
- 7226: [Req Overview] MSSQL - DB SPECIFIC - Group by issue - 'Requirements Overview 
- 7212: [Installer] Alter tables SQL files not updated for MSSQL 
- 7188: [Test Execute] fatal error thrown when trying to execute test cases on a project that is linked to a non existing Bugtracker 
- 7154: [Documentation (Install, User Manual, help)] BUYING_SUPPORT.TXT should have more information 
- 7125: [Reports] Test Report which depicts overall metrics (latest execution) for each user and allows filtering based on execution status 
- 5220: [API - XMLRPC] xml-rpc : Error with 0005063 patch, when rights on test project / test plan differ 
- 4577: [Export/Import] Unable to import requirement using XML file 
- 5568: [Documentation (Install, User Manual, help)] Error in reports formats description in "Description of Test Reports and Metrics" 
- 2097: [Reports] automate report 
- 0899: [Reports] Improved format of printed Test Specification 
- 0477: [Test Specification] Assign Requirements from TC page 
- 4188: [API - XMLRPC] feature request - new method - getTestSuiteCustomFieldValue - closed.
- 7101: [Export/Import] Test Reports section shows feature for results import to MS Excel in general message but feature not available 
- 4479: [API - XMLRPC] API - reportTCResult function shall follow a user project right 
- 4254: [API - XMLRPC] test suites for project api request 
- 5292: [API - XMLRPC] getLastExecutionResult method - changed to use optional argument "platformid" 
- 3650: [API - XMLRPC] request for API method getExecutionResult. 
- 1840: [Users and Rights] Users page takes extremely long to load with 100+ users 
- 7078: [Bug Tracking System - JIRA Integration] Jira Rest causes crash preventing user from seeing execution results (BAD USER CONFIGURATION) 
- 7076: [Users and Rights] cannot reset password 
- 6920: [Bug Tracking System - JIRA Integration] Allow JIRA REST has similar configuration as JIRA SOAP 
- 7009: [Reports] Blank report pages redux (OutOfMemory when generating reports) 
- 6891: [Reports] Test Case Execution Reports (ALL) - execution_duration field data value not displayed 



TestLink - 1.9.13 (2014 Q4) (Released on 2015-02-07)
====================================================================

6926: [Test Plan - Assign Test Case Execution] Cannot clear assignment in the "Assign to" drop down list 
6924: [Test Spec. - Ghost Test Case Steps] Ghost string disappeared and overridden by the actual test step description when updating a test case to a new version 
6905: [Reports - Failed/Blocked Test Cases] Link to test case is still raw link (no title) in email(HTML) type of test report 
6914: [Test Execute] When executing any test case, the test cases tree is not updated with the new result 
6876: [Test Execution - Bulk Mode] Link to set execution status for a single test case when working in Bulk Mode 
6912: [Test Execute - Export for Results Import] Export for result import - add tags to allow specify result at step level 
6899: [Reports - Failed/Blocked Test Cases] Incorrect bug ID in exported Excel spreadsheet 
6904: [Test Execute - Export Test Plan] Export the Execution Order in a TestPlan for each testcase 
6814: [Test Specification] Test Case search - add option to search value on multiple fields 
6872: [Bug Tracking System - JIRA Integration] JIRA REST - add issue note ( Jira calls it comment) 
6667: [General] Config option to enable/disable combo with access to user documentation on desktop/main page 
6666: [General] Security Warnings - allow to configure how many times has to be done 
6656: [Reports] "Results by Tester per Build" - show closed builds is not working 
6655: [Test Execute] Many warnings when a user run a test 
6641: [Test Plan Management] Blank web page appearance upon clicking on 'Active' field 
6619: [Test Plan Management] Test Plan Management does not work 
6648: [Test Execute - Navigator] Checkbox "Update tree after every operation" does not work 
6116: [Test Execute] Test case keywords are not displayed on execution pane 
6610: [Test Plan Management] After creating a new project and hitting "Return" button bring randomly "Webpage has expired" 
6614: [Test Execute] "Cancel" button in Test Project Edit is not function 
6637: [Requirement to Test Case Assignment] Create test case from requiremenent fails - UTF-8 Issue ? 
6630: [Assign Test Case Execution] impossible to assign test case execution 
6626: [Test Specification] Print view shows version 1 even if test case have version 2 
6617: [Requirement Management] filter breaks requirement tree 
6612: [Test Execute - Filters] Test execution filters destroys tree 
6608: [Test Spec. - Test Case Steps] Test Case Step - Create / Modify - Add new button 'Save & Create step' 
6611: [GUI] E_NOTICE Undefined property - printDocOptions.tpl.php - Line 172 
6729: [Filter on Keyword - Test Specification] Keyword´s not working properly 
6834: [Reports - Req. Based Report] Req. Based Report - add possibility to filter on specific BUILD 
6907: [API - XMLRPC] XML-RPC API - Remove keywords from a test case 
6896: [API - XMLRPC] XML-RPC API - add keywords to test case 
6882: [Bug Tracking System - JIRA Integration] JIRA Bug Title created from TestLink 1.9.12 
6878: [Test Plan Management] Testplan manangement screen is blank 
6874: [Test Execution - Bulk Mode] Execution Order in Bulk Mode doesn't match with Order shown in Left test suite tree 
6673: [0 - User too Lazy to analize defined categories] Set Urgent Tests duplicates test number when there is user assigned 
6664: [Requirement to Test Case Assignment] When assigning requirement while using a filter, all filtered test cases get assigned and not selected test suite test cases. 
6684: [Reports] Test Report / Test Report on Build - Display information regarding WHOLE execution attachments 
6351: [Export/Import] Images in Test Cases not Exported for Word/OpenOffice Document 
5950: [Export/Import] Images are not exported in Word 
6700: [Assign Test Case Execution] Filter on Platform breaks Tc tree 
6719: [Bug Tracking System - Mantis Integration] Create Mantis issue fails 
6720: [User Authentication Methods] Impossible Logout via login page 
6723: [Test Specification] Search Test Cases - possibility to filter also by Status 
6722: [Test Plan - Assign Test Case Execution] It´s impossible Unassigned test cases alltogether 
6695: [Test Execute] Attachments not found from Test Execution view 
6692: [Test Plan Management] Updating test plan results in error message 
6689: [Test Spec. - Test Case relations] Cancel does not function when creating a new test case with existing name. 
4101: [Reports] Images not loaded with word format of Test Specification Document 
4096: [Requirement Management] Supplementing Hyperlink to inlined Images in a Requirement Specification Document 
6686: [Test Specification] Error when creating an existing test suite (when NAME already exists) 
6688: [Test Spec. - Test Case relations] Cancel button does not function when creating a test case. (‘check to create another test case after saving’) 
6725: [Reports - Test Cases Created x user] Test Cases Created x user - GUI Refactoring 
6742: [Test Plan Management] Creating/editing test plan throws you to a fatal error page 
6743: [New Feature] XML-Export: Include ID of test suites 
6754: [Reports] Test Suite Heading Prints With Text Style, Not Header Style 
6635: [Assign Test Case Execution] Can't Check/uncheck all Test cases in Assign Test Case Execution 
6646: [API - XMLRPC] Extend API - XMLRPC Add function "removeAssignement" 
6534: [Users and Rights] 1.9.12 DEV -- User with 'admin' rights cannot do Test Plan Management 
6752: Could not Set Test cases urgency in bulk mode. 
6805: [API - XMLRPC] API XML-RPC - add platform id for getTestCasesForTestPlan() Method 
6756: [Test Specification] Test suite creation - Details can not be provided 
6779: [API - XMLRPC] API -XMLRPC - getTestCaseKeywords() 
6778: [API - XMLRPC] API -XMLRPC - getProjectKeywords() 
6804: [Test Spec. - inline images] Test Suite - inline images on details 
6773: [Test Execute] Test Case Step execution attachments - possibility to DELETE IT 
6749: [Localization] pl_PL localization for 1.9.12 + DEV updates 
6767: [Test Execute - Navigator] case execution module: when change tplan, current platform cannot renew 
6809: [Reports] Requirements Report - display images inline & convert TestLink tlInlineImage command 
6808: [Requirement Management] Requirement print view - display images INLINE 
6797: [Keyword Assignment] Assign keyword AT TEST SUITE LEVEL - add option to assign keywords ONLY TO FILTERED TEST CASES 
6740: [Reports - Req. Based Report] Req Based Report shows a rolled up status of "Partial Pass" when all test cases are not run 
6792: [Test Execution - Bulk Mode] Test case execution from Test Case Assignment Overview (reports) using smile execution options. 
6744: [Localization] relation_destination_tcase is not localized 
6802: [Reports] Report Bug per Test Case - option to process all executions (and not the latest on platform & build) 
6786: [Test Specification Export] Export Test Spec - add option to export external ID WITH PREFIX 
6761: [Test Specification] Negative value in Estimate exec. field in test case 
6759: [Test Execute] During 'delete execution' system fire 'DB Access Error - debug_print_backtrace() OUTPUT START' 
6819: [Test Spec. - Ghost Test Case Steps] Test case STEP ghost inside Summary and/or Preconditions, is managed like Test case ghost (WRONG) 
6803: [Test Spec. - inline images] Test Case - inline images on summary & preconditions 
4668: [Test Project Management] Req Spec Attachements are lost when a new project is created from an existing one 
4656: [Test Plan (builds, milestones, test assign)] Test Plan Copy - Build release date is not copied 
6650: [Test Execute] Test Step execution - Attachment management 
6824: [Milestones] Milestones view - add section to display status 
6817: [Test Specification] Test Case Copy - possibility to specify new name when copying 
6823: [Milestones] Milestone provides 100% complete when 0 test cases of target priority are available 
6822: [Custom fields] Custom Fields - Possibility to add to current test project while creating 
6799: [Requirement Management] Requirements Specification: Display uploaded images in-line in Requirement Scope 
6735: [Test Execute] Automatically copy linked bugs from previous execution to the new one 
 6739: [Test Execute] IMPORT RESULTS VIA XML - Copy linked issues from (ABSOLUTE) latest execution 
 6736: [Test Execute] Copy linked issues from (ABSOLUTE) latest execution when creating a new execution 
6821: [Test Project Management] Test Project List - add number of available test projects (respect grants) 
6806: [API - XMLRPC] API XML-RPC - deleteTestPlan Method 
6818: [Test Spec. - inline images] Test Case - inline images on STEPS 
6855: [Test Project Management] Test project table - add pagination 
6638: [Reports] Reports on format Pseudo MS Word doesn't load the reports list 
6850: [Reports - Failed/Blocked Test Cases] In 'Reports and Metrics' section the direct link to Failed/Blocked/Not Run Test Cases doesn't work 
6848: [Test Execute] Test case execution - bug list - possibility to configure ORDER BY 
6726: [Test Specification] Test Case Search - GUI refactoring 
6847: [Bug Tracking Systems Integration] Create Issue AFTER Execution - possibility to provide issue summary 
6840: [Import results XML format] [Import test execution results] Ignore test results if already exists in TestLink (with same execution timestamp) 
6837: [Test Execute - Navigator] Access Test Execution from Test Case Specification seems to be lost 
6496: [Reports] Check impact on different reports of test case relations 
6760: [Roles] Edit TestProject user roles at Project level - Spanish 
6034: [Test Specification] Test suite 'Sort alpahbetically' breaks 'Cancel' button operation on other test suite feature 
6828: [Reports - Req. Based Report] Req Based Report - When more than one platform exists, execution status is always on SAME platform (last created) 
6856: [Users and Rights] Test project & Test Plan Role assignment - add pagination 
6867: [Bug Tracking System - JIRA Integration] JIRA REST - getIssueTypes() 
6866: [Bug Tracking System - JIRA Integration] JIRA REST API - Dynamic configuration to tracker management 
6864: [Bug Tracking Systems Integration] Create Issue WHILE Executing - possibility to provide issue description 
6865: [Test Plan Management] Test plan view - allow access to test case execution 
6870: [Bug Tracking System - JIRA Integration] JIRA REST - getComponents() 
6863: [Test Spec. - Test Case Table View] Test suite - test case table view - add possibility to update status & importance 
6859: [Test Specification] Test spec - add test case to test plan (from test case view) - add pagination & search 
6858: [Test Spec. - Keywords] Allow keyword remove from Test Case view screen 
6869: [Bug Tracking System - JIRA Integration] JIRA REST - getVersions() 
6854: [Bug Tracking Systems Integration] Create Issue WHILE Executing - possibility to provide issue summary 
6868: [Bug Tracking System - JIRA Integration] JIRA REST - getPriorities() 
6716: [Users and Rights] Access to assign role management functionality for granted users 
4921: [New Feature] Direct link for Test Suite 
6435: [Build Management] Build assignment to made available at execution time 
6812: [Assign Test Case Execution] "Do" have no function while bulk user assignment. 
6774: [Users and Rights] Testcase "Print view" button stopped working after today's (2014.11.20) update 
6633: [Reports] Generate Requirement Specification Document doesn't load attachments 
6604: [Bug Tracking System - Redmine Integration] Unable to Add/link a defect 
6707: [User Authentication Methods] User Authentication is failing with DB when using LDAP & DB authentication 
6795: [Keywords] Filter doesn't work when adding keyword 
6782: [Bug Tracking System - Redmine Integration] Logging issues from TL to Redmine is throwing error message 
6776: [API - XMLRPC] API-XMLRPC - option on getTestCase() to allow retrieve assigned keywords 
6777: [Test Plan - Add/Remove Platforms] Test plan management panel not working --> blank page is retour 
6765: [General] warnings about /tmp in testlink events log 
6748: [Test Plan Management] Page crash after click "Test Plan Management" link at home page 
6712: [User Authentication Methods] Reset Password does not write password to DB, when DEFAULT AUTH method is LDAP, but user is DB 
6620: [Test Plan Management] Test Plan Management does not work 
6730: [Localization] es_ES localization 
6731: [Export/Import] No MSWord export available in test report 
6663: [Reports] Undefined index on print.inc.php 
6651: [Security] PHP Object Injection Vulnerability In /lib/execute/execSetResults.php 
6631: Test Report does not work 
6652: [Test Plan Management] Clicking "Test Plan Management" from home gives 500 error 

[139 TICKETS]

TestLink - 1.9.12 (2014 Q3) (Released on 2014-09-28)
===========================================================================
[73 tickets]
- 6578: [Test Execute] Save execution result - option to CREATE Issue while saving 
- 6595: [Localization] string 'error_ldap_start_tls_failed' is not localized for locale 'en_GB' 
- 6591: [Requirement to Test Case Assignment] Requirements Bulk Assignment- Assigned By & Timestamp are not saved 
- 6255: [Requirement to Test Case Assignment] Requirements Bulk Assignment does not respect Test Case filter 
- 6416: [Test Specification] Filtering for keywords with decent number of testcases results in infinite spinner for loading 
- 6580: [Filters- Test Specification] Test Specification- Possibility to filter test cases without some keywords 
- 6321: [Reports- Req. Based Report] Can't choose options in Requirement Specification Report 
- 6548: [Bug Tracking System- Bugzilla Integration] Bugzilla XMLRPC Integration: Bug creation is not working in Bugzilla 4.4.4 
- 6570: [Test Spec / Test Suite HTML Report] HTML report will be generated in NEW WINDOW 
- 6517: [Test Plan- Assign Test Case Execution] Possibility to assign Test cases to multiple users 
- 6581: [Test Specification] Can't update status, exec type, importance for previous tc version 
- 6577: [Test Project Management] Create Test project- Default ON for Test priority & Automation 
- 6556: [Test Specification] Test Suite & Test Case operations when working on Test Suite => migrate to icons 
- 6554: [Test Specification] Test Suite operations when working on Test Project => migrate to icons 
- 6574: [Test Spec / Test Suite Pseudo Word Report] Test Spec / Test Suite Pseudo Word Report 
- 6566: [Bug Tracking System- Mantis Integration] Mantis- Create Issue via SOAP API- reporter will be set to TestLink Logged user 
- 6513: [Bug Tracking System- JIRA Integration] Create Issue via REST API- reporter will be set to TestLink Logged user 
- 6415: [Reports] Reports with direct link are dispayed shifted 
- 6506: [Security] Cross-Site Request Forgery on lib/usermanagement/rolesView.php (CWE-352) 
- 6455: [Test Execute- Navigator] "null" erasing in test execution tree 
- 6557: [Bug Tracking System- Bugzilla Integration] Mantis SOAP- addNote() method 
- 6555: [Bug Tracking System- JIRA Integration] JIRA- REST Integration- Check for connection OK is WRONG 
- 6551: [Test Specification] (User cannot export Test Spec Document) Possibility to generate HTML DOC for a specific Test Suite 
- 6545: [Reports] On report with test steps exec wrong value is used for test case execution type 
- 6543: [Failed/Blocked Test Cases] test steps execution report (print view) always shows FOR TEST CASE lastest execution result 
- 6553: [Test Spec.- Test Case Steps] Reordering of steps alwaws gives error if more than one test case version exists 
- 6531: [Custom fields] Apostrophe in test case custom field string, list, multiselection list causes DB errors, bad filtering, etc 
- 6525: [Security] Configuration of password requirements 
- 6524: [General] New configuration option- notifications 
- 6516: [Test Plan- Assign Test Case Execution] Remove Tester through direct icon 
- 6511: [Bug Tracking System- Redmine Integration] Redmine Integration- Problems with target version mapping 
- 6515: [Test Execute] Exec test case- New Option Assign to me execution task if not assigned 
- 6514: [Test Execute] Exec test case- choose results from combo instead of radio buttons 
- 6509: [Usability] Test project combo on top- possibility to display test project prefix 
- 6504: [Req Overview] Report Last Modified column- on POSTGRES 01/01/1970 is displayed 
- 6481: [Test Project Management] Enable/Disable Requirements feature from test project list 
- 6498: [Security] Cross-Site Scripting on /lib/plan/planExport.php (CWE-80) 
- 6499: [Security] Blind SQL Injection on /lib/requirements/reqExport.php (CWE-89) 
- 6492: [Test Cases Assigned to Me] Allow Quick & Dirty execution 
- 6489: [JIRA Integration] Undefined property: stdClass::$duedate- when running 'failed test cases' report) 
- 6486: [Security] Cross-Site Scripting on login page 
- 6488: [Security] SQL Injection (CWE-89) (eventinfo.php) 
- 6460: [API- XMLRPC] Extend API- XMLRPC Add function "getTestCaseBugs" 
- 6483: [User Interface General] Top menu- replace text with images 
- 6482: [Test Plan Management] Test plan list- action buttons refactoring 
- 6473: [Requirements Import- TL XML format] Confusing message appears while using Import under Requirements 
- 6296: [Test Specification- Move/Copy Test Cases] feature should only present filtered tests for move/copy when filer is applied. 
- 6464: [Test Importance / Urgency / Priority] Set Test urgency- display also tester assigned 
- 6463: [Platforms- import] Platforms import- user feedback improvements 
- 6451: [Import results XML format] FEATURE REQUEST- Importing custom fields in in test execution 
- 4722: [Import results XML format] Importing custom field values during test results import 
- 6452: [API- XMLRPC] Get user assigned to test case XMLRPC method 
- 6490: [API- XMLRPC] Assign test to user using assignTestCaseExecutionTask doesn't report the right platform (fman)- closed.
- 6497: [Reports- Test report matrix] memory exhausted when use test report matrix (fman)- closed.
- 6461: [Filters] Filter in "Set urgent Test Case section dosen't work (1.9.9) (fman)- closed.
- 6484: [Test Execute] Complete execution history disregards testplan ID => due to typo error (fman)- closed.
- 6562: [Redmine Integration] Redmine REST Integration- Possibility to ADD notes to issues on Redmine from TestLink 
- 6547: [New Feature] Automatically add comment to issue report when link a test execution to a issue 
- 6560: [Mantis Integration] Mantis SOAP Integration- Possibility to ADD notes to issues on Mantis from TestLink 
- 5234: [Test Spec.- Test Case relations] Relation feature for Testcase 
- 6501: [Test Spec.- Test Case relations] Export Test Case- relations need to be included 
- 6493: [Test Spec.- Test Case relations] Test Case execution- Display Test case relations 
- 6068: [Bug Tracking Systems Integration] JIRA REST API Integration- CRITIC ONLY via HTTPS 
- 5487: [Database General] When using Foreing Keys, add ON DELETE CASCADE option when available 
- 6590: [Reports- Test report matrix] Export of Test Result Matrix fails and shows blank page due to PHP out of memory error 
- 6572: [Req Overview] Req overview feature- performance issues with 2000 req or more 
- 6530: [Test Spec.- Test Case relations] User with right Guess can create test case relation (KO) 
- 6230: [Filters- Test Specification] Possibility to configure Test plan usage show up in Test specification 
- 6470: [Test Execute- Export for Results Import] Test Execute- Export for Results Imports => honors filters 
- 6607: [New Feature] Export users list
- 6533: [Test Specification] Template for Summary and Preconditions is not used when creating multiple Testcases
- 6540: [Database MS-SQL] Error creating tables into database using the script provided with 1.9.11
- 5201: [Users and Rights] There is a id criteria on tlRole::getUserIDsWithTestProjectRole function that is not needed


TestLink- 1.9.11 (2014 Q2 - bug fixing) (Released  on 2014-07-28)
===========================================================================

[35 tickets]
-6453: [GUI] Spelling mistake in Metrics Dashboard 
-6265: [Test Execute - Export Test Plan] Cancel button is not working 
-6337: [User Interface General] Spelling mistake in Requirements submenu 
-6450: [Test Plan - Add/Remove Test Cases] Add/Remove Test Case to test plan - Status Filter 
-6442: [Test Plan - Assign Test Case Execution] Assign Test Case Execution: Undefined property: tlTestCaseFilterControl::$formAction 
-6444: [API - XMLRPC] Extend API - XMLRPC function "getLastExecutionResult" to return also the linked bug ids 
-6447: [Test Specification] "Estimated exec. (min)" is blank when new test case version is created. 
-6331: [API - XMLRPC] Assign test case execution XMLRPC method 
-6424: [Reports - Req. Based Report] No excution details page poped up when clicking "Execution" icon of non-excuted case on "Requirements based Report" page 
-4738: [Reports] "Last Build" on Test result matrix takes the wrong build as being last 
-5938: [Test Specification] Include "Status" as filtering option in the Filters section 
-6394: [Filters - Test Specification] Status Filter 
-6370: [Test Specification] DB Access Error appear while I try to assign keyword to non existing test case 
-6379: [Test Specification] DB Access Error appears under Search Test Cases 
-6377: [Test Plan Management] When just ONE TEST PLAN exists, deleting it causes DB error on screen 
-6262: [Test Specification] The tree-list view is not refreshed when moving/copying a test suite 
-6356: [Test Spec. - Test Case Steps] Add control to force (at least from GUI) that all step numbers ARE UNIQUE 
-6355: [Test Spec. - Test Case Steps] Add control to force (at least from GUI) that step number has to be > 0 
-6350: [Bug Tracking System - Bugzilla Integration] Bugzilla Integration is not working in Bugzilla 4.4.4 
-6336: [GUI] Char out of place in filter - Test Execution 
-6325: [Test Execute] Blank Page shown if a user has not been assigned any tests and he visits the Test Execution Page 
-6320: [Reports] Add configuration variable for the results By Status report 
-6318: [Test Plan - Add/Remove Platforms] "Add / Remove Platforms" link does nothing 
-6314: [Export/Import] Export TestPlan XML with FULL Testcase External ID to permit TO THIRD PARTY TOOL generation of Execution Result XML file 
-6361: [User Interface Customization] Need a user setting to optionally always display testcase "Actions" buttons. 
-6357: [Database Schema] Database Schema - TestLink 1.9.x 
-6396: [Test Specification] Edit test case - cancel button refactoring 
-6391: [Test Specification] The 'Edit Test Case' page crashed after clicking 'Close' button 
-6392: [Test Specification] 'Add Test Case Version to Test Plans' page crashes after clicking 'Cancel' button 
-6343: [Reports - Test report matrix] Test Results Matrix exports as spreadsheet fails with high number of active builds (> 40) 
-6119: [Test Plan - Add/Remove Test Cases] Add/Remove Test Case - Right Pane Refactoring - Display Test Plan Tree + Test Report 
-6341: [Reports] Test Plan Report - test case version seems missing 
-6422: [Test Specification] Estimation in Test specification as mandatory field via Javascript 
-6390: [Test Execute] Tree is slow to load when user clicks on Test Execution. 
-6365: [Test Plan Management] Test case creation in test link is not updated in test suite automatically 



TestLink - 1.9.10 (2014 Q1 - bug fixing) (Released  on 2014-04-25)
===========================================================================
[69 tickets]

- 0006061: [Requirements Import - Mantis XML format] Create Req. from Mantis Issue XML export 
- 0006100: [Roles] Divide & Conquer - rights with more granularity 
- 0005055: [API - XMLRPC] Error attaching file via XMLRPC API (kinow) - resolved.
- 0006213: [API - XMLRPC] Test plan access rights not checked on API - XMLRPC 
- 0006307: [API - XMLRPC] XML-RPC API getTestCasesForTestSuite() - add option to return also test case keywords 
- 0006257: [Bug Tracking System - Bugzilla Integration] Junk values of Bugzilla ID and Bugzilla key in Exported Spreadsheet on Failed Test Case Report 
- 0006303: [Custom fields] Facility for linking the Custom field to Builds only 
- 0006253: [Reports] Display Attached Images on reports when displayed like HTML online 
- 0005031: [New Feature] Automatically create user account at the first time of login if the account just exists on LDAP 
- 0006261: [Test Specification] Test suite 'Sort alphabetically' is not working properly 
- 0006258: [User Authentication Methods] User cannot login after change Authentication method from LDAP to DB 
- 0006110: [Test Execute] Replace help on right pane with exec summary regarding Test plan, Build, Platform 
- 0006250: [Users and Rights] Cannot set new rights after upgrade to 1.9.8 
- 0006236: [Test Plan - Add/Remove Test Cases] Option to display whole test specification (filtered) on right pane 
- 0006215: [Custom fields] Custom DATE fields in 64bit OS systems show 30/10/-2 by default instead of being empty 
- 0006216: [Test Plan - Assign Test Case Execution] Crash when changing from TestPlan with Builds to TestPlan with NO Builds in the "Assign Test Case Execution" Window 
- 0006218: [Reports] Report Metrics Dashboard - Test Project Progress Section is always empty 
- 0006223: [Metrics Dashboard] Metrics dashboard doesn't show up 
- 0006204: [Test Specification Import] Import Estimated exec. duration from XML 
- 0006174: [Reports] Requirements based Report - No execute content display when clicking "exec_icon.png" icon 
- 0006197: [Database MS-SQL] 1.9.8 Upgrade - req_coverage table 
- 0006175: [Reports] Add "Execution time" to "Results by Tester per Build" report 
- 0006185: [API - XMLRPC] reportTCResults() - new parameter 'user' (user login) 
- 0006137: [Test Plan Management] Test plan list view - display quantity of builds 
- 0006179: [Test Execute] Cannot remove already executed test case (demo.testlink.org) 
- 0006173: [Test Plan - Add/Remove Test Cases] E_NOTICE Array to string conversion - in /development/gitorious/testlink/gui/templates_c/ce37385d2519d69075b04c94daed876d1c2677c 
- 0006166: [Users and Rights] Adding "Event viewer (read only access)" to a Role won't show the Events link 
- 0006164: [Requirement to Test Case Assignment] One requirement link same test case duplicated if the test case has more then one version. 
- 0006159: [API - XMLRPC] getTestCasesForTestPlan returns confusing exec_status [POSTGRESQL] 
- 0006006: [Export/Import] Requirement relations are not exported and cannot be imported 
- 0003560: [Export/Import] Requirements Export does not Export Requirement Relations (kinow) - resolved.
- 0006149: [Build Management] Build View - possibility to set active/inactive, open/close on quick way 
- 0006144: [Third party components] jquery and prototype third party packages CONFLICT 
- 0006138: [Test Specification] Test Specification - Add buttons to Generate Test Spec Document on Test Project and Test suite 
- 0006136: [GUI] Requirement Specification - Icon to show/hide actions for REQUIREMENTS 
- 0006135: [GUI] Requirement Specification - Icon to show/hide actions Req. Spec 
- 0006128: [GUI] Test Specification - Icon to show/hide actions on Test Project and Test Suites 
- 0006129: [GUI] Test Specification - Icon to show/hide actions on Test Case 
- 0006127: [Test Execute] unable to execute test case with linked requirement using TL1.9.9 hotfix package - file inc_exec_test_spec_req.tpl missing 
- 0006125: [Reports] Warning about arg_build_set being undefined when exporting to Excel 
- 0006124: [Localization] Updated some missing localization strings for Dutch 
- 0006126: [Bug Tracking System - TRAC Integration] Warning about unknown property "id" 
- 0006121: [Bug Tracking System - TRAC Integration] isResolved property not set for TRAC 
- 0006123: [Reports - Test report matrix] Showing test results gives invalid index warning in events 
- 0006112: [Test Execute - Filters] Filter by "bug" when execute tests 
- 0006109: [API - XMLRPC] createTestCaseSteps with action 'update' does not change existing steps 
- 0006102: [API - XMLRPC] updateTestCase returns debug informations 
- 0006101: [API - XMLRPC] updateTestCase does not set modification timestamp 
- 0006099: [GUI] Keyword Assignment feature - cleanup GUI 
- 0006028: [Bug Tracking System - JIRA Integration] Integration with Jira 6.1 broken. - Due to JIRA schema changes 
- 0006098: [GUI] Access to REQUIREMENTS specification feature from desktop - right pane will present ACTIONS instead of help 
- 0006097: [GUI] Access to test specification feature from desktop - right pane will present test project data instead of help 
- 0006082: [Requirements Import - TL XML format] Import req from DocBook to testlink ignore of $tlCfg->req_cfg->importDocBook->requirement var 
- 0006085: [Test Specification - Move/Copy Test Cases] Move/Copy Test Cases Feature ON TEST SUITE - do not offer chance to choose [Copy Requirement Assignments] 
- 0006087: [Contribution Maintained BY USER] Import RESULTS - import test EXECUTION duration through xml files 
- 0006084: [Test Specification - Move/Copy Test Cases] Cannot copy a testcase with (attached) linked requirements 
- 0006083: [Reports] Test Plan Execution report on SPECIFIC BUILD 
- 0006060: [Test Plan Management] Test Plan attachment management refactoring 
- 0006076: [API - XMLRPC] addPlatformToTestPlan creates invalid platform links 
- 0006056: [Test Execute] Execute with tree refresh, refresh also right pane removing exec data from user view 
- 0006066: [User Interface General] Testlink "Home" link on login screen incorrect 
- 0006049: [Test Specification] Test Suite attachment management refactoring 
- 0006059: [Requirement Management] Requirement - attachment management refactoring 
- 0006054: [Requirement Management] Req. Specification attachment management refactoring 
- 0006051: [Export/Import] Extension of file exported is php instead of xml, when you export Platforms 
- 0006259: [Reports - Test report matrix] Test report matrix - Spreadsheet output - display more info that on HTML output 
- 0006108: [API - XMLRPC] createTestCaseSteps creates steps without test case references 
- 0006086: [Test Execute - 'Save and move to next'] "Save an move to next" doesn't work 
- 0006057: [Bug Tracking System - JIRA Integration] Jira integration via SOAP is broken due to changes in jirasoapInterface.class.php (not true just debug message printed) 



TestLink - 1.9.9 (2013 Q4 - bug fixing) (Scheduled For Release 2013-11-16)
==========================================================================
[64 tickets]

- 0004959: [Test Specification] Closing file upload window after uploading file ...(fman)
- 0006044: [API - XMLRPC] getTestCase() raise <500 Internal Server Error>, when testcaseexternalid includes no '-' (fman)
- 0006045: [API - XMLRPC] new method testLinkVersion (fman)
- 0006036: [Requirement Management] When trying to view requiremeent versions, the grouping label shows "Array.version Array version" (fman)
- 0006031: [Reports - Req. Based Report] H<n>-Tags not nested properly (fman)
- 0005926: [Database General] DB Access Error when access Requirement Specification (fman)
- 0005981: [Bug Tracking System - JIRA Integration] Jira SOAP - Additional Attributes Management has limitations (fman)
 - 0006007: [Bug Tracking System - JIRA Integration] Jira affectsVersions management (fman)
- 0006033: [Custom fields] Custom Fields for Build (fman)
- 0006024: [Test Specification - Move/Copy Test Cases] GUI / Usability improvements - jQuery Chosen for HTML Select (fman)
- 0006017: [Test Spec. - Ghost Test Case Steps] Test Case Steps Ghost cannot use steps in the same test case (fman)
- 0005996: [API - XMLRPC] Need XMLRPC api for getExecutionResult that takes a build paramter (fman)
- 0006013: [API - XMLRPC] Missing build number parameters for testcase execution status (fman)
- 0006021: [API - XMLRPC] getLastExecutionResult () - new parameters platform and build (fman)
- 0006015: [Available Fixes] Webserver: Nginx - https is forced incorrectly (fman)
- 0005970: [Test Execution - Bulk Mode] Bulk execution for automated group of Test Case IN a TEST SUITE (fman)
- 0005983: [Bug Tracking System - JIRA Integration] Jira SOAP - Additional Attributes Custom Fields (fman)
- 0005972: [User Authentication Methods] User Authentication Methods - Allow configuration at user level (fman)
- 0004596: [Requirement Management] Exception thrown when generating Test cases from Requirements (fman)
- 0006011: [Requirement to Test Case Assignment] Create testcase from req - (tlCfg->req_cfg->... Crash (fman)
- 0006009: [Test Plan - Add/Remove Test Cases] Test Case Execution order number is short of 1 char for the input field (fman)
- 0006003: [Test Specification] Test Spec Requirement list did not refresh after admendment (fman)
- 0005984: [Test Specification] Test Specification Link Requirements Icon does not appears after saving new test case (fman)
- 0005995: [Import Requirements - XML format] Import req from DocBook to testlink don't work. (typo error) (fman)
- 0005998: [Test Execute - Navigator] CombBoxes on Settings Section - Add search capability (fman)
- 0005997: [GUI] Test Plan CombBox on main screen (Desktop) - Add search capability (fman)
- 0005991: [Test Spec. - Ghost Test Case] Any Text to the RIGHT of Ghost Test Case string is rendered in a new line (fman)
- 0005992: [Test Spec. - Test Case Steps] Create/Edit Test Case Step - ghost on SUMMARY and PRECONDITIONS are not .... (fman)
- 0005311: [Users and Rights] Test plan & Test project Config - convert options into rights (fman)
- 0005982: [Bug Tracking System - JIRA Integration] Jira SOAP - Component is IGNORED When issue has ONLY ONE. (fman)
- 0005975: [Requirement to Test Case Assignment] Bulk Requirement linking to filtered test cases at ...(fman)
- 0005921: [Database Postgres] POSTGRESQL - Update 1.9.7 to 1.9.8 fails because db_schema_update.sql use unknown typ number() (fman)
- 0005936: [Requirement Management] DB Access Error message on Requirement visualization/modification (fman)
- 0005943: [Requirement Management] MS-SQL - New fields for req coverage table are missing (fman)
- 0005959: [Usability] Assign Test Project Roles / Assign Test Plan Roles - Display login + first name + last name (fman)
- 0005957: [Test Execute - Filters] Test Case Execute - BULK MODE - Filter on "Test Case Title"is OK on tree but ignored ...(fman)
- 0005958: [Test Execution - Bulk Mode] Test Execute Bulk Mode - Crash with DB Error (fman)
- 0005946: [Test Project Management] Test Project Management - Add filter by name on test project list (fman)
- 0005944: [Requirement Management] Delete Requirement crashes with DB error (fman)
- 0005937: [Filters - Test Specification] (Required) Custom Fields become mandatory in Filters Section (fman)
- 0005940: [Database MS-SQL] Table req_coverage does not have collumns creation_ts and author_id (fman)
- 0005916: [GUI] It's impossible to login with browser set to italian language (or other language <> english) (fman)
- 0005928: [Test Execute - Export Test Plan] Export Test Plan with Platforms generate xml with no info (fman)
- 0005912: [Reports] Report Bugs per Test Case shows white screen (fman)
- 0005924: [Documentation (Install, User Manual, help)] README File with bad path to db scripts to upgrade from 1.9.7 to 1.9.8 (fman)
- 0005925: [Test Spec. - Ghost Test Case] ghost link to a testcase in a step of the same testcase -> crash (fman)
- 0005927: [Test Execute] Bulk execution not updating execution status (fman)
- 0005895: [Communication via mail] New Account Created notification is sent to wrong destinations (fman)
- 0005922: [Filters] Filters on creation and modification dates is ignored in test cases search (fman)
- 0005920: [Users and Rights] [FEATURE] User Management - allow access to user data usin login (as Mantis do) (fman)
- 0005919: [Users and Rights] User list - <no rights> is not displayed on role column (fman)
- 0005918: [GUI] [FEATURE] Test Case View - Screen cleanup - information about author and modifier only displayed on request. (fman)
- 0005914: [Test Spec. - Ghost Test Case Steps] [FEATURE] Create Ghost Test Case STEP that always follows latest active version (fman)
- 0005906: [Test Spec. - Ghost Test Case] [FEATURE] Create Ghost Test Case that always follows latest active version (fman)
- 0005907: [0 - User too ...] Links are not click-able in Description fields for Projects Test Plans and Builds (fman)
- 0005910: [Requirement Management] Req. Management - link test case to req. providing test case external ID - Nothing happens (fman)
- 0005902: [Metrics Dashboard] Uncaught exception when doing a Metric Dashboard when no releases are active or open. (fman)
- 0005901: [Bug Tracking System - TRAC Integration] TRAC integration - sendCmd() errors are not logged (fman)
- 0006037: [Reports - Req. Based Report] Add the option : Print list of attached files (fman)
- 0006000: [Export/Import] Import Test cases with requirements - DB access error - Relations not saved (fman)
- 0005985: [Test Spec. - Ghost Test Case Steps] Test Case Step not able to render with additional manual text input (fman)
- 0005989: [Issue Tracker management] Extra information is displayed in some on top of the page ... (fman)
- 0005967: [Test Plan - Add/Remove Test Cases] It is not possible to remove executed test case from Testplan (fman)
- 0005942: [Database MS-SQL] Cannot create test cases from requirement document (fman)


TestLink - 1.9.8 (2013 Q3 - bug fixing) (Scheduled For Release 2013-09-10)
==========================================================================

- 0005687: [Database Schema] db_version - add PK on version (fman)
- 0005885: [Migration/Upgrade Testlink] Provide SQL to migrate values from estimated and actual execution time to new fields (fman)
- 0005756: [Database Schema] Execution duration (minutes) is part of executions table (fman)
- 0005688: [Database Schema] cfields_testproject - columns related required feature (fman)
- 0005680: [Custom fields] Adding Required attribute to Custom field via HTML5 required attribute (fman)
- 0005755: [Database General] add estimated_exec_duration column to tcversions table (fman)
- 0005545: [Database Schema] Add fields author_id, creation_ts to req_coverage table. (fman)
- 0005836: [Test Execute - Filters] Test Execute - include unassigned Test Case checkbox issue (fman)
- 0005881: [Test Specification] Using Direct links to test cases (linkto.php) doesnt work (fman)
- 0005866: [API - REST] REST 'GET /testprojects/:id' raise 500 Internal Server Error - due to authentication (fman)
- 0005865: [API - REST] REST response header should define content-type application/json (fman)
- 0005859: [Users and Rights] Possibility to export users (fman)
- 0005848: [API - XMLRPC] API XML-RPC - getUserByLogin(), getUserByID() (fman)
- 0005857: [API - XMLRPC] getTestCase() method with specified 'version' param always return version 1 (fman)
- 0005858: [Test Project Management] Usability Improvement - Toggle Active attribute from test project list (fman)
- 0005856: [Test Plan Management] Usability Improvement - toogle Active/Inactive from test plan list (fman)
- 0005850: [Import results XML format] Add Option to create XML output file, to make simple import of results (fman)
- 0005855: [Test Specification Export] Test Spec Export - Ghost in test case steps are replaced with text from source test case step (fman)
- 0005854: [Test Execute - Export Test Plan] Test Execute - After Export Test Plan some context info is missing and ...
- 0005800: [Test Spec. - Test Case Steps] TEST CASE STEP - Custom Field Values get deleted when leaving Test Case Step with Save & Exit (fman)
- 0005746: [Users and Rights] Cannot set new rights after upgrade (fman)
- 0005763: [Test Specification] Test Case Reuse - Ghost - Possibility to get generated ghost string (fman)
- 0005840: [Bug Tracking System - JIRA Integration] JIRA SOAP - Add possibility to disable CREATE ISSUE feature via configuration (fman)
- 0005838: [Localization] Additions to German Localization (fman)
- 0005837: [Localization] French localization update (fman)
- 0005749: [Test Specification] got E_WARNING when creating/managing Test cases (fman)
- 0005808: [Test Execute] Test case versions for executed test cases show new version when updated (fman)
- 0005812: [Export/Import] Can not be imported - You are hitting an existent Test Case with SAME EXTERNAL ID (fman)
- 0005804: [Reports - Failed/Blocked Test Cases] Failed Test Cases report shows history on all projects, ignoring Role security (fman)
- 0005796: [Database MySQL] Search test case or string, using search box on menu bar - Database error (fman)
- 0005788: [Test Plan - Assign Test Case Execution] test case execution order not working on RIGHT PANE (fman)
- 0005781: [Requirement Management] "delete this version" in requirement pop-up from "Requirement Overview" breaks requirement overview; 
- 0005739: [Filters - Test Specification] Test Specification Filters - Add option to filter by 'NO keywords' (fman)
- 0005787: [Import Requirements - XML format] Custom fields import via XML for Requirement Specification does not work (fman)
- 0005527: [Filters] search test cases - possibility to search by test author (fman)
- 0005764: [Reports] Browsers IE - OPERA / Clicking report direct link opens file "Save As" dialog (fman)
- 0005767: [Bug Tracking System - Redmine Integration] Redmine 2.x - Link access issue (uriview) has changed from 1.x
- 0005762: [Test Specification] test case view: possibility to change attributes without entering edit mode (fman)
- 0005760: [Bug Tracking System - Youtrack Integration] Default youtrack template contains comments that break the integration (fman)
- 0005640: [General] Popup for not saved changes is not shown if using CKEDITOR (fman)
- 0005734: [Bug Tracking System - Redmine Integration] Cant create new bug - subject is too long (fman)
- 0005748: [Requirement Management] E_NOTICE when creating/managing Requirements (fman)
- 0005657: [Test Specification] No alert for not saved changes while editing TestSuite name (fman)
- 0005730: [Custom fields] Custom fields view - new layout (fman)
- 0005703: [Bug Tracking System - Redmine Integration] Create issue with Portuguese characters produces mangled text (fman)
- 0005736: [Bug Tracking System - TRAC Integration] TRAC integration does not appear in the dropdown box (fman)
- 0005733: [Bug Tracking System - Redmine Integration] Create bug - debug information displayed (fman)
- 0005770: [Bug Tracking System - JIRA Integration] The issue field (eg JIRA) has limited caracter number (16)? (fman)
- 0005842: [Import results XML format] import XML results error test case not found (fman)
- 0005262: [Users and Rights] Default admin's password can not be changed because user doesn't have an email address (fman)
- 0005807: [Test Plan - Add/Remove Test Cases] Unable to filter by Importance (fman)
- 0005219: [Bug Tracking System - TRAC Integration] TRAC Integration says "Bug ID does not exist on BTS!" (fman)


TestLink - 1.9.7 (2013 Q2 - bug fixing) (Scheduled For Release 2013-06-10) 
==========================================================================

- 5587: NEW FEATURE [Users and Rights] Duplicate/Copy Role feature
- 5633: NEW FEATURE [Roles] Critic system roles will be not editable from GUI anymore

- 5650: NEW FEATURE Test Plan Design Report, Test Plan Execution Report refactoring
- 5613: NEW FEATURE Redmine Create issue from Testlink - Allow setting of issues attributes through XML configuration.

- 5611: NEW FEATURE [Test Specification Import] Create Test Cases from Mantis standard XML export format.

- 5600: NEW FEATURE [Reports - Failed/Blocked Test Cases] Reports - Failed/Blocked/NotRun - Export in spreadsheet format.
- 5588: NEW FEATURE [Reports - Failed/Blocked Test Cases] 
        Add Custom Fields (only for test cases) used on EXECUTION to the report.

- 5612: NEW FEATURE contribution : some minor issues and some enhancements in Test Plan Report 
                                   for multiplatforms testplan

- 5322: NEW FEATURE [Test Specification] Link to another test case via ID within TestLink.
- 5722: NEW FEATURE [Test Specification] Add a button to 'Add Another Test Case' ...
- 5724: NEW FEATURE [Test Specification] add option for quick access to execute feature
- 5725: NEW FEATURE [Test Spec. - Test Case Steps] Test Case Step - Create / Modify - Add new button 'Save & Exit'
- 3900: NEW FEATURE  save- create step- copy step -cancel bar should be locked when editing a step in a test case

- 5723: NEW FEATURE [GUI] Move system wide operations under a new section



- 5660: [API - XMLRPC] XMLRPC API - directory layout changes

- 5599: [Test Execute] "Save and move to next" worked unexpectedly within a test suite after 
                          test case IMPORT from XML without ORDER attribute

- 5667: [Test Execute - Filters] Filter by custom or non-custom field reflects on tree but not after 
	                                selecting a test suite in Test Execution mode

- 5674: [Test Execute - Filters] Test Case Execute - BULK MODE - Priority filter is OK on tree but 
                                    ignored on generation of right pane content

- 5673: [Test Execute - Filters] Test Case Execute - BULK MODE - Execution type filter is OK on tree but 
		                            ignored on generation of right pane content

- 5641: [Test Execute] ghost syntax for test case reuse is IGNORED on Test execute feature
- 5572: [Test Execute - Filters] Filter by Platforms - Wrong test case state count in test plan execution
- 5665: [Test Project Management] testproject class - method create() - interface changes + more features
- 5580: [Filters] Filters has no effect in Test Execution when same sets of test cases are assigned by Platform
- 5493: [Bug Tracking System - Mantis Integration] Mantis bug not visible - Integration via Database
- 5607: [Database MS-SQL] DB Access Error while deleting a test step in a testcase
- 5631: [Migration/Upgrade Testlink] Deleting a test step throws DB Access Error
- 5634: [Roles] User changes Test Project access from public to private, Test Project banishs from Test project view
- 5637: [Roles] User CREATES Test Project with access private, Test Project banishs from Test project view
- 5635: [Roles] User change Test PLAN access from public to private, Test PLAN disappears from Test PLAN view.
- 5627: [Test Plan - Assign Test Case Execution] Filter by build, when filter by result is ANY, always gets newest build.
- 5616: [Requirement to Test Case Assignment] Inconsistent assignment to requirement if test case is executed.
- 5632: [Bug Tracking Systems Integration] Issue tracker with blank config - issueTrackerView.php returns blank page
- 5614: [Test Specification] Test case Drag & Drop allows a Test case become children of Test Project - Wrong
- 5602: [Test Specification] Test Case Copy when step contains [ghost] - Value is copied instead of reference.
- 5601: [Test Execute - Edit notes & Custom Fields] Custom Fields of date type can not be edited - calendar is broken.
- 5645: [API - XMLRPC] XMLRPC api call getTestCasesForTestPlan() does not return tcase_name.
- 5586: [Test Specification Export] Test Specification Export - Add new option to DO NOT EXPORT Test Case External ID
- 5417: [Reports] Closed/Resolved issues are not considered Resolved AND THEN NOT COUNTED in TestLink
- 5573: [Reports] test cases assign to platform A show up in "test plan report" for All platforms
- 5577: [Reports] Requirements based Report is empty.
- 5566: [Test Execute - Filters] "Assigned to" does not work in "test execution" page.
- 5564: [User Interface General] When login name is ok but password is ko, feedback message is 'ok'.

- 5638: [Requirement Management] Combo box content when copying requirements and 
                                    there are duplicated req. spec with different parent

- 5592: [Test Specification Export] 
           keywords or custom fields are not imported on test suites element with an XML file exported from TL.

- 5596: [Bug Tracking System - Mantis Integration] 
           Mantis Bug generation from testlink fails if bug description 
           is larger  than mantis permitted bug summary section. (I.E This Box)

- 5589: [Report - Test Cases with Custom Fields set on Execution] 
	       Values for Custom Fields of type date and datetime are not formatted.

- 5565: [Bug Tracking System - Mantis Integration] 
           Integration Via Database - Information about bug is not displayed on table, on execution feature.

- 5562: [Reports - Test Cases Created x user] 
           Test Cases created per User - toolbar refresh button breaks filter behaivour.



TestLink - 1.9.6 (2013 Q1 - bug fixing) (Scheduled For Release 2013-03-10) 
==========================================================================

- 0005440: NEW FEATURE [Reports] Test result matrix - add export on spreadsheet format (fman)
- 0005532: NEW FEATURE [Requirement Management] Specification: How to manage Frozen Req (fman)
- 0005446: NEW FEATURE [Users and Rights] User List - convert GUI to EXT-JS grid (fman)
- 0005537: NEW FEATURE [TL API] API - removePlatformFromTestPlan() (fman)
- 0005494: NEW FEATURE [TL API] API - addPlatformToTestPlan() (fman)
- 0005497: NEW FEATURE [TL API] API - getProjectPlatforms() (fman)
- 0005467: NEW FEATURE [Third party components] Integration of ckeditor 3.x (fman)
- 0005536: NEW FEATURE [Test Specification] Create Test Case in Test suite that has keywords, manage automatic inheritance (fman)
- 0005480: NEW FEATURE [Test Specification] Possibility to renumber steps to remove 'holes' created due to step delete. (fman)
- 0005452: NEW FEATURE [Requirement Management] Requirement View feature - add quick test case link / unlink (fman)
- 0005409: NEW FEATURE [Reports] Results by Tester per Build - direct link without login (fman)
- 0005408: NEW FEATURE [Reports] Test result matrix - direct link without login (fman)
- 0005411: NEW FEATURE [Reports] Charts - direct link without login (fman)
- 0005407: NEW FEATURE [Reports] General Test Plan Metrics - direct link without login (fman)
- 0005405: NEW FEATURE [Reports] metrics dashboard - direct link without login (fman)

- 0005485: [Database General] SQL Scripts for manual upgrade from 1.9.4 / 1.9.5 to 1.9.6 (fman)

- 0005523: [Requirement Management] Attachments to a frozen requirement can be deleted (fman)
- 0005541: [Test Execute - Filters] BULK Execution - When "Result" filter is used, no test cases show up in the right pane when user clicks on the test suite. (fman)
- 0005432: [Filters] Debug output when filtering on test specification page (fman)
- 0005533: [Requirement Management] Duplicates of Requirement Spec item on the dropdown list when copy requirements (fman)
- 0005538: [Assign Test Case Execution] Keyword "And/Or" options are not filtering tree/test suite contents correctly when multiple keywords are selected. (fman)
- 0005528: [Import Requirements - XML format] Importing a requirement with CF fails after the first time (fman)
- 0005287: [Test Plan - Assign Test Case Execution] Test Case Tree not available on right pane after multiple Keywords are used for filtering (fman)
- 0005076: [Test Execute] Unable to execute a test once Testlink has been integrated with FogBugz (fman)
- 0005529: [Test Plan - Add/Remove Test Cases] Filters are not applied to the 'Add Test Cases to Test Plan' list (fman)
- 0005524: [General] Creating build using test case user assignment from existing build. Newest build is not selected by default. (fman)
- 0005519: [Reports] Unassigned test cases to a platform show up in "test plan report" (fman)
- 0005464: [Database MS-SQL] DB Access error after deleting events from Event view (SQL server 2008) (fman)
- 0005520: [Test Plan Management] Deactivating a testplan renders any access to it impossible (fman)
- 0005518: [Test Plan Management] error message while trying to activate existing inactive Test Plans. (fman)
- 0005517: [Bug Tracking System - JIRA Integration] Create Issue (SOAP) fails due to required attributes (not managed yet on TestLink) (fman)
- 0005505: [Metrics Dashboard] 1.9.6 (2013 Q1): If the API Key is missing due to configuration or not user generated place an appropriate error message (fman)
- 0005503: [Reports] DB Access Error during reporting with EXEC_TIME custom fields (MSSQL, CF, Reports) (fman)
- 0005481: [Charts] Error in pie chart for platforms without testcases (fman)
- 0005454: [Bug Tracking System - Bugzilla Integration] [Bugzilla XML-RPC]: Add Bug & Create Issue, both are not working. (fman)
- 0005486: [Test Project Management] Deleting Test project do not delete testproject_issuetracker association (fman)
- 0005476: [Test Specification] Direct link to testcase where TC ID prefix contains an '&' (the ampersand symbol), does not link (fman)
- 0005460: [Reports] CF_EXEC_TIME - Execution time does not show in reports for test suite. (fman)
- 0005457: [Reports] Incorrect data in "Report by tester per build" (fman)
- 0005465: [Test Plan Management] Inactive test plan are not displayed on Test management (fman)
- 0005425: [Test Execute - 'Save and move to next'] Access TO EXECUTION FROM 'Test Case Assigned to me' - Issues with Save and move to next" returns to the same case (fman)
- 0005401: [Reports] Closed redmine issues are not considered Resolved in TestLink (fman)
- 0005453: [Reports - Failed/Blocked Test Cases] Test Case with and WITHOUT tester assignment and computed - Help said ONLY WITH ASSIGNMENT (fman)
- 0005451: [Reports] Test Plan WITH 2 or more PLATFORMS - Test Cases Without Tester Assignment provide wrong result (fman)
- 0005444: [Localization] Localization files for es_ES (fman)
- 0005404: [Filters] Test Specification Test case Filters does not show all slected test id (fman)
- 0005309: [Export/Import] Test case summary and Test case ID getting duplicated->import the Test specification XML file inside subtree (fman)
- 0005442: [Requirement Management] Deleting a req spec, leaves record on nodes hierachy regarding req spec revision (fman)
- 0005439: [Test Specification] login on timeout when editing TEST SUITES to avoid data loss not working (fman)
- 0005433: [User Interface General] "BUG Management" links not displayed in Firefox v17.0.1 (fman)
- 0005427: [Bug Tracking System - JIRA Integration] There is no 'jiradbInterface' class anymore available ? (fman)
- 0005410: [Reports] Test Cases without Tester Assignment - Crash (fman)
- 0005407: [Reports] General Test Plan Metrics - direct link without login (fman)
- 0005405: [Reports] metrics dashboard - direct link without login (fman)
- 0005491: [Export/Import] DB Access Error when import test case XML with CF (fman)

53 of 53 issue(s) resolved.


TestLink - 1.9.5 (2012 Q4 - bug fixing) (Scheduled For Release 2012-12-10)
================================================================================

- 0005350: [Bug Tracking Systems Integration] Bug Tracking Integration - Create Issue with JUST ONE CLICK (fman)
- 0005347: [Bug Tracking System - Mantis Integration] Mantis SOAP INTERFACE - Create Issue from TestLink (fman)
- 0005349: [Bug Tracking System - Bugzilla Integration] Bugzilla XMLRPC INTERFACE - Create Issue from TestLink (fman)
- 0005351: [Bug Tracking System - Mantis Integration] JIRA SOAP INTERFACE - Create Issue from TestLink (fman)
- 0005356: [Bug Tracking System - FogBugz Integration] FOGBUGZ REST INTERFACE - Create Issue from TestLink (fman)
- 0005358: [Bug Tracking System - Youtrack Integration] YOUTRACK REST INTERFACE - Create Issue from TestLink (fman)
- 0005375: [Bug Tracking Systems Integration] Issue Tracker List - add option to check connection status (fman)
- 0005386: [Users and Rights] Test Plan management - user can manage Private Test plan where she/he has no role assigned (fman)
- 0005385: [Test Project Management] test project list - add information about issue tracker (fman)
- 0005383: [Issue Tracker management] Issue Tracker List - CheckRights do not check for issue management right (fman)
- 0005384: [Issue Tracker management] User with only issuetracker view right CAN NOT ACCESS issue tracker list from MAIN PAGE (fman)
- 0005382: [Assign Test Case Execution] Priority is not shown in folder view when assigning test cases (fman)
- 0005316: [Reports] "Test Cases with Custom Fields set on Execute" - Report NOT DISPLAYED if CUSTOM FIELD NAME contains DOT (fman)
- 0005352: [Bug Tracking System - Redmine Integration] REDMINE REST INTERFACE - Create Issue from TestLink (fman)
- 0005359: [User Interface General] FCKEditor doesn't load in Firefox 17 (fman)
- 0005344: [Assign Test Case Execution] BULK EXECUTION - Tester A can execute test case that assigned to Tester B (fman)
- 0004998: [New Feature] Test spec: Filter to display ONLY Active testcases (asimon)
- 0005304: [Export/Import] import of simple XML results file fails : external_id is not recognized (fman)
- 0005301: [Issue Tracker management] Wrong bracket (fman)
- 0005293: [Reports] (JIRA Integration) - Bugs per Test Case do not display bug summary. (fman)
- 0005290: [Bug Tracking Systems Integration] Doesn´t show description of bugs from BTS (JIRA) (fman)
- 0005257: [Import results XML format] Testcase exported for id/external id not able to import same for result update (fman)
- 0005294: [Test Plan - Add/Remove Test Cases] It is not possible to remove an inactive tc version from a testplan with platforms (asimon)
- 0005288: [Reports] Print importance/priority when printing test spec/plan (asimon)
- 0005284: [Assign Test Case Execution] Filtering by the value of custom fields is not working on tester assignment (asimon)
- 0005272: [Reports] General Test Plan Metrics / Overall Build Status / Not Run is not for build but global. (fman)
- 0005270: [Test Plan - Add/Remove Test Cases] Doesn't show Lightning icon in executed test case (fman)
- 0005256: [Reports] Test Report - Test plan WITH PLATFORMS - Tree menu only show "Not Run" test case count in "Document options" page (fman)
- 0005265: [Test Specification] Test case search displays only the first version of all test cases (asimon)
- 0005332: [Reports] Generating Test Report with "Metric' causes DB error (kinow)
- 0005281: [Bug Tracking Systems Integration] On list view add check to environment (example SOAP ext is enabled?) and display status (fman)


TestLink - 1.9.4 (2012 Q3 - bug fixing) (Scheduled For Release 2012-09-02)
================================================================================
- 0004904: [Bug Tracking Systems Integration] integrate with ITS on test project basis (fman) - work in progress.
- 0005172: [Bug Tracking Systems Integration] execHistory.php refactor due to integrate with ITS on test project basis (fman)
- 0004977: [Security] CSRF - Advisory ID: HTB23088 - Reference: https://www.htbridge.com/advisory/HTB23088 [^] (kinow) - work in progress.
- 0005179: [Reports] Bugs Per Test Case - Call to undefined method (fman)
- 0005190: [Test Project Management] Copy Test projects - tester assignments to testplan+build are not copied (fman)
- 0005175: [Requirement to Test Case Assignment] Req Spec combo box - minor gui improvement (fman)
- 0005173: [General] resultsByStatus.php/ resultsByStatus.tpl - refactoring (fman)
- 0005166: [Database MS-SQL] Test Cases without Tester Assignment - MSSQL (fman)
- 0005165: [Database MS-SQL] Issues with DISTINCT CLAUSE on TEXT field (fman)
- 0005164: [Test Project Management] Edit test project with name conflict - content of 'Project description' become EMPTY (fman)
- 0004898: [Database MS-SQL] MSSQL - Add support for SQLSRV drivers needed for PHP on WINDOWS version 5.3 and higher (fman)
- 0005162: [Reports] "Build" and "Platform" swapped in "ResultsByStatus" (fman)
- 0005159: [Export/Import] importing duplicate test suites (with option 'Create a new test case with different title') =>test case id is getting duplicated (fman)
- 0005158: [Test Execute] [1.9.4 PREVIEW]: Test Execution-> Filter by Execution type ( Manual, Automated) is not working (fman)
- 0005156: [Issue Tracker management] Display test project linked to issue tracker, when editing (fman)
- 0005155: [Test Specification] [1.9.4 Preview] Dead link in generated test case summary after source requirement deletion (fman)
- 0005154: [User Interface Layout] [1.9.4 Preview] Project dropdown list out of toolbar with IE7 (fman)
- 0005152: [General] [1.9.4 Preview]: Reappearing "NetworkError: 404 Not Found - http://demo.testlink.org/tlqarepo/gui/themes/default/css/custom.css" [^] (fman)
- 0004854: [Test Execute] Save and Next - Issues with display CF for test plan design - always EMPTY (fman)
- 0004891: [Database MS-SQL] Custom fields tables (custom_fields, custom*) Column data type definition differs between mySQL and MSSQL (fman)
- 0004842: [Test Specification] Test Case search - add check of user rights (fman)
- 0004445: [Test Specification] Test Suite Deletion not working in Test Specs (fman)
- 0005139: [Internal issue] PHP 5.3 deprecated functions (fman)
- 0004958: [Charts] General Test Plan Metrics shows white page - Bug tracking integration enabled (fman)
- 0004888: [Test Plan (builds, milestones, test assign)] Unable to update test plan with last version of testcase (fman)
- 0005148: [Security] http://itsecuritysolutions.org/2012-08-13-TestLink-1.9.3-multiple-vulnerabilities/ [^] (fman)
- 0005147: [Security] metasploit - TestLink v1.9.3 Arbitrary File Upload Vulnerability (fman)
- 0004992: [Reports] Reports - Results by Tester per Build - refactoring (fman)
- 0004990: [Reports] Reports - Test Case Assignment Overview - refactoring (fman)
- 0005044: [Charts] Charts - refactor results by Platforms (fman)
- 0004914: [Database General] Create View - tcversions_last_active (fman)
- 0004969: [New Feature] Add Setting to Force HTTPS (fman)
- 0004905: [Assign Test Case Execution] Test Case Tester Assignment - filters dont work properly for 'Assigned to' Field (fman)
- 0005090: [Test Plan (builds, milestones, test assign)] method getLinkedForTestUrgencyTree() (fman)
- 0005142: [Test Execute] [1.9.4 Preview] : Test Execution : Some "Result" on "build" filters are not working (fman)
- 0005069: [Test Execute - 'Save and move to next'] "Save and move to next" does not work when Execution feature is opened on a POP-UP window (fman)
- 0004465: [Test Execute - 'Save and move to next'] Problem with automatique sequence of test cases when accessed from "Test Cases Assigned to me" (fman)
- 0003987: [General] Contribution - Add attachments to a Test Plan (kinow)
- 0005127: [Reports] Requirements based report - refactoring (fman)
- 0005132: [Test Execute] [1.9.4 PREVIEW] : Executed test case colors are not displayed in Left frame tree (fman)
- 0005131: [Test Execute] [1.9.4 PREVIEW] Test Execution Filters : "Not Run" Result Filter is not working (fman)
- 0004819: [Filters] Filtering execution by "Not Run" on "ALL Builds" shows too few results (fman)
- 0005129: [Users and Rights] $tlCfg->exec_cfg->edit_notes needs to consider also if user CAN EXECUTE the TEST CASE (fman)
- 0005130: [Users and Rights] Possibility to manage attachments on EXECUTION needs to consider also if user CAN EXECUTE the TEST CASE (fman)
- 0004342: [Users and Rights] Security problem with multiple Testlink installations on the same server (fman)
- 0004975: [Reports] Not run tests are not counted in "Requirements based Report" (fman)
- 0005126: [Reports] Requirements based report - display context on results page (fman)
- 0005121: [Test Specification] [1.9.4 PREVIEW] Link to test case execution edit page is invalid (fman)
- 0004239: [Test Project Management] Duplicated requirements in testcase layout and duplicated testcases in requirement layout when using testproject reuse feature (kinow)
- 0004702: [Requirement Management] Requirement View - display log message (fman)
- 0005017: [Reports] Reports - Failed Test Cases / Blocked Test Cases - Refactoring (fman)
- 0005016: [Reports] Reports - Test result matrix - Refactoring (fman)
- 0004896: [Export/Import] XML Requirement Import with same title for differents Doc ID (fman)
- 0004890: [Database General] testplan::delete contains reference to risk_assignments (fman)
- 0004714: [Test Execute] execSetResults.php - retrieve big amount of useless data (fman)
- 0005115: [Test Plan (builds, milestones, test assign)] [FEATURE] - Test Plan list view - add test case qty, and platforms qty (fman)
- 0004934: [Keywords] Selective Assigment of Keywords to Test Suites (fman)
- 0004994: [Reports] Reports - General Test Plan metrics - Results by Keyword - Refactoring (fman)
- 0005003: [Reports] General Test Plan Metrics pass/fail/blocked numbers include unassigned test cases (fman)
- 0004989: [Reports] Reports - Overall Build Status - refactoring and final business logic. (fman)
- 0005048: [Reports] Metrics Dashboard refactoring for performance (fman)
- 0005043: [Charts] Charts - refactoring to improve performance (fman)
- 0005106: [Import results XML format] Import results - add possibility to provide names instead of internal id to identify context (fman)
- 0005104: [Event viewer] Audit message for BUG delete needs more info (improvement) (fman)
- 0004883: [Keywords] Lose of keywords at testcase levels (fman)
- 0003554: [Keywords] Assigning keywords to a Test Suite assigns all keywords in Assigned listbox (fman)
- 0005087: [TL API] _checkTCIDAndTPIDValid() - use $tcase_id instead of $this->args[self::$testCaseExternalIDParamName] (fman)
- 0005002: [Export/Import] Exported test plan has multiple test case instances if test case has been executed two or more times (fman)
- 0005084: [Test Execute] Rendering KO when history on and exec status is NOT RUN (fman)
- 0005047: [TL API] API Call to get execution metrics information - getExecCountersByBuild() (fman)
- 0005074: [Keywords] Bulk Keyword assignment - All keywords are assigned to the test case instead of the selected keyword (fman)
- 0005041: [Charts] Charts - Report by Tester - REMOVE / DEPRECATED (fman)
- 0005083: [Internal issue] Refactoring - logger.class.php (fman)
- 0005070: [Export/Import] Import Test suite with Custom fields - Custom fields are not imported (fman)
- 0004981: [Test Execute] When bulk executing test cases, inactivity of test cases is not taken into account (fman)
- 0005075: [Export/Import] Import Test suite with Keywords - All test suites end with same keywords (fman)
- 0004925: [Export/Import] Import many TestCases in xml does import only first TC - Consider Test Case as duplicate if: has same internal ID (fman)
- 0004695: [Migration/Upgrade Testlink] Unassigned Executions are not shown on Overall Build Status (1.9.0 OK , 1.9.3 NOK) (fman)
- 0004916: [Filters] Manual fix to improve Test Spec Tree generation when using KEYWORDS Filtering (fman)
- 0004700: [Requirement Management] Req Search Improvements - search on log message and provide link/url to multiple results (fman)
 - 0004705: [Documentation (Install, User Manual, help)] Add short online help for improved Req and Req Spec Search (Julian)
- 0004703: [Requirement Management] Req. Spec. View - display log message (fman)
- 0004796: [Test Specification] Test Case reuse - Quick & Dirty Approach (fman)
- 0004907: [Export/Import] Test Case / Test Suite export - suggested filename improvements (fman)
- 0004966: [TL API] New method to manage set test case execution type (fman)
- 0004965: [TL API] New method to manage test case Custom Field Design Value (fman)
- 0004906: [Security] Several security issues (fman)
- 0004862: [Users and Rights] Users rights on requirements are bypassed with interproject requirements relations (fman)
- 0004857: [Bug Tracking Systems Integration] Add SOAP integration for Mantis (fman)
- 0004711: [New Feature] Apache Webserver - SSL Client Certificate Authentication (Single Sign-on?) (fman)
- 0004814: [Bug Tracking Systems Integration] bug deletion may fails if bugID string contains special characters ('#', '&' , ...) (fman)
- 0004790: [Filters] Setting & Filters panel - Wrong use of BUILD on settings area (fman)
- 0004788: [Test Execute] Test Case Execution - Give feedback when filter combination 'Result' + 'on' can not be used (fman)
- 0004360: [Requirement Management] Project Creation: Use of Templates: Requirement/Test Case links are lost when creating a project with the use of a template. (kinow)
- 0004715: [Test Plan (builds, milestones, test assign)] can_remove_executed = DISABLED doesn't work when Platforms are used. Test Cases can be removed (fman)
- 0004721: [General] Left side tree manu - add specific navigator titles (fman)
- 0004696: [Test Plan (builds, milestones, test assign)] Create Test Plan from existing Test Plan does not preserve linked Test Case Versions (keep currently linked version is checked) (Julian)
- 0004682: [Test Plan (builds, milestones, test assign)] Newest version is smaller than Linked version (Julian)
- 0004588: [Requirement Management] Delete-Button doesn't work correctly when opening a specific version of a requirement (Julian)
- 0004652: [Test Execute] Link Execution History in appropriate places (Julian)
- 0005128: [Users and Rights] $tlCfg->exec_cfg->can_delete_execution need to be limited. (fman)
- 0004440: [Filters] filter for "not executed" case work for "all build", but not for "any build" (fman)
- 0004909: [Test Specification] Code Refactoring - testproject class - new method for getting test spec info (fman)
- 0005001: [Test Project Management] crash - Create test project from an existing one (has 1900 Requirements) (fman)
- 0004996: [Export/Import] Ignores change of XML export file name (fman)
- 0003792: [Reports] Overall Build Status numbers seem incorrect (fman)
- 0004723: [General] Delete Test Plan prints an exception although delete works (fman)
- 0004802: [Export/Import] Exporting large amount of requirements ( qty > 1900) fails (fman)





TestLink - 1.9.3 (2011 Q3 - bug fixing) (Scheduled For Release 2011-07-01)
==========================================================================
- 0004511: [Reports] MIle stones are not getting updated (Julian)
- 0004419: [Test Importance / Urgency / Priority] Add columns "Importance" and "Priority" to "Set urgent Tests" (Julian)
- 0004418: [Test Importance / Urgency / Priority] Clean up priority usage within Testlink (Julian)
- 0004398: [Migration/Upgrade Testlink] Prevent user-login when database scheme version does not fit required scheme (Julian)
- 0002985: [New Feature] Expose test case IMPORTANCE (NOT priority) as a column in the 'Add / Remove Test cases to Test Plan' frame. (Julian)
- 0004486: [Test Plan (builds, milestones, test assign)] Assign test execution - Link shows incorrect Test Case Version (Julian)
- 0004487: [Requirement Management] Add Req-Version to internal Requirement Links (Julian)
- 0004497: [Requirement Revisioning] Revision is not shown for older Requirement Versions (Julian)
- 0004481: [User Interface Customization] Allow custom configuration of CSS Styles when defining new statuses (fman)
- 0004536: [Requirement Management] Tree is not refreshed after editing Requirement (fman)
- 0004376: [User Interface General] Test Specification > {test suite | test case} > {ctrl, click, drag} > destination test suite (fman)
- 0004535: [Requirement Management] Tree is not refreshed after editing Requirement Specification (fman)
- 0004368: [Inventory / Platforms] Provide WYSIWYG Editor (FCKEditor) for Platform Description (fman)
- 0004584: [Test Specification] Checkbox to decide whether to create another test case or not (Julian)
- 0003953: [Test Specification] Checkbox to decide whether to create another requirement or not (Julian)
- 0004305: [User Interface General] The test cases tree shows nothing when creating test cases (fman)
- 0004613: [Test Plan (builds, milestones, test assign)] cookiePrefix needs to be improved for all trees within testlink (Julian)
- 0004322: [Test Specification] New Option to block delete of executed test cases. (fman)
- 0004196: [Test Execute] Usability: Tree is collapsed after execution (fman)
- 0004625: [Test Execute] Settings not properly set on "args" when first entering test execution (asimon)
- 0004600: [Test Plan (builds, milestones, test assign)] Block to execute test case because of updating new test case version (asimon)
- 0003110: [Test Specification] Show Testcase newest version must have clickable TC and compare (Julian)
- 0004636: [Test Plan (builds, milestones, test assign)] Add Edit Icon and Execution Icon to Test Execution Assingment Frame that opens Test Case Edit or Execution popup (Julian)
- 0004494: [Third party components] Upgrade Extjs 3.3.0 to 3.4.0 to support Internet Explorer 9 (Julian)
- 0004644: [User Interface General] Allow to configure different CSS-Files for Test Spec Documents and Requirement Spec Documents (Julian)
- 0004298: [Requirement Management] Direct links for each requirement version (asimon)
- 0004289: [Requirement Management] (MS SQL Server 2008) - Opening a requirement crashes (fman)
- 0004321: [Requirement Management] Requirement Spec - add option to print single Req Spec (fman)
- 0004125: [Reports] Filtering does not work in " Test result matrix" (Eloff)
- 0004349: [Localization] Locale en_US outdated -> copy en_GB to en_US to update for now (Julian)
- 0004062: [Users and Rights] General user rights overide user rigths at test plan level (after migration from 1.8.5 to 1.9.x) (fman)
- 0004356: [TL API] Unable to generate developer key when using prefix in table names. (fman)
- 0004303: [Test Execute] Filtering does NOT work (fman)
- 0004333: [Reports] On General Test Plan Metrics % complete did not round (kinow)
- 0004302: [Test Execute] Execute Test pane (fman)
- 0004343: [Reports] Reports Failed Test Cases / Blocked Test Cases / Not Run Test Cases -> Build is not shown (fman)
- 0004341: [Reports] New Column "Last Execuition Result" for Test Result Matrix (Julian)
- 0004362: [Reports] metricsDashboard not working properly with platforms defined (fman)
- 0004363: [Reports] General Test Plan Metrics - Overall Build Status -> empty line for a build shown with no test cases assigned to user (fman)
- 0004391: [Reports] General Test Plan Metrics - Results by Keywords does not work properly when platforms are used (fman)
- 0004387: [Reports] Tables in "general testplan metrics" should offer option to sort data (Julian)
- 0004374: [Test Project Management] When copying a project, external TC ID is not preserved (fman)
- 0004128: [Reports] Report->Overall Build Status:the Assigned field is not correct sometimes (fman)
- 0004243: [Test Execute] When creating a new build without "Copy tester assignments", the test cases remain assigned to users of the previous build (Julian)
- 0004336: [Reports] tl_documents.css not found due to wrong path in generated report (kinow)

TestLink - 1.9.2 (2010 Q2 - bug fixing) (Released 2011-03-19)
=============================================================
- 0004186: [General] Log message on config_check.txt after upgrade to Testlink 1.9.1 (Julian)
- 0004207: [Database MS-SQL] SQL error Class:testcase - Method: set_step_number */ UPDATE tcsteps TC_STEP SET step_number = 2 WHERE TC_STEP.id = 56 (fman)
- 0004204: [Database General] Error query using prefix table (fman)
- 0004222: [Export/Import] CUSTOM FIELDS - Remove \n from fields that are used on TestLink as identifiers. (fman)
- 0004199: [General] No tree control below options box on Specification pages (Test Spec. & Req. Spec) after 1.9.0 >1.9.1 (Julian)
- 0004230: [Test Specification] JS error when editing test case (step) (Julian)
- 0004228: [Reports] Requirement based Report - Add more detailed requirement evalutation states for better analysis (Julian)
- 0004206: [Requirement Management] Requirement based Report - Jump to latest execution for linked test cases (Julian)
- 0004205: [Reports] Requirement based Report - Add progress bars for a quick Overview (Julian)
- 0004220: [Localization] Translation in brazilian portuguese (pt-br) (Julian)
- 0004194: [Reports] Debug messages on Test Result Matrix (fman)
- 0004193: [Reports] Debug messages on Query Metrics report (fman)
- 0004227: [Reports] Requirement based Report - Allow to choose status of requirements to be evaluated (asimon)
- 0004192: [Reports] Results by Tester per Build - show only open builds per default to improve performance (asimon)
- 0004244: [Reports] Test Cases with Execution Details does not show test with Notes (Julian)
- 0004250: [Test Specification] Cannot cancel 'Create step' mode (Julian)
- 0004002: [Test Specification] by edit test case the Cancel button does not work (Julian)
- 0003737: [Test Specification] Step Edit - Cancel Button not working anymore (Julian)
- 0004245: [Test Specification] Cannot view certain ver of case directly without view its prev ver (Julian)
- 0004253: [Test Plan (builds, milestones, test assign)] Filter 'Result=Not Run' in page "Assign Test Case Execution" does not work if test plan has ONLY 1 build (asimon)
- 0004246: [Test Plan (builds, milestones, test assign)] Suggest to add snap to grid in test plan management GUI (fman)
- 0004233: [Reports] Query Metrics Report does not work in Internet Explorer 8.0 (Julian)
- 0004239: [Test Project Management] Duplicated requirements in testcase layout and duplicated testcases in requirement layout when using testproject reuse feature (asimon)
- 0004275: [Requirement Management] Generate Requirement Specification Document: Many Requirements are in the document twice (Julian)
- 0004270: [Keywords] Keywords are not ordered by name (Julian)
- 0004221: [Reports] Test Results matrix HTML: File does not exist: \\*gui\\ (Julian)
- 0004269: [Reports] Test result matrix can not be display (Julian)
- 0004276: [Reports] Debug information being displayed in the header of the report (Julian)
- 0004203: [Test Plan (builds, milestones, test assign)] Test case become unassigned on a build when it is unassigned from another build (asimon)
- 0004279: [Test Specification] After copying test case user feedback at top of frame has encoded HTML (Julian)
- 0004277: [User Interface General] "New Child Test Suite" button is missing. (Julian)
- 0004286: [Test Specification] Option to print single test case (fman)
- 0004273: [Requirement Management] Option to print single requirement (fman)
- 0004300: [Requirement Revisioning] The pop up window for Revision and Version have the same title (Julian)
- 0004274: [Documentation (Install, User Manual, help)] Help-page for requirement editing needed (asimon)
- 0003765: [Requirement Management] Req. Spec Doc ID disappears when you filter requirements (asimon)
- 0004311: [Integration with Other Systems] Problem using uploadExecutionAttachment method with Testlink-java-api (fman)
- 0004317: [Test Specification] Create Test Cases from Requirements do not use expected coverage data to set default nb TC to create. (Julian)
- 0004285: [Reports] Test Metrics shows results from inactive builds (fman)
- 0004021: [TL API] Remote execution of testcases doesn't work (fman)
- 0003338: [TL API] Contribution: make execute_remote work (fman)
- 0004328: [Reports] Metrics dashboard - only active builds has to be used (fman)

TestLink - 1.9.1 (Prague - Bugfix 1) (Released 2011-01-23)
==========================================================
- 0004184: [Database MS-SQL] Ambiguous column name ''platform_id'' (fman)
- 0004164: [Custom fields] Custom fields with "LIST" type remain wide open during use. (Julian)
- 0004079: [Test Execute] Cannot add attachment to execution [DB REPOSITORY / MSSQL] (fman)
- 0004100: [Requirement Management] Import Requirements - create new version for duplicate requirements (fman)
- 0004112: [Reports] IIS/MSSQL: Report "Test Cases with Execution Details" fails with an "Internal server error" (fman)
- 0002525: [Custom fields] No "CF_ESTIMATED_EXEC_TIME" in test report (fman)
- 0004176: [Inventory / Platforms] Wrong path for ext-all-debug.js in inventoryView.tpl (Julian)
- 0004172: [Requirement Revisioning] Req revision history - MSSQL UNION text field issue (fman)
- 0004174: [Installer] Wrong login credentials shown after migration procedure (Julian)
- 0004173: [Installer] migration process - every migrated test case shown on log (Julian)
- 0004170: [Reports] Test Report - When Test Plan Has platforms does not filter test cases (fman)
- 0004171: [Reports] Test Report - estimated and real execution time functions made Platform aware (fman)
- 0004169: [Users and Rights] Search results are not being displayed (Julian)
- 0004166: [Test Plan (builds, milestones, test assign)] missing Testplans on "Update Linked Test Case Versions" Testplan DropDown (Julian)
- 0004168: [Requirement Management] Requirement Specifications navigator tree empty (asimon)
- 0003784: [Bug Tracking Systems Integration] custom bug status in MantisBT causing error messages in TestLink (fman)
- 0004144: [Test Specification] VERTICAL LAYOUT - missing "insert step" column and icon in test case specification (fman)
- 0004145: [Test Project Management] deactivating "public" for a project in project management doesn't work after saving (fman)
- 0004153: [Requirement Management] Warning message when navigating away from changed requirement without saving (Julian)
- 0004154: [Requirement Management] Warning message when navigating away from changed requirement specification without saving (Julian)
- 0004155: [Test Specification] Warning message when navigating away from changed test suite without saving (Julian)
- 0004152: [User Interface General] [TL 1.9.1 on CVS] Focus is set to document id when log message dialog appears (Julian)
- 0004150: [Requirement Management] Add Check to assure tha Requirement Title is UNIQUE AMONG all children of a Req Spec (fman)
- 0004006: [Test Plan (builds, milestones, test assign)] Is_public flag on testplans not used as expected? (fman)
- 0004085: [General] Attachment Repository on Database - Can not get file after upload (fman)
- 0004136: [Test Specification] configuration $tlCfg->spec_cfg->steps_results_layout = 'vertical'; is not working when creating a test step the first time (fman)
- 0004133: [Test Plan (builds, milestones, test assign)] Filter on Test Case Title in Add / Remove Test Cases should not be case sensitive on right pane (asimon)
- 0003878: [Test Execute] "Save and move to next" does not respect filter settings (asimon)
- 0004070: [Reports] General Test Plan Metrics - Report generation so slow that is unusable (fman)
- 0004087: [Custom fields] Filtering Test Cases by more than one custom field gives zero results (amitkhullar)
- 0004118: [Test Plan (builds, milestones, test assign)] Copy Test plan feature is not copying test cases (asimon)
- 0004084: [User Interface General] Update tree after every operation ignored in Test Case editor (asimon)
- 0004131: [Third party components] PHPMAILER - upgrade config options to use SSL or TLS - allows use gmail (fman)
- 0004023: [Test Execute] Incorrect filtering of tests in exec tree (asimon)
- 0004123: [Localization] Spanish (Arg) (Julian)
- 0004121: [Reports] get_not_run_tc_count_per_build() crashes (fman)
- 0004097: [Test Plan (builds, milestones, test assign)] Test case assign crashes browser (fman)
- 0004115: [Test Specification] Custom Field Filters in Test case specs dont work in a corner condition (amitkhullar)
- 0004019: [TL API] API - getTestCasesForTestPlan can't filter by platform name (fman)
- 0004093: [Database General] MSSQL - Problems on fetch_array() (fman)
- 0004010: [Database Postgres] [MIGRATION] [POSTGRES] - updating from 1.8 to 1.9 rc1 fails (fman)
- 0004010: [Database Postgres] [MIGRATION] [POSTGRES] - updating from 1.8 to 1.9 rc1 fails (fman)
- 0004109: [Event viewer] Event logs not viewable in IE8 (Julian)
- 0004105: [0 - Undefined] Assign Test Plan roles crash (fman)
- 0004090: [Reports] Correct custom test result colors aren't shown in charts (fman)
- 0004082: [TL API] Missing check of overwrite parameter in function reportTCResult (xmlrpc.class.php) (fman)
- 0004086: [TL API] Unexpected result when overwriting reportTCResult (fman)
- 0003995: [Custom fields] Custom Field Filters in Test case Execution : Dont Work (amitkhullar)
- 0004024: [Test Plan (builds, milestones, test assign)] Add Test Case to Test Plan gives sql error on filtering the test cases on custom field value (amitkhullar)
- 0004083: [TL API] There is no mapping for the method uploadExecutionAttachment in TL API (fman)
- 0004067: [Test Specification] Tree refreshes after every action taken in Test Specification when update tree is disabled (asimon)
- 0003999: [User Interface General] Test Project list does not refresh after deleted (fman)
- 0004077: [User Interface General] Trees do not work on Internet Explorer (asimon)
- 0003837: [Test Specification] TL19RC1 - Test Specification - Test casee management - Copy test case - Bad message displayed. (Julian)
- 0004063: [User Interface General] Usability: Add "Save" and "Cancel" Button at the top of requirement edit page (Julian)
- 0004027: [Reports] Query metrics start date and end date are not working - getting all results (asimon)
- 0004065: [Users and Rights] errors from SQL (fman)
- 0004066: [Internal issue] Add $_REQUEST=strings_stripSlashes($_REQUEST); to common.php (asimon)
- 0004061: [User Interface General] wrong headline by copy a test case (Julian)
- 0004042: [User Interface General] "Expand/Collapse" Button for Trees (asimon)
- 0004041: [TL API] API - getTestCasesForTestPlan() -Platform Information not provided (fman)
- 0004030: [Installer] error log contains: PHP Notice: Undefined index: installationType in installCheck.php on line 40 (fman)
- 0003919: [Custom fields] CONTRIBUTION Enhanced custom fields script migration (fman)
- 0004038: [Requirement Management] Requirement Overview: Clicking Requirement Link does not open Requirement Version (asimon)
- 0004031: [Requirement Management] Prevent copying of req scope to test case summary when creating test cases from requirement (asimon)
- 0004007: [Test Plan (builds, milestones, test assign)] Strange empty TestPlan combo boxes in same navigator panes (asimon)
- 0004009: [Reports] "Test Case Assignment Overview" doesn't shows assignments in some situations (asimon)
[67 issues]

TestLink - 1.9 (Prague) (Released 2010-11-14)
=============================================
- 0000365: [Test Execute] Search in executed test notes (Julian)
- 0003892: [Custom fields] Check CF Combinations ON TEST PLANS - Types validation (fman)
- 0003891: [Test Plan (builds, milestones, test assign)] Do not lose Custom Field values if test plan can not be created due to duplicated name (fman)
- 0003890: [Test Specification] Create Test Suite with same name that existent sibling - BLOCK (fman)
- 0003887: [Custom fields] Check CF Combinations ON TEST SUITES - Types validation (fman)
- 0003886: [Custom fields] Check CF Combinations ON Requirements - Types validation (fman)
- 0003884: [Custom fields] Filtering by datetime custom field is not possible (asimon)
- 0003883: [Custom fields] date custom field gets set to random value when user does not enter anything and hits apply (asimon)
- 0003875: [Custom fields] TL19RC1 - Check CF Combinations - Button (asimon)
- 0003872: [Users and Rights] Admin should be able to set a new password for users (fman)
- 0000954: [Test Specification] Nice to be able to filter further than one level in the test case tree. (asimon)
- 0003876: [Custom fields] Values of custom fields are not displayed when editing requirement (Julian)
- 0002770: [Test Plan (builds, milestones, test assign)] Milestones - ability to set starting date (do not count previous testing) (Julian)
- 0003893: [Reports] Overview Metric Report for all Test Plans in a project (Julian)
- 0003804: [Reports] company logo not resized by document generator (fman)
- 0003830: [Test Plan (builds, milestones, test assign)] TL19RC1 - Milestones management - Check Milestone Status - Missing milestone status. (Julian)
- 0003794: [Reports] Query Metrics report should allow filtering by platform (Eloff)
- 0003909: [Custom fields] Typo: Test Plan Desing (Julian)
- 0003934: [Test Plan (builds, milestones, test assign)] Assign Test Case Execution - Execution type filter does not affect right pane (fman)
- 0003901: [Test Specification] Edit Test Case STEP - scroll window to show selected step (fman)
- 0003910: [Test Execute] show priority filter only if test priority management is enabled (asimon)
- 0003911: [Reports] Report "results by tester per build" shows table even if the table is empty (asimon)
- 0003915: [Requirement Management] Add creation and modification timestamp to requirement overview (Julian)
- 0003916: [TL API] xmlrpc api method 'getTestCaseCustomFieldDesignValue' is not behaving correctly in TL 1.9 RC1 (fman)
- 0003917: [User Interface General] Test Specification: clean up buttons (Eloff)
- 0003918: [User Interface General] Requirement Specification: clean up buttons (Eloff)
- 0003920: [TL API] xmlrpc api method 'createTestProject' doesn't allow to enable requirements, test priority/automation or inventory (fman)
- 0003924: [Localization] Localization of ExtJS components (Julian)
- 0003928: [Test Specification] Custom fields are not well displayed (Julian)
- 0003932: [Test Plan (builds, milestones, test assign)] Add test case to test plan - Execution type filter does not affect right pane (fman)
- 0003936: [Test Plan (builds, milestones, test assign)] Assign Test Case Execution - Right pane does not reflect custom field filter. (fman)
- 0003902: [Reports] Dashboard metrics - Documentation regarding Test Project Progress (Julian)
- 0003907: [Reports] Milestone edit with problems because of start date (Julian)
- 0003947: [User Interface General] Missing edit icon in default theme in both 1.8.5 and 1.9 rc1 (fman)
- 0003888: [Inventory / Platforms] Inventory fields are erased if any line break is entered (MySQL) (fman)
- 0003946: [Requirement Management] reqirement specification tree size (asimon)
- 0003908: [Event viewer] Reset filters on event viewer after deleting only special event types (Julian)
- 0003927: [Requirement Management] Requirement can’t be deleted due to JS error -> label has to be escaped (fman)
- 0003716: [User Interface General] Dates pull downs should be changed to calendar interface everywhere, for exampl in filters etc. (asimon)
 - 0003930: [Event viewer] Date picker display date in MM/DD/YYYY format (Julian)
- 0003945: [Test Plan (builds, milestones, test assign)] Assign Test Case Execution to a build shows all the test cases on applied filters (asimon)
- 0003950: [User Interface General] Navigation bar design should be optimized (asimon)
- 0003951: [Requirement Management] Status and Type for requirements are not saved (asimon)
- 0003954: [Requirement Management] Allowed to freeze all requirements from a requirement specification (asimon)
- 0003933: [Test Plan (builds, milestones, test assign)] Add test case to test plan - Left Pane filter use priority concept to filter test spec where priority does not exist (asimon)
- 0003949: [Export/Import] XSL - XML Generator Utility for Test Cases. (amitkhullar)
- 0003801: [Export/Import] Crash when updating test case with custom field using Import TC function (fman)
- 0003674: [Charts] Charts was generated and now is not (fman)
- 0003966: [Reports] Test Cases not Assigned to any test plan is running empty (amitkhullar)
- 0003956: [Test Plan (builds, milestones, test assign)] Filter drop down disabled by default (asimon)
- 0003944: [User Interface General] req spec - file upload control problems with different browsers (Eloff)
- 0003948: [User Interface General] Every image link contain a double / (fman)
- 0003937: [User Interface General] No information when exporting all test suites when no test suites exists (fman)
- 0003845: [Test Project Management] TL-43 Delete Test Project creates DB backtrace (amitkhullar)
- 0000385: [New Feature] Test Documents Tree: Filter test documents by build and by Test Plan. (fman)
- 0003649: [Test Plan (builds, milestones, test assign)] Export/Import Test Plan links to test cases and platforms (fman)
- 0001349: [Test Specification] Import **and/or update** test cases via spreadsheet or API (fman)
- 0003373: [Test Specification] Data after test case creation isn't removed (fman)
- 0003179: [User Interface General] On Home page, the current text plan box can exceed page when a test plan name is too long (fman)
- 0002920: [Reports] Legend blurred in Charts report (fman)
- 0002874: [General] Invalid argument supplied for foreach() (fman)
- 0003544: [TL API] TL API - deleteExecution doesn't handle missing execution id (fman)
- 0002983: [Event viewer] Errors in Event Log (fman)
- 0003027: [User Interface General] Text Formatting missing in Test Cases (fman)
- 0002867: [Installer] TL 1.9 - migration from 1.8.x (fman)
- 0002873: [General] Some "undefined index: tsd_..." messages in event log (fman)
- 0001908: [Users and Rights] Generate the error "Request-URI Too Large" when assign Role to User (fman)
- 0002590: [Internal issue] Remove Localization logic from smarty (fman)
- 0001823: [Custom fields] Custom fields are shown only in first test case in "Search Test Case(s)" (fman)
- 0002556: [Requirement Management] Requirement registration form is not re-populated after save failure (fman)
- 0001874: [Requirement Management] Import status field (fman)
- 0002838: [Test Execute] Add config option to add custom Result to execution. (fman)
- 0003964: [Reports] Evaluation of requirement is set to "Passed" even though all linked test cases aren't passed. (asimon)
- 0002684: [User Interface General] Requirement pop up view does not displayed properly (asimon)
- 0002698: [General] In execution and reports cannot filter out testcase failed in previous build (asimon)
- 0002236: [Reports] Incorrect 'Status of milestones' in the 'General Test plan metrics' (Julian)
- 0003943: [General] Escape all messages (string) that has to be used on Javascript code (amitkhullar)
- 0003931: [Test Plan (builds, milestones, test assign)] Assign test case to test project fails for PRIVATE TEST PROJECT (tested with admin user) (fman)
- 0003978: [Bug Tracking Systems Integration] BTS integration Code getting triggered when opening the Req Spec Page (amitkhullar)
- 0003977: [Database MySQL] If a user has a table prefix set for the databases, when they try to save a test step, a db access error is thrown (fman)
- 0003627: [Reports] Error in the counter of report Test Cases with Fail (amitkhullar)
- 0001051: [Custom fields] Search by Custom Fields on execution (asimon)
- 0003889: [Test Plan (builds, milestones, test assign)] Add Test Cases to Test plan - Right pane shows all test cases of a test suite and does not consider test cases of filtered tree (fman)
- 0003894: [Export/Import] ???? (fman)
- 0001289: [Export/Import] Request for test plan export in XML (fman)
- 0003874: [Custom fields] Check CF Combinations ON TEST CASES - Types validation (fman)
- 0003421: [Test Execute] Test Case Execution feature - Add Export All test Case in TEST SUITE button (fman)
- 0001381: [Export/Import] Exporting Testplan/ selected Testcases (fman)
- 0003653: [Export/Import] Import Test Results with external ID (fman)
- 0003366: [Export/Import] Import Results - add information regarding execution context (fman)
- 0001243: [Database MS-SQL] MS-SQL 2005 Support (toshi)
- 0003961: [Reports] General Test plan metrics: the first row of a table isn't displayed correct (Julian)
- 0003759: [Test Plan (builds, milestones, test assign)] Add testcase and Keywords filter problem (fman)
- 0002025: [Reports] Query Metrics: display Custom Fields (amitkhullar)
- 0002602: [Internal issue] Remove obsolete file(s) (fman)
- 0003822: [Test Plan (builds, milestones, test assign)] 'Keywords' comboobx is absent on the Filters pane of 'Add / Remove Test Cases' (asimon)
- 0003984: [Test Plan (builds, milestones, test assign)] Add testcase - Keywords filter displayed ONLY AFTER adding test case with keyword (asimon)
- 0003765: [Requirement Management] Req. Spec Doc ID disappears when you filter requirements (fman)
- 0003991: [TL API] getTestCasesForTestPlan() fails (fman)
- 0001942: [Reports] Inactive builds are still used when computing test plan metrics (Julian)
- 0003992: [TL API] getTestCasesForTestPlan ignores keywords (fman)
- 0002738: [Reports] Contribution: option to include notes/descriptions in test report (amitkhullar)
- 0004003: [Requirement Management] Minor Improvements for "Create Test Cases from Requirements" Page (Julian)
- 0003979: [Third party components] Apply grid filters to exttables (Julian)
- 0004011: [Export/Import] XLSTOXML Utility for Generating XML for Requirement Specs (amitkhullar)
- 0002402: [Custom fields] Empty Custom Fields of type "STRING" are saved as a record (Julian)
- 0002855: [Reports] Cannot view Report for "Failed Testcases" (Julian)
- 0004009: [Reports] "Test Case Assignment Overview" doesn't shows assignments in some situations (asimon)
- 0003989: [Custom fields] Save value for custom field only if a value is set (Julian)
- 0004014: [User Interface General] Typo to display message of sending mail problem (fman)
- 0004017: [Test Plan (builds, milestones, test assign)] TL-34 Create plan as copy - Priorities are ALWAYS COPIED (fman)
- 0002960: [Test Plan (builds, milestones, test assign)] Not able to add TestCases to TestPlan in Bulk when number of test cases > 48 (fman)
- 0002296: [Test Execute] Cannot filter the execution list based on 'ANY' keywords. (fman)
- 0002711: [General] The default value within the text fields have double line spacing when creating a test case (fman)
- 0003914: [Requirement Management] error variable name (fman)
- 0003305: [Installer] Data migration from 1.7.5 to 1.8.5 fails with error reported in apace log (fman)
- 0003711: [Reports] Test Cases assigned to me table does always show platform column (Eloff)
- 0003713: [Reports] Test Cases with Custom Fields Info table needs "test suite" and "platform" column" (Eloff)
- 0003206: [Documentation (Install, User Manual, help)] Provide User documentation for 1.9 release (mhavlat)
- 0001755: [New Feature] Feature: Testing infrastructure control (mhavlat)
- 0001772: [Reports] Incorrest Test Case Count in the Report General Test Plan Metrics (amitkhullar)
- 0003184: [General] Coherence bewteen menu feature and feature title (mhavlat)
- 0003188: [Inventory / Platforms] Infrastructure defined in project A is visible in project B (mhavlat)
- 0003185: [Inventory / Platforms] too many different terms (mhavlat)
- 0000752: [Reports] Print test case - Some images are not visible in MS Word. (mhavlat)
- 0001557: [User Interface General] Top menu and navigation enhancement (mhavlat)
- 0003264: [Test Specification] The tree does not update itself when I copy a Testcase (fman)
- 0003195: [Integration with Other Systems] integration of MantisBT custom issue status (fman)
- 0002193: [Reports] General Test Plan Metrics - Test results according to test priorities (Eloff)
[129 issues]


TestLink - 1.9 RC 1 (Released 2010-10-09) 
=============================================================
- 0003717: [Reports] Requirements based report is incomplete (Julian)
- 0003745: [Requirement Management] CSV Requirements Import Updates Frozen Requirement (fman)
- 0003571: [New Feature] Add 'create new version' choice when Import Test Suite (fman)
- 0003752: [Export/Import] Test results import does not work (Julian)
- 0003749: [Reports] Test Cases assigned to me shows closed builds (asimon)
- 0003755: [Requirement Management] No requirement tree refresh after requirement copy (asimon)
- 0003757: [Requirement Management] requirement tree is refreshed after deleting a requirement even though auto refresh is disabled (asimon)
- 0003738: [Test Plan (builds, milestones, test assign)] Unable to remove the assigned test case from test plan (that has platforms) (Eloff)
- 0000889: [Custom fields] Probably shouldn't change old test case version's custom fields when changing new testcase version 's custom fields (fman)
- 0003431: [Custom fields] Custom fields in test case not kept in old versions (fman)
- 0003762: [Export/Import] Import Req Spec - custom fields values are ignored (fman)
- 0003736: [Test Specification] Step creation or editing does not influence Test Case last modified info (fman)
- 0001404: [Internal issue] Domxml-Extension related functions should be removed (fman)
- 0003761: [Requirement Management] No requirement tree refresh after requirement import (asimon)
- 0002283: [Custom fields] Unable to import test cases with custom fields (fman)
- 0001934: [Test Plan (builds, milestones, test assign)] After adding large number of Test Cases ( 0000755:0001500), get fatal error when trying to assign users or execute (fman)
- 0002526: [Custom fields] Multiple CF_EXEC_TIME custom field in test report (fman)
- 0003768: [Test Plan (builds, milestones, test assign)] Add Test Cases to Test Plan keyword problem in beta6. (asimon)
- 0003620: [0 - Undefined] DB access error when deleting project, but it had been deleted (fman)
- 0003764: [Requirement Management] Req Mapping breaks on import if the Req Spec Name is same across multiple tree nodes (amitkhullar)
- 0003327: [Requirement Management] When creating a new requirement using existing Document ID, saving do not raise an error but the modification is not applied. (fman)
- 0003613: [0 - Undefined] Fatal error: Call to undefined function lowercase() (fman)
- 0000666: [General] Roles – Assign test plan roles - refreshes when changing Test Plan and Project (fman)
- 0000880: [Test Execute] Save a test result without loosing focus (fman)
- 0001387: [Test Execute] edit test procedure and expect results in execution view (fman)
- 0001976: [User Interface General] Tree does not automatically refresh (fman)
- 0000874: [General] There are errors that raise suspicion in the server logs and need assitance with. (fman)
- 0003754: [Reports] Bugs not reported in test report [Fix included] (Julian)
- 0002215: [Reports] Result, Charts, axis labels are cut off and unreadable (fman)
- 0002639: [Test Specification] "Update tree after every operation" does not work if a test case is copied from another (asimon)
- 0003437: [Test Specification] TC version not visible in generated test specification (fman)
- 0003772: [Database MS-SQL] MS SQL - LIMIT CLAUSE can not be used (fman)
- 0003771: [Inventory / Platforms] MS SQL - tlPlatform.class::getAll() - GROUP by notes field - can not be doen (fman)
- 0003266: [Test Specification] Importing top level Test Suite update (fman)
- 0003685: [Requirement Management] XML Requirements Import Updates Frozen Requirement (fman)
- 0003306: [Database MySQL] Upgrade from 1.7.5 to 1.8.4 reports duplication errors during upgrade (fman)
- 0003293: [Third party components] Get a lot of errors in the log files (fman)
- 0002379: [Test Specification] Update Tree after every operation checkbox does not fully work (asimon)
- 0000526: [User Interface General] GUI request: Allow redirection to login and back for extenal links pointing to TL (asimon)
- 0003176: [General] copy testcase not automatically update the tree (asimon)
- 0003776: [Test Specification] TC Direct Link URL is malformed on TC View Page (amitkhullar)
- 0003777: [Requirement Management] Allow to insert last req doc id when creating requirement in Document ID field for consecutive numbering (Julian)
- 0002582: [Reports] Test result matrix shows wrong TC version (Julian)
- 0003789: [Reports] Query Metrics report doesn't display platforms for "not run" test cases. (fman)
- 0003787: [Test Specification] Check / Uncheck button not functioning on the Copy Requirements Screen (fman)
- 0003783: [Reports] Problmes with platforms in reports after removing a platform (Eloff)
- 0003780: [Test Execute] Steps of a TestCase are not dispalyed on execution page[TL 1.9 RC1 snapshot ] (amitkhullar)
- 0003724: [Reports] Metrics Dashboard improvements (exttable, show inactive test plans) (Julian)
- 0002877: [Custom fields] Custom Field values are not independent from test case/requirement version (fman)
- 0003240: [New Feature] Provide action-on-duplicate option when import Testsuite. (fman)
- 0003779: [Test Specification] Test Project - Option to reorder ALL CHILDREN Test Suites (fman)
- 0003639: [Test Specification] Test Specification - Option to reorder ALL CHILDREN Test Cases (fman)
- 0003778: [Test Specification] Test Specification - Option to reorder ALL CHILDREN Test Suites (fman)
- 0003740: [User Interface General] No redirection to specific page after login is required (Eloff)
- 0003790: [Requirement Management] Requirement Spec deletion doesnt clean the DB properly from the DB entries (fman)
- 0003797: [User Interface General] use exttable for Testplan with Custom Field info report (Julian)
- 0001890: [TL API] Possibility to add attachment by using API (fman)
- 0003793: [User Interface General] use exttable for search results (Julian)
- 0003047: [New Feature] Deleting multiple TCs (fman)
- 0003686: [Requirement Management] When importing requirements, provide the option to 'create new version' (fman)
- 0003616: [Reports] Missing link for reports "XXX Test cases" (eg : Not Run Test Cases) (asimon)
- 0003805: [User Interface General] CVS HEAD: exttable not able to hande columns with duplicate names and without a-Z characters (Eloff)
 - 0003803: [Reports] Results by Tester per Build:Incorrect Data displayed in Grid (Eloff)
- 0003798: [Reports] Generation of graphic Platform (Julian)
- 0003802: [Users and Rights] "Locale" of User is not shown on User Management page (Julian)
- 0003751: [Export/Import] New attribute "execution type" makes old XML import files incompatible (fman)
- 0003806: [Test Plan (builds, milestones, test assign)] Filters in Assign Test case Execution log errors and no results are given in tree (amitkhullar)
- 0003810: [Test Specification] Steps are manual by default, even when added to automatic test case (fman)
- 0003576: [Test Execute] Confusing link on "Test Cases Assigned to me" page (asimon)
- 0003804: [Reports] company logo not resized by document generator (fman)
- 0003814: [Keywords] 'And' doesn't work when filtering by keywords (asimon)
- 0003817: [Test Execute] Filtering by 'Result' doesn't work if test plan has only one build (asimon)
- 0003815: [Documentation (Install, User Manual, help)] need updated info for fckeditor configuration (Julian)
- 0003668: [Test Plan (builds, milestones, test assign)] Test Case EXECUTION Assignment Page not displayed properly (fman)
- 0002344: [Test Project Management] Private test project (fman)
- 0003421: [Test Execute] Test Case Execution feature - Add Export All test Case in TEST SUITE button (fman)
- 0003809: [Test Execute] Radio button based Design Time Custom Fields dont work as Filters for Tree Menu (amitkhullar)
- 0003773: [Third party components] Upgrade FCKEditor from 2.6.5 to 2.6.6 (Julian)
- 0003818: [Keywords] Filtering Keywords on add/remove testcase is not working well (asimon)
- 0000894: [New Feature] Display Custom Fields in reports (kevin)
- 0003828: [General] TL19RC1 - User self signup - Too many warnings in event log. (fman)
- 0001278: [Reports] in the Results/Test Report, there is no links to the to jump to the Execution screen as it was with 1.6.3 (asimon)
- 0001979: [Test Specification] Fatal error on exporting all test suites data (fman)
- 0003552: [Export/Import] TC import failed by select option "create new Version" (fman)
- 0003834: [Requirement Management] TL19RC1 - Requirement Specification - Manual Management - Create version source <>1 - Bad content used. (fman)
- 0003821: [Test Execute] Filtering for Results on "last execution" results in HTTP Error 500 in Filter/Tree Frame (asimon)
- 0003848: [Custom fields] TL-134 consistency - Available Fields not linkified? (amitkhullar)
- 0003824: [Reports] Report Test Cases Assigned to me Doesnt show data for Closed Builds (asimon)
- 0003851: [Requirement Management] TL-77 Create requirement with duplicate DOC ID doesnt save custom field data (asimon)
- 0003855: [Database Postgres] Upgrading from 1.8 to 1.9 does not work with PostgreSQL (fman)
- 0003853: [Requirement Management] Requirements show_filters disabled still shows panel. (asimon)
- 0003732: [Test Specification] Pre Condition is not displayed while writing test steps (fman)
- 0003852: [Requirement Management] Filter requirements by status resets on apply (asimon)
- 0003854: [Requirement Management] Requirements changes, Update Tree Automatically multiple issues (asimon)
- 0003846: [Test Plan (builds, milestones, test assign)] TL-32 copy test plan does not copy test assignments (asimon)
- 0003867: [Internal issue] $options['last_execution'] does not work for testplan->get_linked_tcversions() (asimon)
- 0003857: [Reports] Replace linked icons in reports if reports get sent by e-mail (asimon)
- 0003856: [Reports] Requirement based report should regard platforms (asimon)
- 0003871: [Event viewer] Exttable for event viewer for better overview (Julian)
- 0003849: [Custom fields] Edit test case fails to save (fman)
- 0003868: [Export/Import] Importing exported XML results - custom fields have unexpected NEW LINES (fman)
- 0003311: [User Interface General] Customizable, standard popup size across TL (asimon)
- 0000049: [New Feature] Create the ability to add a testcase to a testplan by specifying it's number (fman)
[103 issues]

TestLink - 1.9 Beta 6 (Released 2010-08-31) 
========================================================

- 0003565: [TL API] tl.createTestPlan will add a database entry even if user has not sufficient rights (fman)
- 0003526: [Users and Rights] Restrict access by default not working properly (fman)
- 0003573: [Database MySQL] Crash whe deleting Test case specification (fman)
- 0003585: [Test Specification] Delete test case gives "DB Access Error - debug_print_backtrace", although it seams that the data have been successfully deleted (fman)
- 0003584: [Custom fields] Test case / Requirement / Requirement Search - replace custom field names by cf labels (Julian)
- 0003581: [Test Plan (builds, milestones, test assign)] release date setting for builds (fman)
- 0002607: [TL API] Non-ASCII charater becomes broken by TestlinkXMLRPCServer (fman)
- 0003591: [Test Execute] Order Test case by "Test priority" in the view "Test Cases Assigned to me" (Julian)
- 0003605: [TL API] TL API - call of tl.getTestSuitesForTestSuite when no sub-testsuite exists results in invalid sql (fman)
- 0003587: [Test Execute] Possible to delete results of a closed Build (Julian)
- 0003610: [Test Specification] Test case display goes haywire after editing (Eloff)
- 0003519: [Reports] Test report question
- 0003609: [Export/Import] Error while importing test suite (amitkhullar)
- 0003555: [Custom fields] Custom Fields Order on Test Project Assignment page (amitkhullar)
- 0002311: [Database MySQL] event logs (schlundus)
- 0003656: [Database MySQL] when you filter Events by user you will get a SQL Syntax error on Frontend (fman)
- 0003660: [General] E_NOTICE Undefined index: filter_toplevel_testsuite - inc_filter_panel.tpl.php - TEST SPEC (fman)
- 0003562: [Integration with Other Systems] Results->Charts does not work on current head (Eloff)
- 0003578: [Charts] Charts on Test Results doesn't display when TestLink is integrated with Mantis (Eloff)
- 0003664: [Test Specification] Drag & Drop when Filters are applied does not work anymore (fman)
- 0002673: [Event viewer] Event viewer error message - Undefined property: stdClass::$text_editor (fman)
- 0003666: [Test Plan (builds, milestones, test assign)] Select a platform before adding Test cases to a test plan (Eloff)
- 0003669: [Test Specification] Settings: Refresh ON - Move/Copy Test Cases - Copy does not refresh left panel (asimon)
- 0003597: [Inventory / Platforms] Need ability to bulk-assign tests to specific platforms in Add/Remove tests... (Eloff)
- 0003647: [asimon_thesis] All TC Assigned to user displayed in Results by Tester per build report (asimon)
- 0003672: [Reports] Problem with fix for issue 0003590 (asimon)
- 0003508: [Requirement Management] req overview can not generate the result some times (asimon)
- 0003671: [Requirement Management] Crash when filtering on Test Case ID and Req Spec Type (fman)
- 0003681: [Bug Tracking Systems Integration] [Contribution] - youtrack BTS integration (fman)
- 0003654: [Database General] New install drop tables regardless the prefix (fman)
- 0003569: [Requirement Management] Requirement based report displays passed requirements in "failed" section (asimon)
- 0003259: [Reports] Fatal error after click 'Requirements based Report' button (asimon)
- 0003488: [Reports] issue# 0002292 seems re-open on 1.9b4 version. (asimon)
- 0003692: [Test Execute] DB error when selecting a folder under menu "execute" (asimon)
- 0003261: [Reports] Requirements based Report NEED REFACTOR due to req version feature (asimon)
- 0003693: [Third party components] Ext Js - Update to 3.2.1 (fman)
- 0003439: [asimon_thesis] Requirement based report is incorrect. (asimon)
- 0003683: [Database MySQL] Need help/advise on database issue between TL1.9.x and TL1.9.5 (fman)
- 0003696: [Test Specification] testcase.class.php - method create_tcversion() - test case step execution type ignored (fman)
- 0003695: [Export/Import] Test Case Steps - Export/Import - missing attribute execution type (fman)
- 0002785: [User Interface General] Main page menu options not displayed because of profile restrications may cause blank lines to be added (fman)
- 0003634: [Export/Import] When you "Import Test Cases" with steps in "Update data on Latest version" mode the steps will not be considered (fman)
- 0003564: [TL API] TL API - TestCases added via tl.addTestCaseToTestPlan won't show up for execution (fman)
- 0002592: [TL API] TL API crash when there are special charecters in test project/test plan/test case/build name (fman)
- 0002170: [Custom fields] Search result shows up wrong content in custom fields (asimon)
- 0003470: [Export/Import] XML import of test results with platforms fails (fman)
- 0003558: [TL API] getTestCasesForTestPlan() - testcase with accent (fman)
- 0003697: [Test Plan (builds, milestones, test assign)] Test Case - Assign Test Case execution - Problems when NO BUILD Defined on test plan (asimon)
- 0003698: [Test Plan (builds, milestones, test assign)] Assign test case execution - Uncomplete refactoring generates missing key msg on event viewer (fman)
- 0003113: [Test Execute] Test results / comment window, text can be typed in. (fman)
- 0001595: [Requirement Management] Requirements based Report : inconsistency on arrMetrics attribute names between resulsReqs.php and resulsReqs.tpl (asimon)
- 0003529: [Test Plan (builds, milestones, test assign)] In "Add/Remove Test Case" - select platforms for BULK OPERATION (Eloff)
- 0000791: [Requirement Management] Search/Find test cases based on Requirement (asimon)
- 0001614: [Requirement Management] Enhancement of "Requirements" funtionality (plan) (fman)
- 0003699: [Integration with Other Systems] Integration with Trac via XML-RPC does not work (fman)
- 0003515: [Reports] PieChart metrics shows weird numbers when using platforms (Eloff)
- 0003703: [Requirement Management] Improve English for "Requirements uncovered by Test Cases" (Julian)
- 0003543: [Export/Import] Results import : add "execution-type" tag. (fman)
- 0003704: [User Interface General] Change "Results" to "Reports" in menu bar (Julian)
- 0003702: [Database MySQL] SQL DB Access Error when delete some TestCase (fman)
- 0003375: [Localization] There are a text message not translated in File Upload (fman)
- 0003718: [Requirement Management] Requirement item could not be moved within requirement tree view by mouse (asimon)
- 0003712: [Reports] Test Cases without Tester Assignment table does always show platform column (Eloff)
- 0003694: [Third party components] Allow multisort on ext-js grid tables (Julian)
- 0002601: [User Interface General] GUI rework:convert tables to use EXT-JS style (Eloff)
- 0003156: [Third party components] tinymce not available at 1st edit (fman)
- 0003708: [Custom fields] Usability improvements for Custom Field Creation/Editing (fman)
- 0003707: [Custom fields] Custom Field edit/create not working right on Internet Explorer (fman)
- 0003532: [General] New Config Parameter to define Test Case Steps Web-Editor (asimon)
- 0003670: [Requirement Version Compare] There is no clear indication about Requirement under work (Julian)
- 0003722: [Reports] Not run Test Cases report requires review (Julian)
- 0003299: [Requirement Management] Overall Requirement based report when using Several requirements levels (asimon)
- 0003132: [Requirement Management] Requirements / Analyse causes crash in Top Req Specification (asimon)
- 0003726: [Test Execute] Last chosen platform and build is not stored on test execution (asimon)
- 0003721: [Reports] Total no. of Test Cases with missing/linked Bugs not working for "Failed/Blocked Test Cases Report" (Julian)
- 0003731: [Reports] Failed / Blocked Test Cases Report needs refactoring (Julian)
 - 0003676: [asimon_thesis] Report shows double the records if same test case is assigned to more than 1 build (Julian)
- 0003676: [asimon_thesis] Report shows double the records if same test case is assigned to more than 1 build (Julian)
- 0003723: [Reports] Test Cases without Tester Assignment shows test cases multiple times (fman)
- 0003729: [Database General] testcase::get_by_name fails to get test cases with titles longer than 100 characters (fman)
- 0003237: [Requirement Management] Saving requirement with duplicate ID results in loss of data (fman)
- 0003601: [Requirement Management] Link "Requirement Specification" is shown even if it is not enabled for current project (asimon)
- 0003574: [Test Execute] Crash when clicking on top level node on execution tree. (asimon)
[83 issues]

TestLink - 1.9 GA (General Availability) (Not Yet Released) [ View Issues ] 
===========================================================
- 0003305: [Installer] Data migration from 1.7.5 to 1.8.5 fails with error reported in apace log (fman)
- 0003711: [Reports] Test Cases assigned to me table does always show platform column (Eloff)
- 0003713: [Reports] Test Cases with Custom Fields Info table needs "test suite" and "platform" column" (Eloff)
- 0003206: [Documentation (Install, User Manual, help)] Provide User documentation for 1.9 release (mhavlat)
- 0001755: [New Feature] Feature: Testing infrastructure control (mhavlat)
- 0003188: [Inventory / Platforms] Infrastructure defined in project A is visible in project B (mhavlat)
- 0003185: [Inventory / Platforms] too many different terms (mhavlat)
- 0003184: [General] Coherence bewteen menu feature and feature title (mhavlat)
- 0001772: [Reports] Incorrest Test Case Count in the Report General Test Plan Metrics (amitkhullar)
- 0000752: [Reports] Print test case - Some images are not visible in MS Word. (mhavlat)
- 0001557: [User Interface General] Top menu and navigation enhancement (mhavlat)
- 0003195: [Integration with Other Systems] integration of MantisBT custom issue status (fman)
- 0003264: [Test Specification] The tree does not update itself when I copy a Testcase (fman)
- 0002193: [Reports] General Test Plan Metrics - Test results according to test priorities (Eloff)
[14 issues]

TestLink - 1.9 Beta 5 (Released 2010-05-01) [ View Issues ] 
===========================================

Released 2010-07-02

- 0003260: [Test Execute] Import XML Results is not working with Internet Explorer (fman)
- 0003374: [Test Specification] Many debug information are showed when a test case are imported (fman)
- 0003405: [Test Specification] Navigation Bar - Test Case Search - Crash when search a nonexistent testcase (fman)
- 0003356: [Reports] "Failed Test Cases" report is not updated when a test case has been changed from "Failed" to "Passed" (fman)
- 0003350: [New Feature] [Ergonomy] In execute view, platform selection should be saved and we shoould be able to mask filters independently (asimon)
- 0003429: [Inventory / Platforms] Platforms view - broken image when platform can not be deleted (Julian)
- 0003434: [Test Execute] Performance problems when calling function get_keyword_map() to populate keywords filter (fman)
- 0003309: [Requirement Management] Requirements Export not working (fman)
- 0003471: [General] window.open calls fail when name contains spaces (fman)
- 0003432: [Users and Rights] user edit/creation not possible because of include path error in usersEdit.php (fman)
- 0003189: [Test Plan (builds, milestones, test assign)] Exception while updating test case versions in test plan (fman)
- 0003475: [Export/Import] Import results - XML - possibility to get platform ID and/or BUILD ID from file (fman)
- 0003449: [TL API] addTestCaseToTestPlan() always fails (fman)
- 0003164: [Requirement Management] Requirements XML Import does not work (fman)
- 0002905: [User Interface General] Testlink 1.8.4 over SSL gives Mixed content warnings in IE (fman)
- 0003365: [Export/Import] Import Results - Platform ID is not written (fman)
- 0003115: [New Feature] Make the TestlinkXMLRPCServer class extensible (fman)
- 0001479: [Test Specification] The setting "automatic_tree_refresh=1" is not retained (fman)
- 0003424: [User Interface General] Custom CSS path is being overwritten by config.inc.php value (fix included) (fman)
- 0003232: [Requirement Management] EXPORT / IMPORT XML - use for Requirements same pattern used for test cases (fman)
- 0003276: [Test Execute] Test case execute don't display due to bad Bug Tracking System Integration config (fman)
- 0002169: [Requirement Management] Export of requirements doesn't save Custom Fields (fman)
- 0001871: [Requirement Management] import/export exigence (fman)
- 0003478: [Test Execute] Testcase ID not updated when using save and move next (fman)
- 0002519: [TL API] getTestCasesForTestPlan should return also testcase external ID (fman)
- 0003481: [Test Specification] Preconditions are lost when versioning testcases (fman)
- 0003408: [Test Execute] Search by custom field is always showing SQL Exception on UI when custom field contains # character (fman)
- 0003018: [Requirement Management] Request to add "Import" and "Export Requirement Specifications" function to requirement specifications (fman)
- 0003407: [Requirement Management] Beta 4 Snapshot - Edit Requirements not working (fman)
- 0001777: [Test Execute] TestLink refreshes the execution frame so you have to scroll manually to the next test case (fman)
- 0002341: [Requirement Management] Assign Requirements In TC Unable to open in IE (fman)
- 0001668: [New Feature] Step test cases (Using tables in the Steps function and not using the expected results field) (fman)
- 0003381: [Localization] update for Russian localization (fman)
- 0003377: [Test Specification] Test Case actions aren't removed when created (fman)
- 0003174: [Test Specification] Double creation of steps after exit of step editor (fman)
- 0003175: [Test Specification] Text not cleared when adding new step on testcase (fman)
- 0003152: [Third party components] Editor keeps previous content after creating another testcase (fman)
- 0002932: [General] The page goes blank after uploading a file (fman)
- 0002908: [Test Execute] Cancel button in Import XML Results does not work (fman)
- 0001627: [Reports] Search Test Case by Date of Creation (fman)
- 0002815: [Test Execute] Setting filter in "Test Execute" fails to build tree using EXTJS (asimon)
- 0003533: [Reports] Reports and metrics \ Requirement based report gives error (fman)
- 0003154: [New Feature] Additional search function (asimon)
- 0003180: [New Feature] In Add/Remove test cases to test plan, allow filtering on custom fields (asimon)
- 0003241: [User Interface General] Option to make Steps/Expected Results in the Execution page be vertical or Horizontal (Eloff)
- 0002956: [TL API] createTestCase and addTestCaseToTestPlan functionality (fman)
- 0003553: [Test Execute] The creation of a new build causes a display problem on the tree and on the tests to run. (asimon)
- 0003479: [Custom fields] Bulk Execution - Custom Fields Bulk Assignment (Missing custom fields on testsuite level) (fman)
- 0002408: [TL API] Relation between internal testcaseid,testplanid,projectid,buildid and web based ids in testlink (fman)
- 0003022: [Requirement Management] Option to import and export ALL req spec on a test project (fman)
- 0003318: [User Interface General] Renaming of Features on Main Page (Julian)
- 0003648: [Custom fields] Need to increase the length of Custom Felds (fman)
- 0003392: [Test Specification] Add functionality to "insert step" between already existing steps (fman)
- 0003503: [Event viewer] The filter of Event viewer does not work (fman)
- 0003333: [TL API] UTF8 characters not exported in TL API (fman)
- 0003633: [General] Searching for non existing test case id in the main menu leads to error "Fatal error: Call to undefined function reportFatal()" (fman)
- 0003677: [Internal issue] Search bar 'Test Case ID' allows SQL injection (fman)
- 0003541: [Export/Import] Import requirements with CVS fails (fman)
- 0003499: [User Interface General] Internet Explorer 8 (IE8) - Round corners problems (fman)
- 0003504: [TL API] TL API - PERL SAMPLES (fman)
- 0002806: [TL API] Undefined properties when calling userHasRight (fman)
- 0003492: [Reports] Reports->failed/not run/blocked test cases display: the column "summary" should be "notes" as before (Julian)
- 0003472: [Reports] Charts do not work with platforms (fman)
- 0003523: [Test Execute] Bad performance in execute history (Eloff)
- 0003228: [User Interface General] Improvement of Platform Management GUI (Eloff)
- 0003522: [User Interface General] Only first note visible (Eloff)
- 0003540: [TL API] API - new methods() - doesUserExist(), checkDevKey() (fman)
- 0003538: [Export/Import] Import of testsuite without requirement (fman)
- 0002845: [TL API] buildname option in reportTCResult will never be used (fman)
- 0003302: [asimon_thesis] Filtering by custom fields should be available on: - Assign Test Case execution (asimon)
- 0003301: [asimon_thesis] Test Cases filtering on Custom Field Values on Set Urgent Test Page (asimon)
- 0003303: [asimon_thesis] Filtering by custom fields should be available on: Add / Remove Test Cases (asimon)
- 0002144: [Test Execute] choice "update tree after each change" while executing tests (asimon)
- 0002365: [Test Execute] Add filter capabilities of only showing test cases that have not been run on any builds (asimon)
- 0001588: [New Feature] Execution filter extension (asimon)
- 0003386: [Test Execute] Wrong test case status when selecting a new build (asimon)
- 0003514: [asimon_thesis] Testplan and platform select boxes appear twice under testcase assignment (asimon)
- 0003513: [asimon_thesis] Execute navigation tree can be empty under certain circumstances (asimon)
- 0003413: [Requirement Management] Two "x" appears in Requirement Specification title (fman)
- 0003409: [Third party components] EXT-JS upgrade to 3.2.0 (fman)
- 0003411: [Installer] Notice appears in first intallation (fman)
- 0003417: [Users and Rights] Bad message when reset user password is not possible due to mail config problems (fman)
- 0003430: [Test Project Management] Copy test project crashed if milestone defined WITHOUT start date (fman)
- 0003419: [Test Execute] In "Test result matrix", tests statuses or not colorized (fman)
- 0003418: [Reports] Results in test result matrix shifted (Julian)
- 0003428: [Test Plan (builds, milestones, test assign)] Add capabiliy to copy test plan from previous project (fman)
- 0003438: [Reports] Query Metrics -> Does not display bugs (fman)
- 0003442: [Requirement Management] Import Requirements from XML show empty lines in Import Requirements table (fman)
- 0003445: [Event viewer] Ability to delete events from selected class from event logs (fman)
- 0003446: [Requirement Management] Import CHILD requirements XML - show empty screen (fman)
- 0003458: [TL API] createTestCase() crashed due to SQL error (fman)
- 0003455: [TL API] Missing status string for INVALID_STATUS error. (fman)
- 0003460: [Reports] In "Query metrics" report bug description is not displayed (fman)
- 0003454: [TL API] Extending the TestlinkXMLRPCServer class (fman)
- 0003456: [TL API] Missing version parameter for PARAMETER_NOT_INT error. (fman)
- 0003457: [TL API] createTestcase returns an external id which isn't the external id (fman)
- 0003465: [Test Project Management] Delete Test Project - User Execution Assignment is not deleted (fman)
- 0003461: [Reports] Test Result Matrix report is not sent by email (fman)
- 0003464: [Test Project Management] Delete Test Project crash when inventory exist - Postrgres SQL (fman)
- 0003447: [Requirement Management] CVS Import child requirements - support same data than XML format (fman)
- 0003474: [Reports] Link to test case in Query Metrics Report is broken if using platforms (fman)
- 0003480: [Test Specification] Assign Test Case to Test Plan from test spec screen allow link DIFFERENT tc versions to test plan (fman)
- 0003473: [Test Specification] Show Test Cases newest versions -> fatal error (fman)
- 0003466: [Test Execute] Test Execution frame not displayed (fman)
- 0003436: [Users and Rights] Role Mgmt - add "Inventory Mgmt" to any user fails (fman)
- 0003498: [Database General] get_by_name method of testsuite class is missing a clause in it's query string (fman)
- 0003495: [Requirement Management] Requirements Bulk Assignment crash. (fman)
- 0003491: [Test Specification] reorder steps dose not work on internet explorer (fman)
- 0003440: [Reports] Can not generate Results->Test Report (fman)
- 0003485: [Test Plan (builds, milestones, test assign)] "Create from existing Test Plan" always copies builds, even though you uncheck the related check box "Copy Builds" (fman)
- 0003448: [Reports] Test Report generates all results as "Not Run" (fman)
- 0003511: [TL API] reportTCResult does not update tcversion (fman)
- 0003509: [Installer] Domxml doesn't seem to be present. Importing XML stuff will not work! (fman)
- 0003506: [Test Specification] Test Case search by REQ DOC ID - crashes (fman)
- 0003490: [Test Specification] Can not search a test case after Req.Doc ID (Julian)
- 0003435: [Test Project Management] Create Project - Copying Project Data Fails When Requirements Mgmt is enabled (fman)
- 0003536: [Custom fields] During execution, Custom fields are not shown after 'Save and move to next' functionality (fman)
- 0003542: [Reports] Type in code of resultsGeneral.php (Eloff)
- 0003255: [Integration with Other Systems] Bugtracker Integration on result pages (Eloff)
- 0003486: [asimon_thesis] In the execute page, tree doesn't update when you change "Test Plan" in the "Setting" panel (asimon)
- 0003414: [asimon_thesis] Filter by Custom Fields do not retain value after apply (asimon)
- 0003502: [asimon_thesis] The filter "Apply" operation would lost "feature" arguments, (asimon)
- 0003545: [Localization] Localization files not UTF-8 encoded (Julian)
- 0002177: [Localization] Different code pages in different elements of GUI (Julian)
- 0002888: [Database Postgres] Execute Tests: ERROR ON exec_query() by filtering of priority
- 0001607: [Reports] XML import/export doesn't contain custom fields (fman)
- 0001439: [Test Plan (builds, milestones, test assign)] Show Test Cases newest versions : Linked version" = 2 "Newest available active" version = 1 ? (fman)
- 0002906: [Users and Rights] It´s not possible to delete user (fman)
- 0003213: [Internal issue] Obsolete configuration (fman)
- 0003360: [Localization] Translation in brazilian portuguese (pt-br) (fman)
- 0003214: [Localization] French translation is complete (fman)
[131 issues]

TestLink - 1.9 Beta 4 (Released 2010-04-04) [ View Issues ] 
===========================================

Released 20100501

- 0003057: [Integration with Other Systems] Can't add bug id on test case execution (for Bugzilla) (fman)
- 0003058: [Test Execute] Test case execution page is not properly formatted (fman)
- 0003059: [Test Specification] Test case is displayed in Specification without applying font formating (fman)
- 0003484: [TL API] tl.addTestCaseToTestPlan not working. no errors was shown. But Testcases not in assigned testplan after adding. (fman)
- 0001413: [Requirement Management] Double instances of requirements on import (fman)
- 0002754: [User Interface General] Space is not working in view mode. - Formatting Style not maintained (fman)
- 0003507: [Users and Rights] User locale cannot be set with option "Personal" (fman)
- 0001752: [New Feature] Comments field for requirements and test cases is expected - using Custom fields not possible due to lenght limits (fman)
- 0003527: [Test Specification] Need for a Test Case Specification URI (Julian)
- 0003355: [User Interface General] A user can not be deleted from the list (fman)
- 0003415: [Users and Rights] Not possible reset user password (fman)
- 0002741: [Test Execute] Failed to Assigan Project User Roles
- 0001205: [Test Specification] Import with existing TC update (fman)
- 0001914: [New Feature] Maybe a work around for problem when loading a full suite. (fman)
- 0002035: [Custom fields] multiselection list with more than 254 characters (fman)
- 0001433: [Requirement Management] Implement requirements versioning and baseline (fman)
- 0001249: [User Interface General] When searching test-case --> result does not show the test-suite where the test-case is in (fman)
- 0000673: [Test Specification] Test case order when imported from file. (fman)
- 0001187: [Custom fields] Export custom fields also - as an option (fman)
- 0003143: [Test Specification] TestCase copy crash TestLink. (fman)
- 0002407: [General] Error when viewing test case specification (fman)
- 0003137: [Requirement Management] Change of Requirement Specification Types (asimon)
- 0001794: [Test Plan (builds, milestones, test assign)] The Test Plan assign page doesn't return correct results when Assigned to Parameter is used.
- 0003225: [Test Specification] Step-by-step TC: All steps must be visible during "Edit a step" action. (fman)
- 0003402: [Test Plan (builds, milestones, test assign)] List of Milestone don't show all data (fman)
- 0003003: [Requirement Management] EXTJS does not count # req's (fman)
- 0003248: [Test Plan (builds, milestones, test assign)] Date field is not appropriate for build (fman)
- 0003243: [TL API] Unable to use reportTCResult due to an error in platform management (fman)
- 0003249: [Users and Rights] Role Assignment Option replicated in Edit Admin Role View (fman)
- 0003253: [Test Specification] Missing Parameter in func get_step_numbers in testcase.class.php line 4116 (fman)
- 0003235: [Reports] Printing Out Test Report Shows empty Column Headers for "Steps" and "Step Actions" (fman)
- 0003239: [Reports] Weird order on "Test Cases with Custom Fields info" (asimon)
- 0002454: [Test Execute] Execution history formatting problems when showing results for all builds (Julian)
- 0003256: [Integration with Other Systems] Bugtracker Integration: Adding Bug fails due to missing function in child classes (Julian)
- 0003098: [Integration with Other Systems] Not possible to add bug in Jira using bug mangement system from Testlink. (Julian)
- 0003267: [Reports] Requirements based Report - number alignment (fman)
- 0003254: [Requirement Management] requirement_mgr->get_by_id(): parameter LATEST_VERSION doesn't have any effect (fman)
- 0003275: [General] Steps and Expected Results not displayed in Firefox 3.6, when editing (fman)
- 0003272: [Users and Rights] Large URL header when large number of users in User Role Assignments (Eloff)
- 0003287: [Integration with Other Systems] JIRASOAP - Bug ID does not exists (amitkhullar)
- 0003315: [Requirement Management] import of existing requirements failed (fman)
- 0003281: [Test Specification] Checkbox to Export Test Cases with/without Custom Field info (amitkhullar)
- 0003271: [Users and Rights] Filter out the inactive users for assign roles on test projects and test plans (Eloff)
- 0003312: [Requirement Management] Audit msg for Req. Freeze display internal ID as version instead of version number (asimon)
- 0003227: [Requirement Management] New Feature Requirement Overview (asimon)
- 0003316: [Test Specification] requirements not visible in Testcase view by edit testspecification (asimon)
- 0003307: [Requirement Management] Disable Expected requirement coverage (asimon)
- 0003321: [Requirement Management] In results area, Php error when Requirements based Report chosen (amitkhullar)
- 0003346: [Test Plan (builds, milestones, test assign)] The Database doesnt update the value of date when a TC is reassigned to some one else (amitkhullar)
- 0003345: [General] Display Test Case aging time period or Assigned and Due Since (days) (amitkhullar)
- 0001748: [Requirement Management] Requirement Management need to be improved with requirement relations between requirements (asimon)
- 0003324: [Users and Rights] Error while deleting user (fman)
- 0003337: [Test Specification] New feature (add test case steps) enhancement due to user friendly. (fman)
- 0002645: [TL API] New method GetTestsuitesforTestsuite (fman)
- 0003334: [General] Search Test Cases returns no results (fman)
- 0003329: [Test Plan (builds, milestones, test assign)] "Test Plan usage" in "Specification" test case view does not show all affected test plans (Eloff)
- 0003359: [Test Specification] Copy Test Case Step (fman)
- 0003066: [Internal issue] Upgrade ADODB to 5.10 (fman)
- 0003363: [New Feature] Contribution: Add 'and' keyword filtering capability in Execution tab (Julian)
- 0003331: [Export/Import] Adding bugID report through Import XML result (fman)
- 0003067: [Requirement Management] Generation of Requirement Specification Document (asimon)
- 0003108: [Requirement Management] Generate Document must print tree like TC (asimon)
- 0003326: [Test Specification] Editing a test step: execution type always "Manual" (fman)
- 0002434: [Reports] Problem with printing Requirement Specification for a child node (asimon)
- 0003236: [Test Specification] Creating new testcase version based on internal id instead of name (fman)
- 0003364: [Export/Import] Contribution: Be able to export execution_type (fman)
- 0003361: [Requirement Management] FatalError after trying to assign requirements to an empty test suite (fman)
- 0003370: [Reports] TestPlan Combobox in Report page with many deactivated TestPlans is not easy to handle (fman)
- 0003295: [Custom fields] Assigning "datetime" Custom Field to Test Case produces Error (fman)
- 0002795: [Export/Import] Execution_type could not be imported (fman)
- 0003371: [Test Specification] Search Test Cases based on Test Importance (fman)
- 0003367: [Test Specification] Error after trying to copy a test case that the name is in the size limit. (fman)
- 0002797: [Test Plan (builds, milestones, test assign)] When ADD/REMOVE test cases to test plan, test cases could not be filtered by execution type (fman)
- 0003380: [Test Execute] Test Case Execution - Filtered by execution type (fman)
- 0003378: [Requirement Management] Type of requirement are no translated (fman)
- 0003385: [TL API] New Function: getTestPlanPlatforms (fman)
- 0003387: [Users and Rights] User with role tester can delete test cases (fman)
- 0003252: [Test Specification] On Pressing Cancel the Create Test Case Step doesnt go away (fman)
- 0002376: [Users and Rights] Does not displaying test cases if user of that test cases is deleted (fman)
- 0002498: [Test Plan (builds, milestones, test assign)] Add test case to test plan - Filter Test Cases based on Test Importance (fman)
- 0002990: [Reports] Test Results Fatal error: Call to a member function buildViewBugLink() in lib/functions/exec.inc.php on line 223 (fman)
- 0003376: [Test Specification] Remove link in test case action name (fman)
- 0003379: [Test Plan (builds, milestones, test assign)] Assign Test Case Execution - Filter regarding on build may be can be removed (Julian)
- 0003398: [Installer] Got php notice error when try to install the 1.9b3 version;while install/migration/index.php is OK (Julian)
- 0003069: [Reports] Report "Failed Test Cases" not work (fman)
- 0003399: [Export/Import] Test importance not well imported (fman)
- 0003025: [Localization] German (de_DE) strings.txt - Scripted update according en_GB string file (version: 1.606) (Julian)
- 0003391: [Test Specification] Search by Custom fields always give no results (fman)
- 0003396: [Users and Rights] Reset Password sends email with xml tags, password doesn't work (fman)
[89 issues]

TestLink - 1.9 Beta 3 (Released 2010-03-03) [ View Issues ] 
===========================================
- 0003126: [Test Project Management] Request the ability to copy test project and data associate to it (fman)
- 0003109: [Test Plan (builds, milestones, test assign)] Update TC versions, click on TC causes Crash (fman)
- 0003118: [General] Help files are not getting opened when selected in the dropdown (fman)
- 0003008: [Test Plan (builds, milestones, test assign)] TL 1.9 (DEV) - Update Linked Test Case Version not working for single Test Case (fman)
- 0003104: [Requirement Management] Analyse req.spec produces fatal error (fman)
- 0003121: [Reports] Adding Platform to test plan after the execution completed, reports are not shown appropriate (fman)
- 0003123: [Reports] General Test Plan Metrics - order of columns with test case exec results (fman)
- 0003099: [Custom fields] The Custom Fields on Test Execution page are not displayed when I set these fields in Test Plan Design (fman)
- 0003001: [User Interface General] Unable to generate API keys in HEAD (fman)
- 0002451: [Internal issue] Update smarty component (fman)
- 0002753: [Test Plan (builds, milestones, test assign)] Error while editing an existing test plan (fman)
- 0002572: [Requirement Management] Test Case creation from the Requirement documents causes sql error (fman)
- 0002189: [Requirement Management] Copy requirements (fman)
- 0002047: [Custom fields] Custom fields are shown strangely during "add to test plan" and "execute" process (fman)
- 0002163: [Test Specification] Create test case with same title, after submit, all data lost (fman)
- 0003095: [TL API] getTestCasesForTestSuite return values (fman)
- 0002757: [TL API] API method "updateTestCase" not available (fman)
- 0003125: [Users and Rights] If the User(in a role) is not having rights to view/mgmt of platform no message to tell user (fman)
- 0002642: [Reports] Platforms feature (fman)
- 0003140: [TL API] Access to an unitialized object "$testCaseMgr" in the function _checkTCIDAndTPIDValid in the file /lib/api/xmlrpc.php (fman)
- 0003133: [Installer] MySQL migration from 1.8 to 1.9 fails on Linux (fman)
- 0003139: [Test Specification] Test Suite Copy - Custom Fields copy (fman)
- 0003130: [Test Specification] TestSuite: Edit - rename Test Suite Name causes PHP Fatal Error (fman)
- 0003129: [User Interface General] After login failure blank page is displayed (fman)
- 0003060: [Reports] Empty Priority test progress in General Test Plan Matrix report (Eloff)
- 0002887: [Documentation (Install, User Manual, help)] The installation page link to the readme file is broken (mhavlat)
- 0003150: [Test Plan (builds, milestones, test assign)] "Bulk user assignment" on "Assign testcase execution" doesn't work anymore (fman)
- 0003147: [Test Project Management] Delete test project with requirements defined crashed with memory exhausted (fman)
- 0003089: [Requirement Management] Req versions new attribute is_open (asimon)
- 0002167: [Requirement Management] Tree management of req-s does not apply to export/import, print, create test case, etc. (fman)
- 0003165: [Test Execute] Refactor resultsImport.php to use simpleXML functions (fman)
- 0003103: [User Interface General] after time out message, user can still continue (Eloff)
- 0003158: [Reports] "Array" instead of platform name (fman)
- 0003157: [Test Plan (builds, milestones, test assign)] It's not possible to reassign a testcase when a user is already assigned (Eloff)
- 0003166: [Users and Rights] Platform rights are not defined (mhavlat)
- 0003173: [Custom fields] The Custom Fields on Test Execution page are not displayed when I set these fields in Test Plan Design (fman)
- 0003160: [Reports] Query Metrics -> Information shifted and volumn missing (Eloff)
- 0002541: [Reports] Empty Rows printed if Query results is run with specific criteria (amitkhullar)
- 0003202: [General] inventory id rights refactored to follow defacto standard (fman)
- 0003186: [Inventory / Platforms] feedback message when deleting can have name of deleted host (mhavlat)
- 0003162: [Custom fields] custom field of type checkbox cannot be unchecked, if checked before (fman)
- 0003183: [Inventory / Platforms] Create infrastructure with existent HOST NAME results in progress bar never ending (mhavlat)
- 0003187: [Inventory / Platforms] Edit infrastructure CLEAN HOST and save => operation never ends (mhavlat)
- 0003197: [Inventory / Platforms] Inventory values are not displayed after saving (mhavlat)
- 0002697: [Requirement Management] Can not export Test Requirement Specification (fman)
- 0003161: [Reports] Charts - Charts missing? (fman)
- 0003199: [Inventory / Platforms] Add MAXLENGTH on HOST and IP fields (mhavlat)
- 0003201: [Inventory / Platforms] Missing error/warning message (some jx error) (mhavlat)
- 0002886: [Documentation (Install, User Manual, help)] readme missing config_db.inc.php (mhavlat)
- 0003203: [Test Specification] Testcase export XML - keyword element generated when keywords does not exist (fman)
- 0003223: [Test Project Management] Delete Project causes crash (fman)
- 0002999: [User Interface General] Direct Link to Testlink items from outside Testlink (asimon)
- 0003159: [Reports] Query Metrics -> platform name missing (Eloff)
- 0003217: [General] Bulleted list or a Numbered list in the FCK or TinyMCE editor isn't visable when viewing the saved Test Case (Eloff)
- 0003231: [General] Session timeout throwing 404 error (Eloff)
- 0003205: [Test Plan (builds, milestones, test assign)] Save platform when add/remove test cases and NO Platform defined (Eloff)
- 0003233: [Test Specification] After test suite edit, display of Test suite do not have upload button enabled for attachment (fman)
- 0003229: [Reports] Platforms export content (fman)
- 0003215: [Reports] viewing the metrics for a set of executed test cases reports the platform as "Array" (fman)
- 0002175: [Localization] The Test Case was generated from the assigned requirement. - cannot be localized (asimon)
- 0001927: [Test Plan (builds, milestones, test assign)] filter on keyword - Filter tree when add/remove testcases - KO (fman)
- 0002251: [Requirement Management] exporting of requirements does not include order of requirement (fman)
- 0003049: [Test Plan (builds, milestones, test assign)] Remove test case execution assignments for complete testplan (asimon)
- 0003226: [Test Plan (builds, milestones, test assign)] Test Case execution Assignment - Assignment of single test case not possible (fman)
- 0002299: [Keywords] keyword filter in the Test-Specification Navigator didn't work (fman)
- 0002707: [Test Plan (builds, milestones, test assign)] After closing a SW-Built, I cannot see the notes-window (fman)
- 0003011: [Test Specification] priority is not copied when copying testcases (fman)
- 0003181: [Test Specification] From test case specification, after adding the test case to test a plan with platforms, platforms are not displayed (fman)
- 0001854: [General] Including a | (pipe) in the summary of the test case does not give an error (fman)
- 0002977: [Requirement Management] Internal Links for Requirements and Requirement Specifications (asimon)
- 0002455: [Test Execute] Improvement of execution and test case execution assignment filters (asimon)
- 0003026: [Test Execute] "Filter & Settings" do not effect the "Test case execution" frame (asimon)
- 0003171: [Test Specification] Error when importing test suite linked to requirements. (fman)
- 0003393: [Test Project Management] Erro ao clicar/abrir no link Test Project Management (fman)
- 0003211: [Installer] upgrading from 1.8 database to 1.9 fails with Failed opening required '.\migration\migrate_18...'
[75 issues]

TestLink - 1.9 Beta 1 (Released 2010-01-06) [ View Issues ] 
===========================================
- 0003244: [Integration with Other Systems] can't support php5.3 (fman)
- 0003389: [New Feature] Ned to add the "Pre-condition" as a default field for test cases (fman)
[2 issues]

TestLink - 1.9 Beta 2 (Released 2009-12-02) [ View Issues ] 
===========================================

The next major release is target version for the most wanted new features.

- 0003679: [Database General] Bug detected function exec_query in file database.class.php (fman)
- 0001662: [Third party components] Ext Js - Update to 2.2 (fman)
- 0002893: [Test Plan (builds, milestones, test assign)] Platforms feature - Export/import on XML (fman)
- 0002158: [TL API] getTestCaseCustomFieldDesignValue returns no value (fman)
- 0002232: [TL API] An API Call to create Test Suites (fman)
- 0000797: [Reports] Custom fields in Results (amitkhullar)
- 0002206: [Reports] Option to enable / disable printing of Custom Fields in Test Report (amitkhullar)
- 0002207: [Reports] Display linked bugs in Test Report for failed test cases. (amitkhullar)
- 0001880: [User Interface General] Delete confirmation dialog of attachemnts is not consistent with most other delete confirmation dialog (no ext.js) used (schlundus)
- 0002247: [Test Execute] Add additional option for show test cases within test suite (fman)
- 0002156: [Reports] Query Metrics Report shows all results for each test case (amitkhullar)
- 0002255: [Test Plan (builds, milestones, test assign)] default execution order is not logically when adding test cases to a test plan (fman)
- 0002289: [Event viewer] WARNING:	String 'import_results' is not localized for 'en_GB' (fman)
- 0000497: [New Feature] It should be possible to design and execute test cases simultaneously (fman)
- 0002364: [Test Execute] Ability to edit a test case during execution (fman)
- 0000192: [New Feature] User should be able to edit the test case while executing it (fman)
- 0002414: [Custom fields] Add online check to control that qty of characters on TEXT AREA CF can be written to DB (fman)
- 0002422: [Test Specification] Checkbox to select all Test Cases while moving/copying between Test Suites (fman)
- 0001983: [TL API] Patch files for TestLink 1.8(RC2) XML-RPC (fman)
- 0002363: [Reports] Report - display test cases not added to at least one testplan (fman)
- 0002309: [Requirement Management] Requirement ID missing (fman)
- 0002359: [Custom fields] When editing Custom Fields, display test projects where custom field has been assigned (fman)
- 0002369: [Test Plan (builds, milestones, test assign)] Add new fields to testplan_tcversions table in order to understand when tcversion was added to test plan (fman)
- 0002378: [Test Specification] Add to test plan does not have option to 'Add test plan' if plan does not exist (fman)
- 0002442: [Users and Rights] Add Bulk Assignment on Assign Test Project Roles and Assign Test Plan Roles (fman)
- 0002441: [TL API] new methods - getTestProjectByName(), getTestPlanByName() (fman)
- 0001009: [Users and Rights] After assigning testproject-role "admin" to user it cannot assign testproject-roles to other users (fman)
- 0002417: [Users and Rights] Project admin should be able to assign users to own project (fman)
- 0001907: [Third party components] Tree management component - Leave only EXT-JS (schlundus)
- 0002499: [New Feature] Integration with BTS - JIRA using SOAP-XML (amitkhullar)
- 0002494: [Test Plan (builds, milestones, test assign)] Manage Build release date (fman)
- 0002518: [TL API] New function: getTestCaseByExtId() (fman)
- 0002578: [Reports] Insert blank space between test cases in HTML Test Specification Document (mhavlat)
- 0002198: [User Interface General] Test Suite was successfully Delete! (schlundus)
- 0002174: [Localization] Hardcoded strings in GUI, that cannot be localized or removed (schlundus)
- 0002598: [TL API] New methid - createTestPlan() (fman)
- 0002543: [General] Prefilling the Test Case ID search box seems not as useful. as seems (schlundus)
- 0002610: [Database MySQL] Performance issue in Report "Test Cases not assigned to Any Test Plan" due to inperformant SQL query (schlundus)
- 0002583: [Users and Rights] Lost password feature : not very user-friendly password is sent (mhavlat)
- 0002653: [Localization] Variable assigned the same value twice (schlundus)
- 0002608: [Documentation (Install, User Manual, help)] DocBook documentation for inputparameter* (schlundus)
- 0002660: [Test Plan (builds, milestones, test assign)] Show priority in assign view (mhavlat)
- 0002614: [Database MySQL] [TL1.9] Schema Changes: DB 1.3 (mhavlat)
- 0002544: [Custom fields] Extra space when creating custom fields (fman)
- 0002728: [Internal issue] get_full_path_verbose crush when one of the items does not exist (fman)
- 0001155: [Database General] builds table should have a date or timestamp field (fman)
- 0002726: [Test Execute] [DEV] History of all executions have broken SQL (fman)
- 0002625: [User Interface General] Contribution: Modifications on custom field (display order modified) (fman)
- 0002492: [TL API] TestLink API 'reportTCResult' should allow custom field results to be imported (fman)
- 0002521: [Requirement Management] Test case coverage under the requirement container is static, i.e not href (fman)
- 0002758: [TL API] make getTestCasesForTestPlan() accept keywords also by name (fman)
- 0002767: [Localization] Duplicate testsuite name error message issue (fman)
- 0002801: [Users and Rights] reset password email appends 'If' to the password in the email so it fails for the user (schlundus)
- 0002612: [Internal issue] Add debug footer with certain performance counters (schlundus)
- 0002661: [Reports] Show priorities in result matrix (Eloff)
- 0002452: [User Interface General] Delete confirmation dlg when deleting executionbugs is not consistent with other delete confirmation dialog (no ext.js) used (schlundus)
- 0002799: [User Interface General] Invalid URL will be displayed on logout after session expires (schlundus)
- 0002786: [User Interface General] Missing baseCls: 'x-tl-panel' property in main page menu boxes ? (schlundus)
- 0002807: [User Interface General] Keyword-Deletion-Confirmation Dialog doesn't show the keyword name (schlundus)
- 0002668: [Reports] Upgrade of result matrix (Eloff)
- 0002759: [Localization] Get the following error when sending e-mails - String 'charset' is not localized for 'en_GB' (schlundus)
- 0002501: [Reports] Requirements Report enhancement to include doc_id (schlundus)
- 0002083: [General] eregXXX calls should be avoided (schlundus)
 - 0001953: [General] Deprecated: Function ereg_replace() is deprecated in D:\tl_dev\testlink\lib\functions\lang_api.php on line 171 (fman)
- 0002818: [Test Plan (builds, milestones, test assign)] Test Plan Drop-down does not resize to fit name correctly. (schlundus)
- 0001137: [New Feature] Instaler: Add automatically database table name prefix (fman)
- 0002704: [Test Execute] Test Suite Details are not viewable in "Execute Mode" (fman)
- 0002254: [Test Execute] [Execute Tests] Issues when trying to execute tests just shows the circular icon and nothing happens (fman)
- 0002300: [General] Failed opening required 'Users.class.php' (fman)
- 0002778: [Custom fields] custom fields are filled with blanks (fman)
- 0002581: [Test Specification] Number of Characterts at Custom Field not updated (fman)
- 0002425: [Custom fields] Custom fields not displayed on expected places (fman)
- 0002606: [General] file "custom_config.inc.php" should NOT be in distro (mhavlat)
- 0002796: [New Feature] contribution: add start_time to configuration (same as start_date_offset) to resultsMoreBuilds.php (fman)
- 0002468: [TL API] method reportTCResult() reset the test case's result. (fman)
- 0002067: [User Interface General] Impossible to resize the navigation tree window. (schlundus)
- 0001170: [Custom fields] Change the order of display of custom fields on the screen implementing tests (fman)
- 0002427: [Custom fields] Custom fields shown two times (fman)
- 0002246: [Test Plan (builds, milestones, test assign)] Custom field duplicated in the test case report and it is not underlined (fman)
- 0000846: [Reports] Contribution - New fields to the reports (fman)
- 0002847: [Test Plan (builds, milestones, test assign)] Contribution - Copy Tester Assignment when creating test plan from existent one (fman)
- 0002851: [Test Plan (builds, milestones, test assign)] Contribution - Set Assign To on Add to Test Case(s) page (fman)
- 0002825: [0 - Undefined] CVS HEAD 20090831 - maxlife* variables (mhavlat)
- 0002722: [Reports] no option to sort the execution results in Result Reports (fman)
- 0002850: [Test Execute] Contribution - Improve UI for bulk update of Test Execution (fman)
- 0002861: [Users and Rights] Send mail to administrators when a new account is created (fman)
- 0002894: [General] Better user defined template configuration (fman)
- 0002862: [Event viewer] Option to see the event viewer results for a specific user (amitkhullar)
- 0002895: [User Interface General] testsuite description is not visible in execute TAB (fman)
- 0002892: [Test Execute] I can't see the results of old builds (fman)
- 0002898: [New Feature] Activate ldap tls authentication (fman)
- 0002872: [Localization] en_us missing some strings (fman)
- 0002917: [Charts] Pie Chart for platforms feature (fman)
- 0002662: [Database General] SQL error in execute view (Eloff)
- 0002500: [Reports] query Metrics with 'assigned to' and 'show execution of status' set, the result is not what is expected (fman)
- 0002937: [New Feature] add/remove test case hover over test case tooltip replacement with summary (fman)
- 0002957: [Custom fields] "Characters left"-function does not work for custom field textarea (fman)
- 0002963: [New Feature] Template for Builds (Julian)
- 0002965: [New Feature] Template for Requirements (Julian)
- 0002966: [New Feature] Template for Requirement Specifications (Julian)
- 0002961: [New Feature] Template for Test Projects (Julian)
- 0002962: [New Feature] Template for Test Plans (Julian)
- 0002968: [New Feature] Template for Execution (Julian)
- 0002970: [New Feature] Template for Testcases (fman)
- 0002974: [TL API] getTestCaseIDByName method doesn't seem to support hierarchy of testsuites ... (fman)
- 0002964: [New Feature] Template for User Role (Julian)
- 0002605: [New Feature] Test Case modification during test execution (fman)
- 0002554: [New Feature] Usefull colors in usersAssign section (fman)
- 0002949: [TL API] update test case result (fman)
- 0001617: [New Feature] XML import/export of test-cases with custom field (fman)
- 0002896: [Custom fields] Undefined index:-in .../testlink/lib/functions/cfield_mgr.class.php - line 641 (fman)
- 0002792: [User Interface General] Usuability when deleting/unlinking platform (Eloff)
- 0002940: [Reports] Query Parameters of query metrex doesn't work (fman)
- 0002023: [Reports] Filter "executed by" in Query Metrics (fman)
- 0002992: [Internal issue] deprecated php function and warnings (fman)
- 0002621: [Database General] Table prefix is not used by all scripts (fman)
- 0002950: [TL API] TL API functions only seem to work with PHP client and not any other clients (fman)
- 0002995: [Requirement Management] TL 1.9 - create testcases from requirement - missing value for preconditions (fman)
- 0002469: [Test Execute] CFG-Parameters to show notes/details on test-execution (Julian)
- 0002702: [Requirement Management] It can not move an existed Requirement Specifications to another (fman)
- 0003002: [Localization] The word 'Design' is misspelled (fman)
- 0002870: [Test Specification] Search according to execution type (fman)
- 0002998: [New Feature] Contribution: API - added getTestSuiteByID(), reportTCResult(), now accepts custom fields as an optional parameter (fman)
- 0000342: [New Feature] Save session configuration (Eloff)
- 0002603: [Documentation (Install, User Manual, help)] Code description must be phpDoc compliant (mhavlat)
- 0003015: [Localization] Contribution:The total translations of TestLink into Chinese (mhavlat)
- 0003023: [Requirement Management] Configure management at User Interface level of expected coverage based on req, type (fman)
- 0003021: [General] Testcase search function returns empty if testproject prefix contains "glue character", eg: '-' (Eloff)
- 0003020: [Test Project Management] When trying to edit notes on e test project, the editor is always empty (fman)
- 0002916: [Test Specification] Spelling/Grammatical corrections to Getting Started Area (mhavlat)
- 0003000: [Requirement Management] Type Field for Requirements and Requirement Specifications (fman)
- 0002800: [User Interface General] Test Executions Filter pane is closed (Eloff)
- 0003043: [Users and Rights] User Info -> API Interface -> Generate a new key does not work (fman)
- 0002036: [User Interface General] GUI: Check exiting window with modified content (Eloff)
- 0003042: [Test Specification] Two radio buttons appear in compare Versioning. (fman)
- 0003040: [Test Specification] $args(object) is created upon creating a new test case and also creating a new version (fman)
- 0003041: [Test Specification] Editing test case is not possible (fman)
- 0003016: [New Feature] Comparison of testcases (and requirement) versions (asimon)
- 0003034: [Documentation (Install, User Manual, help)] Set urgent tests page does not reflect original urgency (mhavlat)
- 0002663: [Database General] Show stack trace on SQL error to easier find the bad code (fman)
- 0003061: [Test Specification] Can't add test case to test plan from specification page (fman)
- 0003048: [Test Project Management] Home missing when first time project is created (fman)
- 0002343: [Custom fields] CF_ESTIMATED_EXEC_TIME does not get displaid (fman)
- 0003063: [Custom fields] Behaviour of dropdownlists by creating/editing Custom Fields (fman)
- 0003019: [Requirement Management] Requirement Versioning (fman)
- 0003084: [Test Plan (builds, milestones, test assign)] When using platforms after assign tests, layout display columns not aligned (Eloff)
- 0002976: [Requirement Management] Requirement / Requirement Specification Search (Julian)
- 0003082: [Installer] Reinstall on same DB fails (fman)
- 0003064: [General] Assign test case to test plan right after test case has been edited should not display inactive test plans (fman)
- 0003077: [Test Specification] Preconditions missing on Search Test Cases (fman)
- 0003086: [Test Specification] After execution of testcase, a new version should be created before editing test steps (fman)
- 0003079: [Reports] Testing Notes does no formatting of the text entered (mhavlat)
- 0002791: [Custom fields] Maxsize of Custom field design value is always varchar(255) no matter what type it is defined to. (fman)
- 0003090: [Test Specification] Delete test case is not working on CVS HEAD (fman)
- 0003088: [User Interface General] When session times out in background, let the user renew session without risking losing data (Eloff)
- 0002482: [User Interface General] After time-out period all text that you have entered to new test case, after re-Log In disappear (Eloff)
- 0001598: [Test Specification] Test case thrown out upon creation, login dialog appeared (Eloff)
- 0002938: [New Feature] Save execution and next in test case execution (fman)
- 0001858: [Test Specification] Number of test cases is not shown when searching for test cases by keywords or text (schlundus)
- 0002652: [Test Plan (builds, milestones, test assign)] Update all Testcases to latest Version should show all latest Versions (Julian)
- 0002530: [Test Plan (builds, milestones, test assign)] Cannot set urgency for individual test cases within a test suite (mhavlat)
- 0002996: [Requirement Management] Improvment to "Create Test Cases from Requirements" Feature (asimon)
- 0003068: [Test Execute] "Save and move to next" button on Executions page selects previous case (fman)
- 0002922: [General] Changes lost if TestLink idle for a while (Eloff)
- 0003111: [User Interface General] Popup window of Requirement from TC execution has no scroll down (fman)
- 0002692: [Test Execute] Not possible to find TCs based on last result (e.g. cannot find failed TCs that need re-run) (fman)
- 0003004: [Third party components] Trees using EXTJS - window size is fixed format (mhavlat)
- 0003071: [Test Specification] Creating new test case and editing exsiting test case fails.
- 0000043: [New Feature] [SF 1241176 ] Unable to open up test case in new window anymore
- 0002834: [Database MySQL] [Tl1.9 (Dev)] - ERROR ON exec_query() - database.class.php 1054 - Unknown column 'tcversions.preconditions' in 'field list'
- 0002615: [Test Execute] ????? (schlundus)
[171 issues]

TestLink - 1.8.5 (bug fixing)
=============================
- 0002927: [Third party software components] Upgrade FCKEditor for supporting Safari and avoiding data loss (mhavlat)
- 0002678: [Reports, Metrics, Export and Print] The Charts text are not displayed correctly (mhavlat)
- 0002901: [User Interface General] Saving a test case will exit editing mode with a pop up window (mhavlat)
- 0002947: [General] HTML tags stripping (mhavlat)
- 0002993: [Internal issue] Error in configuration (mhavlat)
- 0002975: [Test Plan (builds, milestones, test assign)] Space missing for SQL concatenation (mhavlat)
- 0002909: [Documentation (Install, User Manual, help)] existing spelled wrong as "exesting" (mhavlat)


TestLink - 1.8.4 (bug fixing)
=============================
- 0002325: [Database Postgres] Cannot upgrade from 1.7.x to 1.8.0 with PostgreSQL (toshi)
- 0002694: [Test Specification] Warning in Event Viewer when edit Test Case (schlundus)
- 0002765: [Requirement Management] Printing Issue (schlundus)
- 0000494: [User Interface General] navigating away from a page looses changes (schlundus)
- 0002736: [Test Execute] SQL error when searching for unassigned testcases (schlundus)
- 0002783: [General] Error when modify the title of test case (schlundus)
- 0002561: [General] Admin cannot assign user role to a project (schlundus)
- 0002672: [Internal issue] Demo configuration (mhavlat)
- 0002827: [Test Execute] Edit note on a test case => error if note contains a ' (schlundus)
- 0002819: [Requirement Management] Uncovered or not-testable requirements metric on Analysis page appears is not functional (schlundus)
- 0002824: [Localization] String 'charset' is not localized for 'en_GB' (schlundus)
- 0002699: [Database Postgres] Update of 1.7 to 1.8 fails because connect_2_db() is MySQL specific (mhavlat)
- 0002781: [Keywords] can't copy keywords of every testcase when copying testsuite (fman)
- 0002776: [TL API] getTestSuitesForTestPlan does not work with postgres version 8 databases (fman)
- 0002486: [Test Specification] Cannot "Generate test specification document" - the tree of testcases is empty, while it is not in "Specification" (fman)
- 0002763: [Database MySQL] MySQL error on exec_query() - database.class.php (fman)
- 0002766: [Test Execute] Event warning by execution view (fman)
- 0002755: [Test Plan (builds, milestones, test assign)] Problem with Creating the Test Plan (fman)
- 0002577: [TL API] method "getProjectTestPlans" from "TestlinkAPI->TestlinkXMLRPCServer" returns with wrong array structure (fman)
- 0002735: [TL API] External test case id not returned from getTestCasesForTestSuite (fman)
- 0002715: [Installer] Can not see (display) the Test Case ID after upgrade from 1.7.0 to 1.8.3 (fman)
- 0002145: [Test Plan (builds, milestones, test assign)] save button while assigning tester to execute (mhavlat)
- 0002708: [Localization] In the strings.txt of germany there isn't the definition of $TLS_tester (schlundus)
- 0002687: [Reports, Metrics, Export and Print] Requirements based Report is not based only on selected test plan (amitkhullar)
- 0002648: [Reports, Metrics, Export and Print] Status of Milestones shows Completed persantage of 100% (schlundus)
- 0002654: [Test Plan (builds, milestones, test assign)] create or delete a test plan, pop-up error message unexpectedly (schlundus)
- 0002656: [Test Plan (builds, milestones, test assign)] Fist TestPlan created don't appears in the page (schlundus)
- 0002643: [Localization] Description about Summary in pt-br is wrong (mhavlat)
- 0002584: [Documentation (Install, User Manual, help)] Wrong link in cfg/trac.cfg.php (mhavlat)
- 0002567: [Localization] TestLink 1.8.2 Finnish localization (mhavlat)
- 0002596: [Localization] French translations fixes (Results section) (mhavlat)
- 0002589: [Internal issue] Testcase names not htmlescaped in containerdelete.tpl (schlundus)
- 0001158: [Third party software components] Throws an exception when we try to browse the server (mhavlat)

TestLink - 1.8.3 
=============================
- 0002318: [Documentation (Install, User Manual, help)] User Manual - page numbers (mhavlat)
- 0002224: [Documentation (Install, User Manual, help)] Description of execution order is missing in User Manual (mhavlat)
- 0002539: [Documentation (Install, User Manual, help)] Suggestion for documentation on custom fields (mhavlat)
- 0002568: [Internal issue] There are no $TLS_in and $TLS_out in en_GB/strings.txt (schlundus)
- 0002317: [Reports, Metrics, Export and Print] Charts (graph) get garbled with multi-byte character set (toshi)
- 0002558: [Database MySQL] ERROR ON exec_query() - database.class.php (schlundus)
- 0002461: [Reports, Metrics, Export and Print] Test results must be available for a deactivated TestPlans (mhavlat)
- 0002540: [Localization] Korean Translation for TL 1.8.2 (mhavlat)
- 0002535: [Test Execute] user list in drop down filter-fetting "Assigend to" incomplete (schlundus)
- 0002536: [User Interface General] Milestones % not shown (schlundus)
- 0002532: [Reports, Metrics, Export and Print] Company Name on Printed Reports Tells to use $tlCfg->company->name (mhavlat)
- 0002505: [Integration with Other Systems] Integration with JIRA causes errors in event viewer (fman)
- 0002496: [Event viewer] Undefined Index in event viewer when adding a bug (fman)
- 0002502: [Localization] Issue no 002491is not resolved (fman)
- 0002508: [Test Plan (builds, milestones, test assign)] Wrong link to show testcase from "Add/Remove Test Cases to/from Test Plan" (fman)
- 0002504: [General] Test cases cannot be viewed/edited due to programming error (fman)
- 0002533: [Requirement Management] the requirement is not belongs to the current product (schlundus)
- 0002523: [Reports, Metrics, Export and Print] Req-Reports (resultReqs.php) alway shows the result of the Session-Testplan and not the chosen Testplan of the navigator combo (schlundus)
- 0002390: [Localization] en_us missing some strings (mhavlat)
- 0002411: [Reports, Metrics, Export and Print] Printing an extra line, when no "table of contents" (schlundus)
- 0002415: [Localization] Nearly full translation into polish language (mhavlat)
- 0002510: [Event viewer] Message in event viewer: workAreaSimple.tpl.php - Line 13 (schlundus)
- 0002490: [Reports, Metrics, Export and Print] Test cases exported to XML files cannot by imported if the size of the file exceeds 200kB (but can be exported!!) (mhavlat)
- 0002464: [User Interface General] Menu bar obscured when IE7 browser window width too narrow (mhavlat)
- 0002511: [User Interface General] Wrong translation to locale pt_BR (mhavlat)
- 0002388: [User Interface General] Email address format seems no good (schlundus)
- 0002389: [Keywords] defined Keyword is not printed in the gui aligned with "Keywords:" (schlundus)
- 0002316: [Test Specification] WHen copying a Test Case, would like it to copy keywords and requirements (fman)
- 0002483: [General] Variable $linkto not defined before use as a function call argument in req_tree_menu.php (schlundus)
- 0002470: [User Interface General] Dropdown Menu for Report Format not visible (amitkhullar)
- 0002479: [Reports, Metrics, Export and Print] "total" column name is not capitalized (amitkhullar)
- 0002477: [Reports, Metrics, Export and Print] "xx" symbols in build name (Test Result Matrix report) (amitkhullar)
- 0002465: [Reports, Metrics, Export and Print] Report - Test Cases with Custom Fields Info generates warning in event log (amitkhullar)
- 0002353: [Custom fields] An unassigned Custom Feild can not be deleted (fman)
- 0002466: [Test Specification] $g_testsuite_template does not work (fman)

TestLink - 1.8.2
============================
- 0001405: [Custom fields] Custom field Max Size (mhavlat)
- 0002392: [General] Poor performance of all Usermanagement section on TestLink 1.8.0 (schlundus)
- 0002439: [Requirement Management] Const.inc.php needs to be updated for requirements constants (amitkhullar)
- 0002438: [Localization] cs_CZ localization strings.txt (mhavlat)
- 0002431: [Internal issue] Improper Session Handler causes the page to give error Not Found (amitkhullar)
- 0002419: [Reports, Metrics, Export and Print] The default name for saving test plan, test report, test specification is the same "test_report" (mhavlat)
- 0000833: [Test Specification] While printing test specification, the linked requirements are not shown (amitkhullar)
- 0001820: [Reports, Metrics, Export and Print] Report required for identifying the Test Case Assigned to users for a particular build and there status (amitkhullar)
- 0002171: [Reports, Metrics, Export and Print] Requirements based report - not all requirements are shown on the report (fman)
- 0002410: [Reports, Metrics, Export and Print] Custom Fields on Test Plan level Available for Testcases as a Report (amitkhullar)
- 0002366: [Test Execute] SQL Error in Test Execution when attempting to complete bulk operations with filter applied (schlundus)
- 0002305: [Test Execute] While in Execution and filtering by Not_Run, you get a MYSQL error (schlundus)
- 0002405: [General] Javascript error when accessing "Add / Remove Test Cases" page (schlundus)
- 0002406: [General] Javascript error when trying to open test case info in new window (schlundus)
- 0002394: [0 - Undefined] Importing Data via XLS Crashes (schlundus)
- 0002384: [Test Plan (builds, milestones, test assign)] Tree doesnt load properly in Add / Remove Test Cases (fman)
- 0002380: [Reports, Metrics, Export and Print] Charts do not generate (mhavlat)
- 0002324: [Database Postgres] "General Test Plan Metrics" show error messages with PostgreSQL (mhavlat)
- 0002374: [Reports, Metrics, Export and Print] Show Assigned User in the Not Run Test Cases Report (amitkhullar)
- 0002295: [General] bad url being generated when multiple logins detected and user attempts to logout (amitkhullar)
- 0002267: [Reports, Metrics, Export and Print] Error when clicking a linked test case in Failed/Block Test Cases within Reports and Metrics (amitkhullar)
- 0002368: [Reports, Metrics, Export and Print] The Custom Fields are not being printed properly in a table in TestPlan/Test Spec. Doc. (amitkhullar)
- 0002347: [Database MySQL] Searching TestCase i got a mysql error (schlundus)
- 0002348: [Test Project Management] Test Case import from excel broken in 1.8.1 (schlundus)
- 0002354: [Users and Rights] Blank page if rights are not given on RoleManagement (amitkhullar)
- 0002342: [Reports, Metrics, Export and Print] Wrong assignment to "$TLS_number_not_run" in String.txt file (amitkhullar)
- 0002292: [Reports, Metrics, Export and Print] Requirements Based Report - results always show in 'Failed' section (amitkhullar)


TestLink - 1.8.1
============================
- 0001686: [Database MS-SQL] Error in script Case sentive. (mhavlat)
- 0002294: [Localization] en_us missing some strings (mhavlat)
- 0002306: [User Interface General] Req-Title and Req-DocID not correctly escaped in tc_exec_test_spec.tpl (schlundus)
- 0002322: [Test Specification] Testcase name trancation break multi-byte characters (toshi)
- 0002290: [Custom fields] Custom Field implementation for Test Plan / Test Suite doesnt work (fman)
- 0001519: [Reports, Metrics, Export and Print] Excel Importing Misses Multi-byte Charactors (toshi)
- 0002284: [General] SQL error on planTCNavigator.php while changing the Test Plan (fman)
- 0001162: [Keywords] Keywords with multi-byte characters are garbed (toshi)
- 0002293: [Integration with Other Systems] flushHttpHeader> Invalid format: 0 (mhavlat)
- 0002319: [Documentation (Install, User Manual, help)] Importing data via XML (mhavlat)
- 0002303: [User Interface General] Title Bar bottom cut off when browser window width is narrow (mhavlat)
- 0002304: [Requirement Management] Assigning a Requirement to Test Case fails due to missing class (schlundus)
- 0002279: [Test Specification] [Add to Test Plan] button leads to blank screen (fman)
- 0002266: [User Interface General] User cannot perform administration options when searching for a test case (fman)
- 0002280: [Installer] Migration from 1.8 Beta 2 to 1.8.0, says Table custom_fields - Missing (mhavlat)
- 0002265: [Test Specification] Check Names for Duplicates not functioning properly (schlundus)
- 0002267: [Reports, Metrics, Export and Print] Error when clicking a linked test case in Failed/Block Test Cases within Reports and Metrics (amitkhullar)
- 0002250: [Localization] ICONV code page conversion even in case that source and target encoding are the same (schlundus)
- 0002219: [User Interface General] Panel titles not symetrical (schlundus)
- 0001917: [Localization] Upgrade Japanese translation from 1.7.x to 1.8 (toshi)
- 0002039: [Localization] Localization pt_BR (mhavlat)


TestLink - 1.8.0
================
- 0002220: [Test Execute] Fatal Error with BugInterface On (schlundus)
- 0002204: [TL API] createTestCase when creating new versions, reports version_number as -1 (fman)
- 0001642: [Localization] Dutch translation (mhavlat)
- 0002217: [Reports, Metrics, Export and Print] No option to save a 'Word' format report (mhavlat)
- 0002216: [Reports, Metrics, Export and Print] An excel format report gets saved as a html. (mhavlat)
- 0002205: [Reports, Metrics, Export and Print] Execution order (from execution table) ignored in Testplan printing (fman)
- 0002179: [TL API] getTestCasesForTestSuite fails (fman)
- 0002221: [Test Execute] error when viewing status of executed tests (schlundus)
- 0002223: [Documentation (Install, User Manual, help)] Error in User Manual regarding test plan population (mhavlat)
- 0002116: [Test Specification] Test Case/Suite - Delete confirmation without Cancel or No option (mhavlat)
- 0002212: [Test Specification] Assign test case to test plan from test specification (fman)
- 0002180: [Localization] String 'req_status_approved' is not localized for 'en_GB' (mhavlat)
- 0002202: [Event viewer] Multiple Warnings in Event Viewer (schlundus)
- 0002210: [Reports, Metrics, Export and Print] Warning on Reports (schlundus)
- 0002199: [Documentation (Install, User Manual, help)] typo (schlundus)
- 0002187: [Localization] No characters after spanish "ñ" and vowels with accent (schlundus)
- 0002191: [TL API] The constant "NO_USER_BY_THIS_LOGIN" is defined more than once (fman)
- 0002194: [Test Plan (builds, milestones, test assign)] Error when assigning test case execution (schlundus)
- 0002186: [Reports, Metrics, Export and Print] Header output on test report and test plan (HTML) (schlundus)
- 0002183: [Test Specification] Error when editing and saving TestCase (schlundus)
- 0002181: [Test Execute] lib/execute/execSetResults.php is calling an unknown function "get_bugs_for_report" (schlundus)
- 0002137: [General] Attachment not found error when read back attachment from DB (schlundus)
- 0002162: [Integration with Other Systems] Unknown function get_bugs_for_report in execSetResults.php (schlundus)
- 0001428: [Test Specification] "Path" to the testcase (fman)
- 0001245: [Test Specification] display Test Suite location when Test Case is viewed during search (fman)
- 0002165: [Test Specification] Search Test Case - Make user life easier preloading test case prefix on search input (fman)
- 0002184: [Reports, Metrics, Export and Print] Test case statuses is not colored when using localization (schlundus)
- 0002166: [Requirement Management] Fatal error when printing requirements (fman)

TestLink 1.8 RC 5
==============================
- 0002159: [Reports, Metrics, Export and Print] Code comments reference files that don't exist (schlundus)
- 0002157: [Documentation (Install, User Manual, help)] Documentation update (mhavlat)
- 0002141: [Reports, Metrics, Export and Print] DocGenerator - more bugs (mhavlat)
- 0002149: [Reports, Metrics, Export and Print] Attachment assigned to ReqSpec is not deleted after ReqSpec is deleted (schlundus)
- 0002110: [Event viewer] E_WARNING htmlspecialchars() [<a href='function.htmlspecialchars'>function.htmlspecialchars</a>]: charset `LOCALIZE: charset' no (schlundus)
- 0002111: [Event viewer] E_STRICT Creating default object from empty value - in C:\tl\testlink\lib\execute\execNavigator.php - Line 485 (schlundus)
- 0002119: [Requirement Management] Document of Requirement Specification is not deleted within a table of "requirements". (schlundus)
 - 0002126: [Requirement Management] All of Recods are deleted within a table of "nodes_hierarchy", if system is a Project. (fman)
- 0002129: [TL API] getTestCaseIDByName returns large number of instances (fman)
- 0001440: [Test Execute] Unable to view the test results of the entire test plan in Test Execute (fman)
- 0002140: [General] Cannot do anything after installation(daily testing). (mhavlat)
- 0002104: [Localization] The letter of the multi-bytecode is not displayed in a natural language. (mhavlat)
- 0001123: [Database MS-SQL] Garbled characters with MS-SQL 2000 (mhavlat)
- 0002058: [Localization] Change to french display "ï»¿ " on connection (mhavlat)
- 0002127: [TL API] Contribution: Get test case's attachments (fman)
- 0002079: [TL API] Newest test case version doesn't appear in getTestCasesForTestPlan results (fman)
- 0002098: [TL API] With api calls like getTestCasesForTestPlan, need ability to specify property automated=automated (fman)
- 0002099: [TL API] automated property not returned when getTestCasesForTestPlan called (fman)
- 0002068: [Test Execute] would be fine to see requirements when TC is executed (amitkhullar)
- 0002114: [Test Plan (builds, milestones, test assign)] TC assignment to tester not work (single TC assignment) (fman)
- 0002053: [General] Import/export to OpenOffice (mhavlat)
- 0002107: [User Interface General] Buttons not aligned in IE (multiple pages) (mhavlat)
- 0000415: [Localization] Indonesian Localization Support (mhavlat)
- 0002094: [Test Execute] Add new config parameter to enable/disabling colouring of counters of test cases status (fman)
- 0002090: [User Interface General] EXTJS tree doesn't show counter colors during execution (azl)
- 0002041: [General] Lost relationship between testcase and requirement after import (fman)
- 0002073: [TL API] Summary, steps and expected results missing from test cases in getTestCasesForTestPlan results (fman)
- 0002080: [Test Plan (builds, milestones, test assign)] Expected % of Mielstones not displayed on the resultsGeneral.tpl (fman)
- 0002062: [Test Specification] 1.8RC3: No tree visible when configured with JTREE. (fman)
- 0002088: [Internal issue] javascript errors in Keyword Search (schlundus)
- 0002086: [Localization] Localization - France (mhavlat)
- 0002081: [Localization] Localization missing for the Urgency of Milestones (mhavlat)

Testlink 1.8 RC 4
==============================
- 0002072: [Event viewer] Delete Test case version (schlundus)
- 0002069: [General] Attachement crash (schlundus)
- 0001255: [New Feature] Notification - E-mail messages to assignee (fman)
- 0002050: [Test Plan (builds, milestones, test assign)] New feature - send mail to testers during execution assingment (fman)
- 0002059: [Custom fields] Warning Logged in Logs due to incorrect variable name in code (mhavlat)
- 0001318: [Database General] Reading possibly nonexistend array key (fman)
- 0002009: [Event viewer] E_NOTICE Undefined index: childNodes (fman)
- 0002046: [Test Specification] TestCase - when new file is upload (in newly created version of TC), white page is shown (schlundus)
- 0002010: [Event viewer] String 'phpmailer_language' is not localized for 'en_GB' (fman)
- 0002039: [Localization] Localization pt_BR (mhavlat)
- 0002038: [Internal issue] automated localization update (mhavlat)
- 0002037: [Test Specification] attachment config for attachment title not working (schlundus)
- 0002032: [Test Specification] Move/Copy Test cases from Suite selection doesn't work (schlundus)
- 0002031: [Keywords] Keyword view + Keyword management not displayed for role leader and senior tester (see bug 0002021 ) (schlundus)
- 0001999: [Reports, Metrics, Export and Print] Index in the Plan Test (mhavlat)
- 0001559: [User Interface General] Because the interlinear space is narrow, the top/bottom of the chars are cut. (mhavlat)
- 0002022: [User Interface General] Various spelling mistakes in the "Test Specification" introductory text (English version) (mhavlat)
- 0002018: [Installer] Migration 1.7 to 1.8 - SQL errors (fman)
- 0002020: [Installer] migration 1.7.3 -> 1.8 - testcase id porblems- Utility to align external ID with internal ID after migration (fman)
- 0002021: [Keywords] Keyword Management screen is not displayed with role leader (schlundus)
- 0002019: [Test Specification] Search test case by Requirement Document ID (fman)
- 0002016: [Installer] Migration from 1.7.3 to 1.8 (mhavlat)
- 0001980: [User Interface General] While attemtpting to upload an image to the server from the Edit Test Case form I get an invalid XML Response (fman)
- 0002017: [TL API] new method - assignRequirements() (fman)
- 0002015: [General] Session Timeout causes the page to give error 404 Not Found (schlundus)
- 0002012: [Reports, Metrics, Export and Print] Query Metrics report crashes (fman)
- 0002014: [Installer] Upgrade from TL 1.7.4 ti 1.8 RC3 : problem with db_schema_update.sql when trying to do insert into role_rights (mhavlat)
- 0002008: [Event viewer] E_NOTICE Undefined index: warning_edit_msg (schlundus)
- 0002013: [General] Disable security message (mhavlat)
- 0001363: [User Interface General] clean up English version of text displayed on Test Case Edit and Archive page (mhavlat)
- 0001591: [Test Execute] MainFrame freezes while loading a large TestSuite (mhavlat)
- 0002000: [Installer] reportCheckingWeb threw some errors during installation (mhavlat)
- 0002002: [Localization] German localization not working (fman)
- 0001996: [Event viewer] Errors in variable names (fman)
- 0001997: [Event viewer] Version Numbers missing in Printing the Test Plan (fman)


Testlink 1.8 RC 3
====================================

- 0001754: [Internal issue] Environment check in extra page (mhavlat)
- 0001862: [Localization] Localization pt_BR (mhavlat)
- 0001554: [TL API] New method - createTestProject (fman)
- 0001718: [Test Plan (builds, milestones, test assign)] When using EXTJS tree filtering by keyword do not prune test suites (fman)
- 0001987: [Localization] Undefined variable in localization files: TLS_copy_to_all_tplans (fman)
- 0001932: [Test Specification] Boldface/italic does not function (schlundus)
- 0001992: [New Feature] Contribution - XLS import - Convert new line characters from XLS to HTML <P></P> in order to let testlink display them correctly (fman)
- 0001991: [Reports, Metrics, Export and Print] XLS import function create_xml_tcspec_from_xls in tclimport.php - incorrect use of variables (fman)
- 0001970: [Test Plan (builds, milestones, test assign)] Remove buttons missing from the Add/Remove Test Cases page. (fman)
- 0001977: [Requirement Management] Incorrect variable name in form submit of resultsReq.tpl file (fman)
- 0001982: [TL API] new method addTestCaseToTestPlan() (fman)
- 0001978: [Test Plan (builds, milestones, test assign)] Problem tree in Assign Test Case execution (schlundus)
- 0001969: [General] The Execute / Results link on Navbar behave in incorrect manner (schlundus)
- 0001967: [Reports, Metrics, Export and Print] SQL Error in Requirements based Report sublinks (fman)
- 0001975: [Test Specification] Copying a Test Case with an Attachment causes an Error (schlundus)
- 0001960: [Users and Rights] The title does not reflect the role anymore (schlundus)
- 0001957: [Reports, Metrics, Export and Print] CT Not executed in Query Metrics (schlundus)
- 0001715: [Localization] German translations (schlundus)
- 0001894: [Installer] DB Migration script for 1.74 to 1.8 RC1 is not functional (fman)
- 0001964: [Test Specification] Test Cases Import/export XML Format - manage Custom fields values (fman)
- 0001945: [Test Execute] Filter Mode - Advanced/Simple (fman)
- 0001739: [User Interface General] Layout of Milestones-GUI (planMilestones.tpl) is not equal to GUI of Plans and project (mhavlat)
- 0001635: [New Feature] Bulk TC Note under Bulk TC status management? (fman)
- 0001936: [Test Plan (builds, milestones, test assign)] Importing Excell with 1 header row and 1 data row fails (fix included) (schlundus)
- 0001956: [Reports, Metrics, Export and Print] Report to display Test Cases linked to a test plan, that has not been assigned to a Tester (fman)
- 0001921: [Requirement Management] Problem with Requirements attachments after migration (fman)
- 0001852: [Requirement Management] Bulk Assignment of Requirements when we already have test cases created (fman)
- 0001868: [New Feature] Ability to assign execution time for a test case (fman)
- 0001938: [Integration with Other Systems] BTS trac and redmine interfaces migration to 1.8 (toshi)
 - 0001926: [Integration with Other Systems] Trac: Unclear configuration (mhavlat)
- 0001939: [Integration with Other Systems] head code: int_bugtracking.php - > system crash (fman)
- 0001933: [Requirement Management] Requirements coverage not escaped in reqView.tpl (schlundus)
- 0001905: [Test Execute] Test Case separator missin Test Case ID in Execution Page (fman)
- 0001928: [Test Specification] Patch: Config option treemenu_show_testcase_id to affect ExtJS testcase tree (fman)
- 0001533: [New Feature] It would be nice to be able to add multiple testcases to a requirement at once (fman)
- 0001452: [User Interface General] Display the result of search testcase in a table or list (fman)
- 0001922: [Test Plan (builds, milestones, test assign)] set urgent tests fails to get information for a suite (fman)
- 0001929: [Internal issue] Build name not correctly escape in exectcnavigator.tpl (schlundus)
- 0001859: [New Feature] Test case search result does not show to which test suite the test case does belong (fman)
- 0001876: [Test Specification] Numbering not shown on execute and test specification (schlundus)
- 0001925: [Requirement Management] Cannot print requirements - PHP error: "Call to undefined function printHeader()" (schlundus)
- 0001920: [User Interface General] Fatal error while printing requirement (schlundus)
- 0001910: [Reports, Metrics, Export and Print] EstimatedExecuteTime is always calculated over the whole testplan (fman)
- 0001860: [Test Plan (builds, milestones, test assign)] Test Case Assignment Page not functioning properly. (fman)


Testlink 1.8 RC 2
====================================

- 0001273: [New Feature] Activity History Log module (schlundus)
- 0001909: [Test Specification] ext-all.css makes not to render the HTML generated from fckeditor (mhavlat)
- 0001901: [Test Execute] Refactor function (executeTestCase()) contributed by manish (fman)
- 0001885: [Requirement Management] Migration from v.1.7.3 - Requirements list empty after migration. (fman)
- 0001655: [Reports, Metrics, Export and Print] Printing the TestPlan with testresult and notes could only work correctly with mySQL-Database (schlundus)
- 0001903: [Users and Rights] Can't assign one user to one project with <no rights> (schlundus)
- 0001454: [Localization] smarty error "unable to read resource: editTc.html" (schlundus)
- 0001900: [Reports, Metrics, Export and Print] Query Metrics will always report on build_id=1 (schlundus)
- 0001902: [Test Execute] Display of button to launch remote execute must obey config parameter (fman)
- 0001851: [Third party software components] pCharts gives divide by 0 error when no test case has been executed (fman)
- 0001896: [General] Add new check on GD PHP extension enabled to avoid bug with pChart (fman)
- 0001847: [Database General] Please increase size of tcversions/steps from TEXT to LONGTEXT (mhavlat)
- 0001897: [TL API] Generation of API Key throws incomplete Audit-Event (schlundus)
- 0001848: [Reports, Metrics, Export and Print] Charts not working (fman)
- 0001891: [General] Error deleting old Events before login (schlundus)
- 0001882: [Reports, Metrics, Export and Print] Bar Charts - order value on X axis using on values displayed criteria (fman)
- 0001881: [Reports, Metrics, Export and Print] Print Test plan - tree never displays (fman)
- 0001861: [Reports, Metrics, Export and Print] When I use Results-->Charts, I got a frozen window (fman)
- 0001866: [User Interface General] inconsistency while checking the email address format (schlundus)
- 0001870: [Reports, Metrics, Export and Print] Error - Query Metrics (schlundus)
- 0001697: [Reports, Metrics, Export and Print] Results generating blank reports, Charts timing out (fman)
- 0001530: [Reports, Metrics, Export and Print] Charts are not working in TL1.8 Beta1 (fman)
- 0000512: [Requirement Management] Cannot view test cases which are not marked to any requirements (fman)
- 0001593: [Reports, Metrics, Export and Print] Testcase ID displayed in results should be using external ID instead of the testcase id from the database


Testlink 1.8 Release Candidate 1 (include Beta releases)
=========================================
- 0001821: [TL API] Re: bug 1698 The 'better' solution still causes error. (fman)
- 0001741: [User Interface General] Help-Button (left frame) within Test urgency shows inappropriate help text (mhavlat)
- 0001841: [Requirement Management] DocBook import for requirements (mhavlat)
- 0001815: [New Feature] Contribution of GForge bugtracking integration files (fman)
- 0001794: [Test Plan (builds, milestones, test assign)] The Test Plan assign page doesn't return correct results when Assigned to Parameter is used. (schlundus)
- 0001805: [Users and Rights] Memory and Performance for large number of users prevents reasonable usage of "Assign User Roles" (schlundus)
- 0001827: [Test Specification] Clicking link to (edit) test project name generates error. (schlundus)
- 0001830: [Test Specification] Edit Test Case(s) Fatal error (fman)
- 0001826: [Event viewer] Allow delete of events from user interface (fman)
- 0001789: [Test Execute] cvs head 10-09-08. Call to a member function getDisplayName() on a non-object error. (schlundus)
- 0001745: [Test Plan (builds, milestones, test assign)] documentation <-> reality discrepancy in planUrgency (mhavlat)
- 0001737: [Documentation (Install, User Manual, help)] small documentation correction in requirements needed (mhavlat)
- 0001807: [Reports, Metrics, Export and Print] Integrate pChart in TestLink (fman)
- 0001816: [Installer] Migration from 1.7 -> 1.8 Beta3 does not create two tables (fman)
- 0001699: [General] config.inc.php uses undefined constants which lead to NOTICEs (fman)
- 0001778: [TL API] Contribution: implement getTestSuitesForTestPlan() in xmlrpc.php (fman)
- 0001692: [User Interface General] Possibility to configure different webeditor in different TL sections/areas (fman)
- 0001695: [Test Execute] Importing Results (fman)
- 0001670: [New Feature] Contribution - Using Custom Field to obtain estimated time on testplan report. (fman)
- 0001320: [Test Plan (builds, milestones, test assign)] Cannot create TestPlan properly (fman)
- 0001537: [TL API] TL API issue with the XMLRPC method : getTestCaseIDByName (azl)
- 0001296: [TL API] API table refactoring (azl)
- 0000841: [Localization] LOCALIZE: requirement was successfully LOCALIZE: assigned! was shown (azl)
- 0001333: [Localization] "LOCALIZE: builds_description" text displayed on the build management page! (azl)
- 0001548: [User Interface General] Localization issue - Changing the launguage to "English(US)" - missing string (azl)
- 0001472: [TL API] APIErrors.php missing require_once statement for common.php / lang_api.php (azl)
- 0001802: [TL API] Update Testlink API Documentation (azl)
- 0000843: [Localization] LOCALIZE: menu_edit_user shown (azl)
- 0001491: [Localization] TLS_link_bts_create_bug not defined for en_US locale (azl)
- 0001742: [User Interface General] Help-Button (left frame) within /planTCNavigator.php?feature=tc_exec_assignment shows inappropriate help text (mhavlat)
- 0001756: [Test Execute] Execute forum filter inconsistent (mhavlat)
- 0001797: [Custom fields] Cannot filter executables by custom field (fman)
- 0001573: [Requirement Management] Requirement Scope field is not shown in edit screen (schlundus)
- 0001645: [Requirement Management] Empty Requirements is displayed in Assign Requirements Pop-up (schlundus)
- 0001783: [Requirement Management] edit Requirements throws different SQL Errors (schlundus)
- 0001611: [TL API] php client example is missing php closing tag (schlundus)
- 0001582: [User Interface General] double quotes not right displayed in execute test screen (schlundus)
- 0001762: [Internal issue] resultsSend.tpl and resultsSend.php seems to be obsolete and should be removed (schlundus)
- 0001471: [TL API] getTestCaseIDByName in xmlrpc.php missing code to handle testsuite argument (azl)
- 0001307: [Test Execute] Assign test Case execution - Bulk user assignment does not work (fman)
- 0001765: [New Feature] Bulk Assignment for Assigning Test Case Execution (fman)
 - 0001720: [User Interface General] "Bulk user assignment" - the button for feature "check all" is not recognizable as a button (fman)
  - 0001764: [New Feature] assign all the test cases to a user in one go. (fman)
  - 0001426: [Test Plan (builds, milestones, test assign)] "bulk user assignment" on all underlying testsuites (fman)
- 0001759: [Event viewer] When open calendar, it strechts till got windows (schlundus)
- 0001760: [Event viewer] if date is not a valid date, calendar gives weird message (schlundus)
- 0001781: [Requirement Management] Cannon open requiremen document from "Assign Requirements" page. (schlundus)
- 0001676: [Reports, Metrics, Export and Print] Database ID for requirement is printed (schlundus)
- 0001776: [Reports, Metrics, Export and Print] If one chooses a TP in resultsNavigator.php then the combo box remains empty and no TP's can be selected (schlundus)
- 0001775: [Reports, Metrics, Export and Print] The Email Subject is having the incorrect Test Plan Name (schlundus)
- 0001735: [Test Specification] Error on Importing xls Test cases (fman)
- 0001299: [TL API] API: User rights && Test_Plan open must be checked (azl)
- 0001211: [Reports, Metrics, Export and Print] Print Test Plan must include Test Plan description (schlundus)
- 0001485: [Reports, Metrics, Export and Print] Emailing reports does not work (schlundus)
- 0001757: [General] DB events cleanup (schlundus)
- 0001017: [Integration with Other Systems] garbled characters in Bugzilla integration (fman)
- 0000550: [Internal issue] Add Test Case(s) / Remove Test Case(s) still needed? (schlundus)
- 0001708: [Custom fields] Export Custom fields definition in XML format (fman)
- 0001746: [Test Plan (builds, milestones, test assign)] Wrong action for Root node of planUrgency (fman)
- 0001451: [Test Specification] Edit test case: increase the html area size (schlundus)
- 0001728: [Requirement Management] SQL Error when clicking on "Create Testcases" on a ReqSpec which has no requiremenrs (fman)
- 0000025: [Test Execute] [SF 1243217 ] provide filter by priority while in test execution mode (mhavlat)
- 0001740: [Test Specification] If the TC-Prefix contains non_alphanumeric charactes SQL errors occurs in planUrgency.php (fman)
- 0001734: [Requirement Management] Number of Tcs and Req are not correct in certain cases (schlundus)
- 0001732: [Requirement Management] Deleting an Requirement succeeds but simply shows a white page (schlundus)
- 0001731: [Requirement Management] missing stripslashes of $_REQUEST in reqEdit.php (initArgs) is causing backslashes.... to repeat (schlundus)
- 0001729: [0 - Undefined] Missing File? inc_jsCfieldsValidation.tpl (fman)
- 0001724: [User Interface General] Testcaseprefixes not correctly escaped in projectview.tpl if they contain HTM Code -> HTML code injection possible (schlundus)
- 0001723: [User Interface General] Testproject Names not correctly escaped in planEdit.php if it contains special chars like " -> HTML code injection possible (schlundus)
- 0001722: [User Interface General] Testplan Names not correctly escaped in planEdit.php if it contains special chars like " -> HTML code injection possible (schlundus)
- 0001725: [User Interface General] Special chars like ' in ProjectNames are not correctly escape when using EXTJS-Tree (schlundus)
- 0001721: [User Interface General] Special chars like ' in ProjectNames are not correctly escape when using EXTJS-Tree (schlundus)
- 0001717: [Reports, Metrics, Export and Print] 'Requirements based Report' has a link to a mis-named directory (fman)
- 0001716: [Test Plan (builds, milestones, test assign)] Add Test Cases: navigation filter causes MySQL error for keyword 'AND' update (fman)
- 0001701: [Documentation (Install, User Manual, help)] User Manual Spelling mistakes (mhavlat)
- 0001788: [Test Execute] Call to undefined function in treeMenu.inc.php
- 0001726: [Test Project Management] Can't create new project with 1.8beta3 (schlundus)

- 0000537: [Internal issue] Discussion: Priority = Urgency + Importance (mhavlat)
- 0001675: [Reports, Metrics, Export and Print] Not possible to print test plan (fman)
- 0001661: [Third party software components] Remove from user interface "Reorder Button" if tree component support drag & drop (fman)
- 0001660: [Third party software components] EXTJS Tree component will be default (fman)
- 0001656: [User Interface General] EXTJS-Tree viewing is inside a small fix-sized frame = 300 x 250px (fman)
- 0001639: [User Management] >User>Assign Test Plan Role - error msg upon change of test plan from drop-down selection (fman)
- 0001638: [User Interface General] Cannot close the 'Test Plan' help box (mhavlat)
- 0001600: [Reports, Metrics, Export and Print] Remove report: Overall Build Status (mhavlat)
- 0001581: [User Interface General] navigation tree is not stretched (fman)
- 0001521: [User Management] testlink 1.8 : unable to create a new User with the latest build (schlundus)
- 0001475: [Requirement Management] Unable to Create new requirements (schlundus)
- 0001473: [Database MySQL] SQL Error on importing testcases (schlundus)
- 0001410: [0 - Undefined] OpenLDAP authentication failure during login (mhavlat)
- 0001253: [Documentation (Install, User Manual, help)] How is the milestone feature supposed to work ? (mhavlat)
- 0001070: [Reports, Metrics, Export and Print] Ability to disable superfluous animations on "flash" reports (mhavlat)
- 0001680: [Custom fields] Custom fields to be used on Test plan design (testcase assignment to testplan) (fman)
- 0001602: [Database MySQL] MyISAM engine always used (fman)
- 0001455: [User Interface General] Ability to change Testplan in Result frame. (mhavlat)
- 0001574: [Test Execute] Error when clicking on Show Test Cases newest version (fman)
- 0001352: [Localization] Missing help entry in texts.php for TestPlan-UpdateTCs (mhavlat)
- 0001351: [Localization] Missing help entry in texts.php for TestCase-UserAssigment (mhavlat)
- 0001568: [Test Plan (milestones, test assign)] Update ALL test case version linked to test plan with one click (fman)
- 0001565: [Localization] Unable to execute the test cases (mhavlat)
- 0001522: [TL API] testlink 1.8: incorrect order of require_once(...) in xmlrpc.php (FIX include) (mhavlat)
- 0001280: [Installer] important detail missing from upgrade instructions (fman)
- 0000491: [New Feature] Request (Test Specification) Bulk move (drag & Drop) (fman)
- 0001309: [Test Specification] updating test cases requires tedious steps to update test plans and assignments (fman)
- 0001305: [Reports, Metrics, Export and Print] feature request: printed test plan includes title of test plan (fman)
- 0001302: [Installer] REQUEST - Migration from 1.7.x to 1.8.0 - Test Case Prefix Issue (fman)
- 0001315: [Test Project Management] Links in navbar do not work (User Administration | Personal ) (fman)
- 0001416: [Test Execute] Configure behaviour of Left Side pane when click on Test Suite (fman)
- 0001414: [Reports, Metrics, Export and Print] Refactoring of reports to show results on new user defined testcase status (fman)
- 0001008: [Test Execute] Browser hangs when choosing to execute test case and next test case id is non-existant (fman)
- 0001534: [Integration with Other Systems] Small addition to the integration with Mantis (Issue status - color) (fman)
- 0001411: [Database General] Wrong table defintion for the requiremtns tables (fman)
- 0001507: [Test Execute] Keywords Filter - Allow multiselect (fman)
- 0000095: [General] HELP & INSTRUCTION localization (mhavlat)
- 0001555: [Reports, Metrics, Export and Print] Adapt to new used defined execution results (fman)
- 0001342: [Requirement Management] assignReqs.html is missing for help/en_UK (mhavlat)
- 0001530: [Reports, Metrics, Export and Print] Charts are not working in TL1.8 Beta1 (fman)
- 0001535: [General] Fatal error: Call to undefined function getUsersForHtmlOptions() in lib/functions/results.class.php (fman)
- 0000675: [Test Specification] When creating a Test case, init display order to last test in group (fman)
- 0001500: [Test Specification] When I create Test Cases the execution type is always "Automated" (fman)
- 0001505: [User Management] The user management allows you to delete the Admin (mhavlat)
- 0001520: [Reports, Metrics, Export and Print] Printe Test Project Specification - Test Case Custom Fields (fman)
- 0001516: [User Interface General] BTS "redMine" Interface (toshi)
- 0001518: [Reports, Metrics, Export and Print] In the feature of printing test plan, call to undefined function createtestinput() (fman)
- 0001357: [User Interface General] Provide users with access to help (fman)
- 0001492: [Test Execute] Clicking again the executed test case will cause the page to hang. (fman)
- 0001515: [Reports, Metrics, Export and Print] Can not print company name and logo in Test Plans (fman)
- 0001497: [User Interface General] Enhance TC order update (fman)
- 0001496: [User Management] Creating user with any role displays the user's role as "guest" role in "Edit User" page and user successful creating page. (fman)
- 0001352: [Localization] Missing help entry in texts.php for TestPlan-UpdateTCs (mhavlat)
- 0001351: [Localization] Missing help entry in texts.php for TestCase-UserAssigment (mhavlat)
- 0001477: [Reports, Metrics, Export and Print] Total Bugs For Each Test Case report ERROR ON exec_query (fman)
- 0001463: [0 - Undefined] Bad link to import TestCases (fman)
- 0001470: [User Interface General] Event Detail windows doesn't show up with IE (schlundus)
- 0001466: [Localization] Set default language other than en_GB in config. inc.php cause an error (schlundus)
- 0001446: [Test Plan (milestones, test assign)] feature: specify order of test cases in a test plan (fman)
- 0001465: [Reports, Metrics, Export and Print] Try to show Test Plan with print option pass/fail set on cause an error (mhavlat)
- 0001444: [Integration with Other Systems] Bugzilla - testlink coupling with 2 seperate postgres dbs has problems with schemes + small issue with short description (fman)
- 0001447: [Test Project Management] Builds are associcated with Test Plans, should be associated with Projects (fman)
- 0001459: [Test Specification] Allow copy/move of selected testcase from a test suite (fman)
- 0001457: [Test Plan (milestones, test assign)] Linking a new version of a testcase to a testplans clear the test case assignment (fman)
- 0001449: [Test Plan (milestones, test assign)] Option to create Build on ALL test plans in one test project (fman)
- 0001442: [Requirement Management] possibilty to view requirements (fman)
- 0001427: [Test Plan (milestones, test assign)] Assigning testcases, add "Assigned to" in the "navigation filter & settings area" (fman)
- 0001420: [TL API] Contribution: add getTestCasesForTestPlan() web method to TL API (fman)
- 0001421: [TL API] Sending an invalid/non-existant buildid causes TL API to respond with an empty xml data structure (fman)
- 0001424: [Installer] Add warnings about items that need to be configured using custom_config.inc.php (fman)
- 0001256: [General] TestLink - API: The reportTCResult web method accepts a "note" parameter but does not actually persist it (azl)
- 0001059: [Reports, Metrics, Export and Print] CSV Requirements import lexicographically. (fman)
- 0001056: [Test Execute] Test Plan - (Tree) - Showing 0 test cases to execute / Test cases are assigned to test plan. (fman)
- 0001338: [Installer] Installer does not warn that /logs is not writable but does it for templates_c (fman)
- 0001408: [Test Specification] Re-ordering test cases does not work under Navigator - Test Specification. (fman)
- 0001407: [User Management] SQL error occurs if role name is already exist. (schlundus)
- 0001399: [Requirement Management] Can't create test case from requirement. (schlundus)
- 0001402: [Requirement Management] Some errors anf notices when creating TestCases for Requirements (schlundus)
- 0001403: [Localization] German Localization for HEAD (schlundus)
- 0001401: [User Management] User cannot be changed by other users (admins) (schlundus)
- 0001287: [Custom fields] Label for Custom Fields doesn't show MultiByte characters correctly (schlundus)
- 0001339: [User Management] Wrong links in userInfo.tpl (change personal infos) (fman)
- 0001319: [General] General problem with wrong filenames in navigation (fman)
- 0001114: [Test Plan (milestones, test assign)] Milestones are out of work (schlundus)
- 0001397: [Test Plan (milestones, test assign)] Can't create milestone after bad input of priority (schlundus)
- 0001386: [User Management] Can't change admin's password (fman)
- 0001385: [General] tcEdit.php contains echo debug output (mhavlat)
- 0001343: [0 - Undefined] Wrong link and/or missing module (mhavlat)
- 0001373: [User Interface General] Link to User Administration page is not correct. (schlundus)
- 0000754: [Integration with Other Systems] Integration with Seapines TestTrack Pro (fman)
- 0001369: [User Management] Link to Personal page is not correct. (fman)
- 0001354: [Installer] cannot install TL1.8(cvs head 2008/02/05) (schlundus)
- 0001353: [Database General] Configure ADODB to use only assoc fetch method (fman)
- 0001316: [User Management] User Administration -> View Users: Fatal error: Call to undefined method APIKey::getapikeys() (mhavlat)
- 0000616: [Internal issue] Localization should be more flexible (schlundus)
- 0001341: [0 - Undefined] Wrong link to templates/requirements/inc_btn_ReqSpecView.tpl (fman)
- 0001340: [General] Usablility: Do not use "bold" for links @ hover (fman)
- 0000895: [New Feature] Display test case version (fman)
- 0001313: [Test Specification] Search for TestCaseID without prefix causes an error (fman)
- 0000257: [Test Specification] Test case Numbering unique to product. (fman)
- 0000674: [Test Specification] Test cases id should be incremented by 1. (fman)
- 0001298: [TL API] User should generate API key (mhavlat)
- 0001327: [Test Plan (milestones, test assign)] Option to create new copies of test cases when creating a new test plan based on an existing one (fman)
- 0001321: [Reports, Metrics, Export and Print] Metrics Dashboard reports % results with 12 digits of accuracy; 0 are needed (fman)
- 0001325: [Installer] Cannot install SNAPSHOT-HEAD-2008-01-23 (fman)
- 0001317: [User Management] Generation of APIKey impossible due to erroneous SQL Query (mhavlat)
- 0001324: [Test Execute] More statuses in status list (fman)
- 0001312: [Test Specification] Undefined variable: args in .../lib/testcases/containerEdit.php on line 434 (fman)
- 0001297: [User Interface General] Show test project id when editing on projectEdit.php page for API usage (azl)
- 0001291: [User Interface General] Show test project ids on projectView.php page for API usage (azl)
- 0001292: [User Interface General] Show build ids on buildViewphp page for API usage (azl)
- 0001290: [User Interface General] show testplan ids for using the API (azl)
- 0001244: [Installer] windows oriented string in code _'C:\errors.log'_ (azl)
- 0001276: [Test Execute] Make notes-field selectable (fman)
- 0001268: [Test Plan (milestones, test assign)] FEATURE - Possibilty to change data display order (fman)
- 0001267: [Test Specification] Unhelpful error message when Test Case creation fails (fman)
- 0001156: [General] Uploading file greater than 1048576 Bytes has no error message (schlundus)
- 0001033: [Localization] When I change a locale, English(UK)->Japanese->English(UK),Instruction pages is Japanese. (fman)
- 0001259: [Test Specification] Create Testsuite - Possibility to preload testsuite details with template (fman)
- 0001235: [Test Specification] Can't Create Test Case after creating a testSuite (fman)
- 0001258: [Test Specification] Specify TOP or BOTTOM position when copying/moving Test suites (fman)
- 0001232: [Test Execute] Notes field in Test Execution (fman)
- 0001248: [User Interface General] Moving test-case to another Test-suite --> no control where it should end-up. (fman)
- 0000002: [New Feature] TL API - RTP/XML (azl)
- 0001045: [New Feature] Print Test Case with Requirements and Keywords (mhavlat)
- 0000896: [Test Plan (milestones, test assign)] Contribution: Creating a new test plan - use last test case version (fman)
- 0000966: [Reports, Metrics, Export and Print] Wrong test execution state in report "Test Report" (mhavlat)
- 0000947: [New Feature] Enhacements in requirement specification (fman)
- 0001194: [Requirement Management] Manage requirements using tree interface like test specification management (fman)
- 0001204: [Test Plan (milestones, test assign)] Add / remove test cases to/from test plan - feature to act on all test case displayed (fman)
- 0000937: [Third party software components] build a fckeditor replacement (fman)
- 0001216: [User Interface General] Config. option to choose Web editor type, including no editor (fman)
- 0001190: [Custom fields] includedd URL's not always active (fman)
- 0000189: [Test Specification] TL NEXT GENERATION - Test Case Specification and Test Case on Test Plan (fman)
- 0001145: [Custom fields] add customizable field to Requirements (fman)
- 0001182: [Internal issue] Update FCK Editor to the current version (fman)
- 0000778: [Test Execute] Show execution history for all builds (fman)
- 0001181: [Internal issue] Update ADOdb to the latest version (fman)
- 0001180: [Internal issue] Update Smarty template to the current version (fman)
- 0000885: [Test Execute] Test case coloring in execute tree not available (DTREE + PHPLAYERS tree managers) (fman)
- 0000901: [User Interface General] Test Plan contents: displays LOCALIZE: href_newest_tcversions (fman)
- 0000990: [Reports, Metrics, Export and Print] Order of build numbers by name of the build and not by version number (fman)
- 0001106: [General] -ExcelSheet and TestLink (fman)
- 0001171: [Test Plan (milestones, test assign)] Open state is not correctly displayed in the builds overview (schlundus)
- 0001166: [Database MS-SQL] SQL DB does not connect. (fman)
- 0001165: [Test Specification] Test Case specification - Possibility to apply default text for summary,steps, expected results (fman)
- 0000498: [New Feature] the Headlines of the Test Project should ordered by time. (fman)
- 0000700: [New Feature] Show build in execution history (fman)
- 0000771: [Database MySQL] Migrate 1.6 -> 1.7 incorrect (When data in 1.6 DB store in UTF-8) (fman)
- 0001133: [Localization] E-Mails send by Testlink have charset="LOCALIZE: charset" set (fman)
- 0000984: [Test Plan (milestones, test assign)] would be helpful to have the test plan drop-down availiable on all pages (fman)
- 0000776: [User Management] Update button does nothing in UserAssign pages (fman)
- 0000693: [Test Specification] Senior tester can manage test projects - wrong (fman)
- 0001111: [New Feature] Addition of new feature - Converting Excel file to Xml and uploading in testlink (fman)
- 0001161: [General] duplicate functions exist in string_api.php causing usersedit.php to be inaccessible (azl)
- 0001150: [Localization] localize fix_tplans page (azl)
- 0001148: [General] fix_tplans.php should only show active test plans (azl)
- 0001116: [Database MS-SQL] MSSQL - The reports are not displaying the actual result of tests. the result just appears like `NOT RUN` (fman)
- 0001146: [Custom fields] hyperlinks in Custom fields (string and text box) (fman)
- 0000925: [Database Postgres] can not import test suites and test cases (schlundus)


Testlink 1.7.5
=========================================

- 0001458: [User Interface General] Align text in testcase (field: Expected Results) (mhavlat)
- 0002082: [Requirement Management] HELP TEXT Changes - Text Editing Needed In (Assign Requirements to Test Case) (mhavlat)
- 0001560: [Internal issue] Missing file - "testlink/gui/css/tl_treemenu.css" (mhavlat)
- 0001364: [User Interface General] clean up English version of text displayed on Test Case Edit and Archive page - en_US (mhavlat)
- 0001837: [Requirement Management] Contribution: remember SRS for REQxTC assignment (mhavlat)
- 0001811: [Keywords] error while uploading keywords in CSV format (fman)
- 0001801: [Reports, Metrics, Export and Print] In a Test Project the Charts functionality of the Test Reports and Metrics doesn´t work correctly (fman)
- 0001681: [Test Execute] Blocked status as default state for result (mhavlat)
- 0001687: [Test Execute] Execution CT (mhavlat)
- 0001469: [Integration with Other Systems] Trac bug Integration links (toshi)
- 0001468: [Integration with Other Systems] Access to Bug Tracking System link (toshi)
- 0001604: [Localization] Brushing Up Japanese Translation (toshi)
- 0000997: [Test Execute] REPORTS - Pass / Fail and Test Notes fields are empty . (mhavlat)
- 0001561: [Internal issue] Missing folder - "testlink/javascript" (mhavlat)
- 0001562: [Localization] Chinese simplified localization (zh_CN) for TestLink 1.7.4 (mhavlat)
- 0001488: [Reports, Metrics, Export and Print] Would like a <BR> between test case blocks on the test plan print output. (mhavlat)
- 0001445: [Localization] New version of fr_FR strings (mhavlat)
- 0001419: [TL API] TL 1.7.4 - Unescaped Html chars in the field Testplans.Notes causing data deserialization issues when using TL API. (fman)
- 0001417: [Test Plan (builds, milestones, test assign)] Can not edit a Test Plan if there is a trailing space in the test plan name (fman)
- 0001257: [General] Test Link demo (azl)
- 0001516: [User Interface General] BTS "redMine" Interface (toshi)
- 0001113: [General] Update testlink.org public demo pages (azl)


Testlink 1.7.4
=========================================

- 0001395: [Test Plan (milestones, test assign)] Builds should be "open" and "active" by default when they are created. (schlundus)
- 0001348: [Test Execute] Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 16 bytes) in common..php (tuergeist)
- 0001173: [Localization] French localization (mhavlat)
- 0001366: [User Interface General] add descriptive text to the Update Build screen (mhavlat)
- 0001361: [User Interface General] add cancel button to Test Project Management page (mhavlat)
- 0001360: [User Interface General] add cancel button to Build Management page (mhavlat)
- 0001359: [User Interface General] clean up English version of text displayed on Build Management page (mhavlat)
- 0001358: [User Interface General] clean up English version of text displayed on Test Plan Management page (mhavlat)
- 0001365: [User Interface General] clean up English version of text displayed on Print Test Specification page (mhavlat)
- 0001372: [Localization] Czech localization (mhavlat)
- 0001282: [Documentation (ICG, User Manual)] Some configuration parameters on ICG manual are obsolete. (mhavlat)
- 0001283: [Documentation (ICG, User Manual)] Specified versions for TrackPlus, Eventum and Trac. (mhavlat)
- 0001284: [Documentation (ICG, User Manual)] It may be impossible to specify log filename. (mhavlat)
- 0001334: [Test Specification] `echo "W-";` line in `testlink\lib\functions\treeMenu.inc.php` (fman)
- 0001336: [User Interface General] Using DTREE, W-W-W-W-W-W-W-W-W-W-... appears in the navigation tree (fman)
- 0001169: [Localization] Brazilian localization (fman)
- 0001328: [Database MySQL] Test Case Title not being maintained when updating from 1.6.2 to 1.7.3 (fman)
- 0001241: [Installer] Migration 1.6.3-1.7.2 Misses Test Case Names (fman)
- 0001295: [Integration with Other Systems] Refactoring BTS 'Trac' interface (toshi)
- 0001049: [Installer] Upgrade installation from 17RC3 to 17_final / DB error (azl)
- 0001286: [Localization] Typo in "succesful" => should be "successful" (schlundus)
- 0001274: [Requirement Management] Wrong XML Format for Requirement Import (schlundus)

Testlink 1.7.3
==========================
- 0001242: [Installer] Misdescription of Migration Title in Installer Menu (fman)
- 0001239: [Installer] PHP postgreSQL extension is not "posgres" but "pgsql" (fman)
- 0001135: [Localization] polish translation/localization (mhavlat)
- 0001240: [Database MS-SQL] Requirement assignment is unworking with MS-SQL (schlundus)
- 0001238: [Localization] Missing Localization in de_DE (schlundus)
- 0001230: [Reports, Metrics, Export and Print] Query metrics shows up warning message. (schlundus)
- 0001234: [Integration with Other Systems] Contribution - BTS "Trac" integration (toshi)

Testlink 1.7.2
=================================================
- 0000777: [Test Specification] txt attachment for test case can't be view online. (schlundus)
- 0001054: [Test Specification] IE7 and Attachment downloads (schlundus)
- 0000866: [Custom fields] Assigning keyword in Testcase-specification makes layout jump (schlundus)
- 0001226: [Custom fields] Adding custom field results in error (MSSQL) (schlundus)
- 0001209: [Keywords] Primary key error when adding keywords to test suites. (schlundus)
- 0000960: [Reports, Metrics, Export and Print] Undefined constant link_to_bts in resultsBugs.php (kevin)
- 0001195: [Localization] Help files - German Translation (schlundus)
- 0001112: [Installer] Requirements coverage migration from 1.6.3 to 1.7.0 final (mhavlat)
- 0001125: [Installer] Upgrading database from 1.62 to 1.7 fails (azl)
- 0001227: [Integration with Other Systems] Contribution - Eventum BTS interface (mhavlat)
- 0000558: [Test Specification] Edit Test Case - Bottom "Update" button doesn't line up and white boxes (fman)
- 0001215: [Reports, Metrics, Export and Print] Contribution - patch metric_dashboard.php to only show testplans related to selected testproject (fman)
- 0001063: [Reports, Metrics, Export and Print] In "Requirements based report", Requirement title is shown instead of Testcase title (fman)
- 0000982: [Reports, Metrics, Export and Print] Graphs are out of plot area (mhavlat)
- 0000938: [Reports, Metrics, Export and Print] Overall Build Status and Test Report are WRONG (mhavlat)
- 0001189: [Custom fields] Deleting Custom field gives errors on the screen -- functionality works (fman)
- 0001214: [Database Postgres] postgres reject timestamp (mhavlat)
- 0001206: [Localization] Edit/Delete Requirement Specification Document title might have to modified (mhavlat)
- 0001185: [Reports, Metrics, Export and Print] missing data in test plan print (mhavlat)
- 0001122: [Documentation (ICG, User Manual)] The help file's css of "Test reports and Metrics" (mhavlat)
- 0001131: [Internal issue] Favicon.ico errors in log. (fman)


Testlink 1.7.1
=================================================
- 0000740: [Installer] MSSQL installation error (fman)
- 0000726: [User Interface General] Putting in a Test Case number in the Test Case ID on the main page causes and SQL Crash (schlundus)
- 0001160: [Database General] Meaning of active and is_open fields, must be clarified (mhavlat)
- 0001026: [Reports, Metrics, Export and Print] Inactive Builds are listed as active build (mhavlat)
- 0001139: [Test Plan (milestones, test assign)] Impossible to assign TC to User (fman)
- 0001154: [Documentation (ICG, User Manual)] Online documentation not in line with design. (mhavlat)
- 0001094: [Third party software components] Implementation of DTREE seems to be incomplete (fman)
- 0000953: [User Interface General] DTREE causes error when adding test cases to a test plan (schlundus)
- 0001138: [Test Plan (milestones, test assign)] Version 1.7.1 Unable to assign Test Cases to Test Plan (schlundus)
- 0000821: [General] several problems after migration from 1.6RC2 (azl)
- 0000683: [User Management] trouble while assign user roles (mhavlat)
- 0001130: [Internal issue] After upgrading from 1.7 rc3 to final we are seeing missing gui/css/tl_treemenu.css in the log (schlundus)
- 0001079: [Test Project Management] Permissions management (schlundus)
- 0001015: [Localization] Japanese Translation (fman)
- 0001115: [Requirements Coverage] Requirement counter losts function (mhavlat)
- 0000865: [Reports, Metrics, Export and Print] "Metrics of Active Build" missing in Resultpage (mhavlat)
- 0001099: [Database MS-SQL] Setup is not working with SQL SERVER. (fman)
- 0001109: [Database MS-SQL] Syntax error near open - OPEN is reserved word on MSSQL (fman)
- 0000701: [Database MS-SQL] Unable to connect to MSSQL (fman)
- 0000480: [Reports, Metrics, Export and Print] MS Word print not working properly (mhavlat)
- 0000835: [User Interface General] Definition of "Requirement Specification" is confusing (mhavlat)
- 0000832: [Documentation (ICG, User Manual)] No User Manual found after new installation (mhavlat)
- 0001110: [Keywords] Keywords Migration from 1.6.3 to 1.7.0 final (azl)
- 0001107: [Internal issue] Set up nightly tarball builds for 1.7 branch (azl)
- 0001021: [User Interface General] Test Plan list should be filtered based on selected Test Project (azl)
- 0001103: [User Management] Should alternate row colors for usersassign pages (azl)
- 0001095: [Test Project Management] List Test projects by name (azl)
- 0001093: [General] Security issue: authorization not enforced (azl)
- 0001086: [General] File attachment mechanism (fman)
- 0001078: [General] Assign test module (fman)
- 0001069: [Reports, Metrics, Export and Print] sorting in The Overall Build Status (fman)
- 0000893: [Custom fields] Requirement based report generating inaccurate result (schlundus)
- 0001004: [User Interface General] OK buttton is not properly aligned in TestLink 1.7.0 RC-3 (schlundus)
- 0001006: [Reports, Metrics, Export and Print] Localize:enter_start time & Localize:enter_end time features missing in Query matrices. (schlundus)
- 0001065: [User Management] Maxlength attribute for Passwords fields in userinfo.php are not correctly set (schlundus)
- 0000790: [Installer] Upgrade TC from V1.6.3 to V1.7.0 RC1 (fman)
- 0001036: [User Management] description for Role is in incorrect place (mhavlat)
- 0001061: [Test Plan (milestones, test assign)] Build notes -bad formatting on build list (fman)
- 0001042: [Test Plan (milestones, test assign)] LOCALIZE: no_linked_tcversions in "Newest versions of linked Test Cases" page (fman)
- 0001043: [Test Execute] Some JS problems with nifty cube on IE (fman)


Testlink 1.7.0 final
============================
- 0000768: [Requirements Coverage] importing requirements as csv requires the file to have a .txt extension (azl)
- 0000626: [Database MySQL] "Fatal error" after enabling 'MAIN_PAGE_METRICS_ENABLED' in config.inc.php (fman)
- 0001041: [User Interface General] tc_exec_assignment.php throwas an error (fman)
- 0001039: [User Management] DB problems on assigning test project roles (fman)
- 0000818: [New Feature] Ability to search for custom fields needs to be added (fman)
- 0001037: [Integration with Other Systems] custom_config.inc.php includes JIRA as bug db (azl)
- 0001031: [General] The background of "Results and Metrics"(help file) is white (fman)
- 0001040: [Test Plan (milestones, test assign)] LOCALIZE: no_newest_version_of_linked_tcversions in "Newest versions of linked Test Cases" page (mhavlat)
- 0000992: [Database MySQL] Migration of large data sets does not complete (fman)
- 0001019: [Test Specification] Copying Test Suite and unchecking "including nested data (copy only)" still copies nested data. (fman)
- 0001018: [User Interface General] Not found magnifier.png (fman)
- 0000943: [User Interface General] Wrong label in New Role screen (schlundus)
- 0000956: [General] Bug in XML import (schlundus)
- 0000994: [Reports, Metrics, Export and Print] without "'" (fman)
- 0000973: [Integration with Other Systems] Show actual issuestatus for jira (patch included) (fman)
- 0000989: [Reports, Metrics, Export and Print] Testcases in testreport are ordered by ascending IDs and not by the user-defined rearrangement (fman)
- 0000961: [User Management] Improve information about <inherited> roles, on Test Project and Test plan Assign Role (fman)
- 0000977: [User Management] Automatic refreshing of the userroles after changing testproject / testplan in usermanagement (fman)
- 0000950: [User Management] trouble with changing user roles (fman)
- 0000951: [User Management] Inherit testplan user role from testproject user role (fman)
- 0000974: [User Interface General] "Lost password?" link isn't hidden when LDAP is used for authentication (fman)
- 0000939: [Requirements Coverage] Getting an SQL syntax error if you use apostrophe in requirement spec title and try to create test cases. (fman)
- 0000932: [Test Execute] Improvements on test active/inactive management (fman)
- 0000927: [Test Execute] should display who test is assigned to when executing tests (fman)
- 0000922: [Test Execute] Usability issue: When user presses 'execute tests' - filter tests to present only tests assigned to them by default (fman)
- 0000935: [Test Execute] Configure test cases access according to assigned user, only for TESTERS (fman)
- 0000921: [Test Execute] when executing tests, tests aren't presented in same order in execution pane as they are in navigation tree (fman)

Testlink 1.7.0 RC 3
===========================
- 0000924: [User Management] Administrator can have the option to reset user password (fman)
- 0000809: [Test Plan (milestones, test assign)] Create a new test plan from existing Test Plan cause Notiec Warning (fman)
- 0000704: [Test Specification] copy test cases -> copy attached files (fman)
- 0000917: [Test Execute] pressing "save execution" brings up cf_map -> KEY # and breaks show/hide and help icons on the page (fman)
- 0000911: [Reports, Metrics, Export and Print] failed test cases execution date issue (fman)
- 0000861: [General] milestones database scheme changed? (fman)
- 0000900: [New Feature] Dot in username (fman)
- 0000918: [User Management] 21-Jun build didn't allow one to add new users anymore. (fman)
- 0000916: [New Feature] Customize your configuration without editing standard TL files (fman)
- 0000903: [Test Specification] delete executed testcase is not complete (fman)
- 0000914: [Test Project Management] Delete testproject leaves record on nodes_hierarchy table (fman)
- 0000871: [Database MySQL] SQL Error 1146 - Table 'testlink.testplans_rights' doesn't exist (schlundus)
- 0000881: [Test Plan (milestones, test assign)] Assigning requirements to test cases functionality is broken (schlundus)
- 0000875: [Localization] it_IT - just_last_execution_for_this_build - error (schlundus)
- 0000887: [Test Execute] Would like to be able to execute multiple builds at the same time and define them and not use them yet, (fman)
- 0000892: [General] Reordering (fman)
- 0000890: [Reports, Metrics, Export and Print] If multiple testcases are assigned to a requirement the Requirements based Report is showing only the first one duplicated (schlundus)
- 0000886: [Test Specification] reorder test cases under a testsuit will cause this testsuit become the first node in father level (fman)
- 0000873: [Test Specification] Reordering children moves the parent container to top (fman)
- 0000882: [Requirements Coverage] Would be nice able to define a longer DOC-ID then 16 characters in the GUI. (fman)
- 0000862: [Custom fields] Would be handy to be able to copy over custom field data when copying test cases. (fman)
- 0000707: [Reports, Metrics, Export and Print] Results -> Not run Test Cases -> Click on test case fails (kevin)
- 0000869: [Localization] A bug of "lang_api.php" causes the garble of multi byte character set (Chinese Simplified, etc...). (schlundus)
- 0000711: [Reports, Metrics, Export and Print] Results -> Not run Test Cases -> Column "Run by" (schlundus)
- 0000863: [New Feature] Support configuration in additional file (like mantis) (fman)
- 0000856: [Test Execute] Guest user can execute test case. (fman)
- 0000857: [Test Plan (milestones, test assign)] Not able to add test cases to a test plan (schlundus)
- 0000796: [User Interface General] requirements spec allways show 0 requirements and has error when project is changed (schlundus)
- 0000858: [Requirements Coverage] Getting Errors when switching projects after selecting a requirement's Requirements Specification Pre Edit page. (schlundus)
- 0000854: [Test Project Management] Test project cannot be deleted if name contains a ' (single quote) (fman)
- 0000852: [Custom fields] Assiged custom fields "Name" links go to Editing Custom Fields page but everything is blank. (fman)
- 0000682: [User Management] Assigned Test Project and Test Plan Rights (schlundus)
- 0000820: [User Management] unable to select Test Project if user has only access to one. (schlundus)
- 0000819: [Database MS-SQL] MSSQL database doesn't have custom_fields table (schlundus)
- 0000590: [Test Plan (milestones, test assign)] Update modified test cases feature is not present in testlink1.7.1 as it was in TL1.6 (fman)
- 0000783: [User Interface General] Deleting test cases doesn't remove the TC from the node_hierachy table (fman)
- 0000806: [General] Problems displaying help files in RC 2 (fman)
- 0000798: [General] Help Not working (fman)
- 0000808: [Requirements Coverage] Deleting a test case linked to a req does not delete the link (fman)
- 0000518: [New Feature] Cannot reorder requirements in SRS (fman)
- 0000844: [User Management] 'Leader' role has permissions for 'Requirement management', but on the home page no links for requirements are shown (schlundus)
- 0000839: [Localization] LOCALIZE: req_reorder is shown (schlundus)
- 0000837: [General] Requirement with existing DOC-ID is silently dropped (schlundus)
- 0000792: [Requirements Coverage] 'Test Case' column is empty in Report (schlundus)
- 0000826: [Requirements Coverage] html tags truncated in reqAssign.tpl (schlundus)
- 0000824: [Localization] Possibility to have a custom strings file (schlundus)
- 0000813: [User Interface General] Role assignment permission (schlundus)
- 0000827: [New Feature] A new print option to add a pass / fail and testnotes field (schlundus)
- 0000807: [Requirements Coverage] Requirements Analyze Spec and Results by Requirement show different coverage data (schlundus)
- 0000816: [Installer] Installer deleted all existing tables from database (fman)
- 0000817: [Custom fields] Text Area as a custom field (fman)
- 0000672: [Reports, Metrics, Export and Print] localisation in Charts (schlundus)
- 0000812: [Reports, Metrics, Export and Print] Summary is printed independent on whether summary checkbox is checked or not. (schlundus)
- 0000805: [Integration with Other Systems] int_jira.php getBugSummary() uses incorrect key (fman)
- 0000804: [Integration with Other Systems] DB connection fails if db uses public schema (fman)

Testlink 1.7.0 RC 2
===========================
- 0000770: [General] Incorrect function lang_get() (schlundus)
- 0000766: [Test Execute] Execute - TestSuite attachment information not showed when test case selected in tree. (fman)
- 0000755: [Test Specification] Import Test Suite � fatal error : Cannot redeclare domxml_new_doc() (schlundus)
- 0000772: [User Management] Guest user can not see test cases author (schlundus)
- 0000775: [Custom fields] help returns a warning: Smarty error: unable to read resource (fman)
- 0000773: [Integration with Other Systems] Not possible to add Jira bug ID to test case (fman)
- 0000769: [Integration with Other Systems] Not possible to add Jira bug ID to test case (fman)
- 0000765: [User Interface General] Add test cases to test plan - Check all functionality (fman)
- 0000760: [User Interface General] When using long Test Project names � Not possible to see logout in the bar (fman)
- 0000761: [Localization] refurbished de_DE string.txt (schlundus)
- 0000762: [Test Plan (milestones, test assign)] Test Plan Manager - number of characters inserted in the name field are not limit (fman)
- 0000757: [General] Tree menu � dTree not working in specification (schlundus)
- 0000739: [Test Project Management] Creating project � need refresh to see it in combo box list (fman)
- 0000710: [Test Specification] test suite order after copy (fman)
- 0000570: [Database MS-SQL] Copy of nested test suites corrupts the suite structure (fman)
- 0000750: [Keywords] Notice and warning messages when importing keywords from CSV file (schlundus)
- 0000738: [Database MySQL] Issue in migration from testlink1.6 to testlink1.7 (fman)
- 0000727: [Reports, Metrics, Export and Print] Results - "The Overall Build Status" report � Not Run with incorrect percentage (schlundus)
- 0000743: [Reports, Metrics, Export and Print] Regarding 'Analyse Requirements specifications' report. (schlundus)
- 0000689: [Reports, Metrics, Export and Print] Print Test Plan - Show Document Header - 1st (schlundus)
- 0000687: [General] Unable to import Testsuite,Testcase (schlundus)
- 0000690: [Reports, Metrics, Export and Print] Print Test Plan - Show Test Case Summary (schlundus)
- 0000691: [Reports, Metrics, Export and Print] Print Test Plan - Show Test Case Body (schlundus)
- 0000733: [General] Login � Logout text with background color (schlundus)
- 0000731: [Test Plan (milestones, test assign)] Creating from existing Test Plan � Undefined index (fman)
- 0000732: [General] Message - Upload file success message in red (fman)
- 0000725: [User Management] Administrator able to add new users with out a role defined. (schlundus)
- 0000723: [User Management] Administrator is able to set up a user with no Password (schlundus)
- 0000724: [User Management] Administrator able to add new user with out an email address (schlundus)
- 0000722: [General] Attachement | Delete icon shows tooltip "Click here to delete this build" (fman)
- 0000705: [Test Execute] Execute � filter by result � filters history not actual result state (fman)
- 0000714: [Test Specification] Specification � When creating Test Suite/Case � focus in name/title (schlundus)
- 0000655: [User Interface General] $g_username_format seems to have no impact (schlundus)
- 0000703: [Integration with Other Systems] Integration with mantis mssql - Undefined offset (fman)
- 0000676: [Custom fields] Unable to unset options from testcase (fman)
- 0000708: [Installer] Set minimun PHP version to 5.2.0 (fman)
- 0000702: [Integration with Other Systems] Integration with mantis mssql - Invalid object name (fman)
- 0000695: [New Feature] hide "New User?" link on start page (fman)
- 0000698: [Installer] MSSQL Installer - Create priorities field is wrong (fman)
- 0000600: [User Interface General] Potential misleading user interface in Add Test Cases to TP (fman)
- 0000646: [User Management] selected navigation entry in user administration (fman)
- 0000670: [New Feature] Test Case specification - tree refresh configuration (fman)
- 0000644: [Test Plan (milestones, test assign)] Test Plan contents � Remove Test Case without checking (fman)
- 0000623: [General] Change to project without builds in Execution or Results (fman)
- 0000621: [New Feature] Success messages should be green instead of red (fman)
- 0000642: [Test Execute] filter in test execution dont store user (fman)
- 0000191: [New Feature] User should be able to add/remove a test case field (fman)
- 0000684: [Test Specification] Specification � Always a horizontal scroll bar in IE (schlundus)

Testlink 1.7 RC 1
=========================
- 0000684: [Test Specification] Specification � Always a horizontal scroll bar in IE (schlundus)
- 0000191: [New Feature] User should be able to add/remove a test case field (fman)
- 0000642: [Test Execute] filter in test execution dont store user (fman)
- 0000623: [General] Change to project without builds in Execution or Results (fman)
- 0000621: [New Feature] Success messages should be green instead of red (fman)
- 0000600: [User Interface General] Potential misleading user interface in Add Test Cases to TP (fman)
- 0000644: [Test Plan (milestones, test assign)] Test Plan contents � Remove Test Case without checking (fman)
- 0000670: [New Feature] Test Case specification - tree refresh configuration (fman)
- 0000646: [User Management] selected navigation entry in user administration (fman)
- 0000607: [Database MS-SQL] Errors while printing test cases (jbarchibald)
- 0000584: [Test Specification] Print button is missing while printing the test case in HTML format (fman)
- 0000665: [Keywords] Keyword Management � Edit button makes update (schlundus)
- 0000663: [Test Project Management] Attachments no more listed after updating a Test Suite (schlundus)
- 0000031: [New Feature] [SF 931429 ] Support for testing of different platforms (fman)
- 0000108: [New Feature] Need the ability to execute testcases, store and view results for a single build multiple times. (fman)
- 0000165: [New Feature] Insert new feature that allow to create personal fields for Test Case, requirement, Test Plan (fman)
- 0000357: [New Feature] Hide Test Cases (fman)
- 0000264: [New Feature] Time Metrics - Time of test execution (fman)
- 0000395: [New Feature] Additional Test Case Field for Intended Browser/Platform (fman)
- 0000637: [Test Plan (milestones, test assign)] Adding test cases - Very easy to lose all the execution information (schlundus)
- 0000612: [Database MS-SQL] $g_ui_show_check_filter_tp_by_testproject = FALSE not working (jbarchibald)
- 0000569: [Installer] Project converstion - not converting active status (jbarchibald)
- 0000589: [Test Plan (milestones, test assign)] In Assign Test Case execution section �check all� is not functioning. (fman)
- 0000625: [Integration with Other Systems] Mantis integration - undefined constant _bugInterface (schlundus)
- 0000576: [Reports, Metrics, Export and Print] While printing the SRS document extra space is coming in between. (schlundus)
- 0000597: [User Interface General] GUI error when user hasn't email configured and wants to send Results per Mail (schlundus)
- 0000592: [Reports, Metrics, Export and Print] Problem in printing the test plans. (schlundus)
- 0000579: [General] Increase the height of JTREE displaying the testcases. (schlundus)
- 0000602: [Test Specification] Import Test cases throws error (schlundus)
- 0000580: [General] While importing the keywords if you select CSV as option, it takes us to page cannot found. (schlundus)
- 0000591: [Test Execute] In Test Execution phase if you select the keyword and update menu it takes you to page not found (schlundus)
- 0000053: [New Feature] [SF 1163318 ] don't use /icons for images (fman)
- 0000574: [User Management] While updating the role success message shows �LOCALIZE:� (schlundus)
- 0000575: [General] While displaying the SRS document GUI has to be improved here (schlundus)
- 0000581: [Localization] While assigning Keywords to TC it shows �LOCALIZE� in success message (schlundus)
- 0000594: [Reports, Metrics, Export and Print] Requirements based reports are showing some error. (schlundus)
- 0000573: [User Management] �LOCALIZE:� is been displayed while adding the user (schlundus)
- 0000557: [Installer] Data Conversion from 1.6.2 failing (jbarchibald)
- 0000566: [Localization] Update to localization (schlundus)
- 0000561: [Test Execute] Notes/Results boxes do not resize (schlundus)
- 0000565: [Database MS-SQL] Undefined variable warning at login (schlundus)
- 0000564: [Reports, Metrics, Export and Print] Print options checkboxes do not change the printed document (schlundus)
- 0000560: [Test Execute] Test case box contains two empty boxes. (schlundus)
- 0000552: [Localization] Missing Translations (schlundus)
- 0000553: [Localization] Query Metrics Report strings (schlundus)
- 0000551: [General] Upload/Import broken. tcimport (schlundus)
- 0000554: [Test Specification (tc, comp, cat)] Creating new Test Case - Keywords boxes are fixed size (schlundus)
- 0000388: [New Feature] Assign Tester by Test Case not by Category (fman)
- 0000040: [New Feature] [SF 1110037 ] Ownership of Test Plans (mhavlat)
- 0000464: [User Interface General] Debug output on the import page (schlundus)
- 0000438: [Installer] Installer stops on message (fman)
- 0000416: [Product Management] Product edit/delete option should be dropdown or not allow text to be typed. Wrong product might get deleted. (mhavlat)
- 0000078: [General] Clarify Titles of User Roles (schlundus)
- 0000079: [User Management] Make roles configurable (schlundus)
- 0000019: [New Feature] [SF 887465 ] Make permissions configurible (schlundus)
- 0000176: [New Feature] Role Management (schlundus)
- 0000370: [Installer] not escaping - characters during install (fman)
- 0000339: [General] code still contains short style <? php tags (schlundus)
- 0000303: [New Feature] Option to disable Test Execution of old Build when a new Build is created (fman)
- 0000221: [New Feature] User login should take you to the last product the user selected (mhavlat)
- 0000367: [Test Plan (milestones, test assign)] Define User / Test Plan Rights - must use the Test Plan Filtering by Product (fman)
- 0000190: [New Feature] Add Notes to Products (fman)
- 0000297: [Test Specification (tc, comp, cat)] Cannot copy Component to same product (schlundus)
- 0000326: [Test Specification (tc, comp, cat)] Can't copy component when only 1 product exists (schlundus)
- 0000009: [New Feature] [SF 1208354 ] Can not assign keyword at creation (schlundus)
- 0000329: [Requirements Coverage] Unnable to Change requirement type to "untestable" (fman)
- 0000213: [Test Plan (milestones, test assign)] User name can not display when assign test plans to the user (fman)
- 0000179: [New Feature] User Management Improvements (schlundus)
- 0000224: [User Management] Saving of users is not possible in all cases! (schlundus)
- 0000311: [Reports, Metrics, Export and Print] Requirements based Report shows errors when no SRS document is associated with Product (fman)
- 0000272: [Test Plan (milestones, test assign)] Percentage values for prioritity in milestones should be within 0 and 100 and not zeropadded (fman)
- 0000318: [Test Plan (milestones, test assign)] Maxlength attribute in the name field is misspelled -> ignored (schlundus)
- 0000300: [User Interface General] Display name and surename in all user lists (fman)
- 0000301: [Installer] can't connect to db after install if dbuser -> dbu@webserver (fman)
- 0000294: [Test Execute] Keywords do not increment the version number. (mhavlat)
- 0000180: [Product Management] Unable to delete Product (fman)

===============================================================
2005/12/04	Version: 1.6.0 Build 1
===============================================================

- 0000236: [Test Specification (tc, comp, cat)] unable to re-order categories in component (fman)
- 0000087: [Database] Unable to modify existing product to allow for requirements tracking (fman)
- 0000271: [Test Plan (milestones, test assign)] Not all checks are made in milestone multi-update (schlundus)
- 0000270: [Test Plan (milestones, test assign)] TPName is not displaying in milestone pages (schlundus)
- 0000269: [Test Plan (milestones, test assign)] Deleting build-dependant data fails because of invalid SQL-Statement (schlundus)
- 0000268: [Test Plan (milestones, test assign)] ComboBox in planOwner.tpl always shows all users regardless of the selected TP (schlundus)
- 0000109: [User Interface General] The tree is not refreshed when you delete a category (schlundus)
- 0000267: [Test Specification (tc, comp, cat)] Container names aren't escaped in containerView.tpl (schlundus)
- 0000211: [Requirements Coverage] scope field in requirement list display error (schlundus)
- 0000241: [Requirements Coverage] Print Requirements - DOC ID is not printed (schlundus)
- 0000266: [Reports, Metrics, Export and Print] bug links are not properly rendered as "crossed-out" if the bug is closed, resolved, or fixed (schlundus)
- 0000263: [Test Execute] php error when component is selected (fman)
- 0000261: [Test Plan (milestones, test assign)] Assigning test plan rights for one product, removes rights for other product test plans. (fman)
- 0000256: [Product Management] Create Component with Same Name (fman)
- 0000164: [Test Execute] CLICK ON EXECUTE LINK AND MSG - Warning: mysql_result(): supplied argument is not a valid MySQL (fman)
- 0000259: [Test Specification (tc, comp, cat)] Management of Component Duplicate Name - No control applied when MOVE (fman)
- 0000249: [Test Specification (tc, comp, cat)] Import of test cases only imports the first test case of each category (schlundus)
- 0000228: [General] The list of Relevant Bugs shows the bug in the CLOSED state (schlundus)
- 0000240: [Test Plan (milestones, test assign)] Edit/Modify Test Plan - Product Filter is not applied (fman)
- 0000239: [Test Plan (milestones, test assign)] Define User/Test Plan Rights - TP are not filtered by Product - (fman)
- 0000237: [Database] Length mismatch of users-login column and category-owner column (mhavlat)
- 0000227: [Test Execute] display relevant bugs in execution mode no matter what build is selected (schlundus)
- 0000218: [General] Unable to re-order test case in test plan within a category. (fman)
- 0000225: [Test Plan (milestones, test assign)] using <table> in test plan name breaks main page (fman)
- 0000235: [User Interface General] Assign Testers to Test Plan - CSS not applied (schlundus)
- 0000232: [Test Execute] Only admin or leader can update test results (fman)
- 0000044: [Test Specification (tc, comp, cat)] [SF 953587 ] Test cases are reordered whe copying the category. (fman)
- 0000045: [New Feature] [SF 1258462 ] Provide integration with JIRA (another bug tracker) (fman)
- 0000171: [Requirements Coverage] import requirement by CSV files (mhavlat)
- 0000223: [Documentation (ICG, User Manual)] planAssignTesters.html is in italian in all languages (mhavlat)
- 0000207: [Test Specification (tc, comp, cat)] Import of TC doesnt work correct (schlundus)
- 0000214: [Requirements Coverage] Requirement Document Can't be created - SQL Fails (fman)
- 0000082: [Reports, Metrics, Export and Print] Test reports and metrics -> Blocked test cases, guest mode links to wrong testcases (fman)
- 0000197: [Reports, Metrics, Export and Print] send test report via email error (fman)
- 0000194: [User Management] Lost password feature does not sent password to user via email. (fman)	

===============================================================
2005/10/18	Version: 1.6.RC2
===============================================================

- 0000184: [User Interface General] use *** characters for the user password (schlundus)
- 0000074: [Requirements Coverage] cancel button with history.back (schlundus)
- 0000181: [Test Specification (tc, comp, cat)] Reorder Test Cases - finish with error message (fman)
- 0000182: [Test Specification (tc, comp, cat)] Reorder categories - finish with error message (fman)
- 0000173: [Installer] UPGRADE OPTION FROM testlink_1_6_RC1.zip TO testlink-HEAD-20051010.zip DO NOT WORK (fman)
- 0000115: [Keywords] Test cases copied to another project mantain keywords which don't exist in the destination product. (schlundus)
- 0000134: [User Interface General] Broken UI when session times out (schlundus)
- 0000178: [Reports, Metrics, Export and Print] Nothing appears in the Test Plan Metrics (your Test plan metrics) in the main page (fman)
- 0000172: [User Interface General] Use same type of button for every feature (fman)
- 0000162: [Database] Moving a Testcase to another category (fman)
- 0000138: [New Feature] When edit test case, it is impossible to change Navigation's window width. (schlundus)
- 0000024: [General] Session confusion (mhavlat)
- 0000141: [Product Management] Unable to access edit products page as an admin user (schlundus)
- 0000097: [Reports, Metrics, Export and Print] Quality Metrics - User Interface - Build 0 is included into the Build Combo Box (fman)
- 0000098: [Reports, Metrics, Export and Print] Quality Metrics - User Interface - Standard LABEL is needed for ALL (fman)
- 0000144: [Database] Unable to create Product (fman)
- 0000140: [Localization] date format needs to be localized (fman)
- 0000169: [New Feature] Build name and notes has to be editable (fman)
- 0000155: [Product Management] Problems deleting a product, it doesn't delete (schlundus)
- 0000166: [Requirements Coverage] BIG PROBLEM - I can not chage the requirements when I have only 2 req. under 1 product - CRASH (fman)
- 0000158: [Product Management] Failed to update database! - details: Product <Name> (fman)
- 0000160: [Keywords] Keywords showed without Order by (fman)
- 0000161: [Test Plan (milestones, test assign)] Creating a new build the notes are not saved/shown (fman)
- 0000154: [Test Plan (milestones, test assign)] Build management doesn't take into consideration active test plans (schlundus)
- 0000147: [User Interface General] Links related to test plan do not apply to the plan shown in the Test Plan dropdown upon login (schlundus)
- 0000150: [Product Management] Import CSV into product will only create test cases in first component (schlundus)
- 0000133: [Test Plan (milestones, test assign)] Broken link in priority assignment (fman)
- 0000132: [Test Plan (milestones, test assign)] Cannot delete a test plan (fman)
- 0000130: [Product Management] Create a new product/edit existing product fails (fman)
- 0000114: [Database] I get an SQL syntax error whenever I try to assign a keyword to a test case. (fman)
- 0000085: [Test Specification (tc, comp, cat)] Changes of category names are not updated in Test Navigator Suite, with previous "Update modified Test Cases" execution. (fman)
- 0000100: [Reports, Metrics, Export and Print] Selection of Test Case Owner (fman)
- 0000120: [Product Management] Impossible to edit product (fman)

===============================================================
2005/09/15	Version: 1.6.RC1
===============================================================

- 0000035: [New Feature] [SF 878106 ] provide documentation in release (mhavlat)
- 0000103: [Localization] Localization is changed but not strings (fman)
- 0000092: [General] Two products each with one active test plan incorrectly prints the wrong plan (fman)
- 0000093: [User Interface General] Incorrect link reference in testlink\gui\help\en_US\content.html (fman)
- 0000088: [Database] Build numbers are not properly imported by update script (fman)
- 0000090: [User Interface General] Special characters are not saved properly (schlundus)
- 0000089: [Test Specification (tc, comp, cat)] Create 2 Categories, the second generates record not visible (fman)
- 0000086: [Test Specification (tc, comp, cat)] Using "|" in the component or category name causes malformed URLs (fman)
- 0000065: [New Feature] Test Case Execution - Show TC ID while working in "Test Case Execution" (kevin)

===============================================================
2005/09/05	Version: 1.6.Beta
===============================================================

Bugfixes:

* [Mantis 58] Add link to bugzilla
* [Mantis 59] Use of term "created" is not enforced, the information displayed is the "last modified by" user
* [Mantis 37] Unable to copy a category into the same component it is in
* [Mantis 38] Little question mark icons by  [Save Results] are broken links
* [Mantis 59] Use of term "created by" is not enforced, the information displayed is 
	the "last modified by" user
* [Mantis 4] Keywords of imported TC are not added to the product
* [Mantis 5] Saving personal data, partially invalidates session
* [Mantis 15] Using HTML TAG in the product name breaks the page
* [Mantis 51] [SF 1209922] bug when duplicating mgttestcase to testcase
* [Mantis 42] [SF 1208538] Use of apostrophes in titles of categories etc
* [SF 900437] table results -- incoherent data ?
* [SF 887818] Imported Keywords aren't added to KW
      table
* Tiki: CSV import (date in text)
* [SF 1200582] Cannot see test cases in Test Case Execution page

Enhancements:

* Added the possibility to import tcs directly to a specific category
* [Mantis 62] Keywords are now sorted alphanumeric
* [Mantis 50] Adding searching for tcID while in execution mode
* [Mantis 65] Adding displaying of the tcID while in execution mode
* Adding security checks
* Adding input fields for searching tcs by tcID in the navbar
* optimized executeNavigator.php
* refactorized priority reports
* product delete causes also delete of related data
* activate/deactivate product added
* [SF 953388] requirement coverage
* [SF 1181609] available copy TC to the same category
* added I18N,L10N support at user interface level. (partially implemented)
* added global array to manage test case status (partially implemented)
* added automatic base href generation
* Created an initially general bugtracking
      interface
* Added mantis 0.19.1 support (works also for 1.0.0.a3)

Changes:

* changed file upload size of importing tc to 1000000bytes, max line size is now 30000bytes
* test Plans are ordered according the name
* updated menuBar (added the most important links, clean code and smarty template)
* changes in $g_tc_status
* refactoring regarding use of $g_tc_status, instead of MAGIC LETTERS (p,f,n,b)
* the instruction pages has been moved to gui\help\<LOCALE>\
* the HTML pages has been moved to gui\help\<LOCALE>\
* changes in config.inc.php
* Cleaned up config.inc.php (removed TL_TABLE_PREFIX,
      removed $delim)
* Moved the TLSmarty class out of the config.inc.php to
      lib/general/tlsmarty.inc.php
* Changed bugzilla configuration to the new bugtracking
      interface
===============================================================
2005/08/16	Version: 1.5.1 (build 4)
===============================================================

Bugfixes:

* [SF 1242462] test plan not updated when test case category changed
* [SF 1243287] long test case names don't display nice in mozilla, firefox

Enhancements:


Changes:

===============================================================
2005/08/01	Version: 1.5.1 (build 3)
===============================================================

Bugfixes:

* update $_SESSION data after admin all accounts
      modification
* [SF 1243285] version of test case not incremented when
      keyword is added
* [SF 1242971] Treeview testexecution - Testcases
      quoted
* [SF 1233490] Metrics based upon priority wrong
      assignment
* Verify session availability in every page
* Execute-Tree shows wrong status
* Create TestPlan from existing TestPlan didnt work at
      all

Enhancements:


Changes:

===============================================================
2005/05/24	Version: 1.5.0
===============================================================

Bugfixes:

* Not all chars could be entered in edit field for tcs
* [SF 1200582] Keywords are not saved when test cases are
      copied.
* [SF 1182025] Edit/Delete Product does not work
* [SF 1198855] Display nug when execute testcase
* Corrected problems with enlarging the HTMLArea Component
      with IE5.5
* Corrected the display of categories,components and tcs
      regarding to formatting
* Changed the charset for some tpls to UTF-8
* [SF 1164017] View Modified Test Cases is missing
* [SF 898500] Word 'Array' is written to database for
      Keywords
* [SF 891860] archiveData.php chops off last character of
      keyword
* [SF 1158626] Help Screens
* create TC page: htmlarea cannot be in 'p' tag
* submit serveral (executing) tcs at once
* dbUpgrade.php: addapted for linux
* testcase versioning
* tcPrint.html: Missing closing script tag , page not
      displayed
* testsetremove.php: Access to $_SESSION before session
      started
* [SF 1173981] Entering bugs not possible?
* [SF 1182022] "Send results via e-mail" does not show
      correct values
* [SF 1182025] "Edit/Delete Product" does not work

Enhancements:


Changes:

===============================================================
2005/03/23	Version: 1.5.RC1
===============================================================

Bugfixes:

* [SF 1076468] Create/Edit Test Cases that contain '
      character
* [SF 1045740] user table fields login and email too
      short
* [SF 1121007] errors in new install of testlink 1.5
      beta
* [SF 1158629] Php error printing test cases
* Performance improvement of several pages
* Lost password - solved the problem with encryption

Enhancements:

* [SF 1094857] TOC for printed
      documents
* Three kinds of tree menu are
      implemented
* Improved process and verification of input
      values
* script: add simple test data

Changes:

===============================================================
2005/10/02	Version: 1.5.Beta1
===============================================================

Bugfixes:

* [SF 956526] Submitting multiple test cases doesn't always
      work
* [SF 956526] I got error while generate report(print
      product test cases)
* [SF 956526] kenny.css should be modified to support text
      background
* [SF 956526] 1_0_4 Define User rights link not found
* [SF 1182022] report.html is not generating valid
      html
* [SF 964874] All web pages are totally messed
* [SF 873742] TestCase body in
* [SF 904355] keywords not reslected in TC edit
* [SF 1096110] Generating valid html for exported
      document
* [SF 958843] newProduct.php: Products must not have unique
      names

Enhancements:

* [SF 1030004] Passwords should be stored
      encrypted
* [SF 948899] Upgrade textArea
* New physical structure
* [SF 827242] Use smarty templates
* [SF 825227] Logging
* [SF 902613] Record owner of test
      cases
* Upload local file for CSV Import
* New GUI design, XHTML + CSS
* Product driven background color
* dbUpgrade.php script (from TL 1.0.4 to
      1.5)

Changes:

* Configuration moved from header.php to
      config.inc.php
* removal of multiple test entry
===============================================================
2004/05/16	Version: 1.0.4
===============================================================

Bugfixes:

* deletion of test plans would delete other projects
      results
* Cleaned up the build UI so that it's consistent
* The buildDetail.php reports the last test plan test case
      in the table as having never been run, even when there are results for
      it.

Enhancements:

* Export test plan docs to word docs from the print
      page
* Export total metrics to excel docs
* Updated the UI of the user/projects rights
      page
* The view modified test case page now has a status
      field that tells the user what the change of the test cases was. The
      page will also delete test cases from projects that were deleted from
      products when they are updated
* Projects are being added to the breadcrumb trail
      although they weren't supposed to be there.

Changes:

* Updated the main page UI.. Moved the product and
      project tables and added user metrics to the middle section